<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Http;

use App\Performers;
use App\Venues;
use App\Events;
use App\EventCategory;
use App\VenueCategory;
use App\VenueSection;
use App\Sources;
use Illuminate\Support\Facades\Log;
use App\Http\Controllers\API\TicketmasterController as TicketMasterApi;
class FetchTicketMasterData extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'fetch:ticketmasterdata {page}';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Command description';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
        $page=$this->arguments()['page'];
        $this->processData($page);
    }
    
    public function processData($page){
        
        $api = new TicketMasterApi();
        $api->page = $page;
        $api->fetchExistingEventVersion();
    }
    
    
}
