<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use App\Traits\ApiTrait;
use App\Events;
use App\EventCategory;
use App\VenueCategory;
use App\VenueSection;

class StubhubZones extends Command
{
    use ApiTrait;
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'stubhub:zones';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'get venue category and section of event';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
        $event=Events::where('is_run','')->orWhere('is_run',null)->orWhere('is_run',0)->orderBy('id')->first();

        $event_id=$event->event_id;
        $id=$event->id;
        $venue_id=$event->venue_id;

        $url = env('STUBHUB_ZONE_URL')."/".$event_id."/sectionZones";
        
        $response=$this->fetchData($url);
        if(!empty($response)){
            if(count($response['zones']) >= 1){
                $venue_category = 0;
                $send_category_arr = array();
                $send_section_arr = array();
                $getCategory = EventCategory::where('event_id',$id)->first();

                $flag=0;
                if(!empty($getCategory->secondary_category)){
                    $flag=1;
                    $venue_category = $getCategory->secondary_category;
                }
                if($flag==0){
                    if(!empty($getCategory->sub_category)){
                        $flag=1;
                        $venue_category = $getCategory->sub_category;
                    }
                }
                if($flag==0){
                    if(!empty($getCategory->primary_category)){
                        $flag=1;
                        $venue_category = $getCategory->primary_category;
                    }
                }
                foreach ($response['zones'] as $key => $value) {
                    $cat_arr = array();
                    $category_id = 0;
                    $category_name = $value['name'];

                    $cat_arr['name'] = str_replace("'", "",$category_name);
                    $cat_arr['venue_id'] = $venue_id;
                    $cat_arr['venue_category'] = $venue_category;

                    $checkCategory=VenueCategory::where($cat_arr)->first();
                    if(!$checkCategory){
                        $category = VenueCategory::create($cat_arr);
                        $category_id = $category->id;
                    }else{
                        $category_id = $checkCategory->id;
                    }
                    $send_category_arr[] = $category_id;

                    foreach ($value['sections'] as $sk => $section_value) {
                        $sec_arr = array();
                        $section_name = $section_value['name'];
                        $sec_arr['name'] = str_replace("'", "",$section_name);
                        $sec_arr['category_id'] = $category_id;

                        $checkVenueSection=VenueSection::where($sec_arr)->first();
                        if(!$checkVenueSection){
                            $venueSection = VenueSection::create($sec_arr);
                            $section_id = $venueSection->id;
                        }else{
                            $section_id = $checkVenueSection->id;
                        }
                    }
                }
                    $update_date=array();
                    $update_data['event_categories'] = implode(',',array_unique($send_category_arr));
                    $update_data['event_section'] = implode(',',array_unique($send_section_arr));
                    EventCategory::where('event_id',$id)->update($update_data);
            }
            $update_data = array();	
            $update_data['is_run'] = strtotime('now');
            Events::where('id',$id)->update($update_data);
            
            //cron log 

        }
    }
}
