<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Http;

use App\Events;
use App\TixstockLog;
use App\EventsMappedSources;
use Illuminate\Support\Facades\Log;

class UpdateMappedEvents extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'update:mappedevent';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'This command will add mapped resources of events to event mapped sources';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
        $events = Events::select('id')->where('event_date','>=',date('Y-m-d'))->where('mapped_status',1)->get()->toArray();
        $events = array_column($events,'id');
        
        if(sizeof($events) < 0){
            echo "No Events Found.";
            exit;
        }
        
        $events = TixstockLog::select('event_id','source_id')->whereIn('event_id',$events)->where('status',0)->groupBy(['event_id','source_id'])->get();
        
        
        foreach($events as $event){
            
           $check = EventsMappedSources::where('event_id',$event->event_id)->where('source_id',$event->source_id)->first();
           if(!$check){
               EventsMappedSources::create(['event_id'=>$event->event_id,'source_id'=>$event->source_id]);
           }
           echo "Event Id - ".$event->event->external_id." with source id - ".$event->source_id." processed. \r\n";
        }
        
    }
    
}
