<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Http;

use App\Performers;
use App\Venues;
use App\Events;
use App\EventCategory;
use App\VenueCategory;
use App\VenueSection;
use App\Sources;
use App\EventPerformers;
use Illuminate\Support\Facades\Log;
class UpdatePerformers extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'update:performers';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Command description';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
        $events = Events::get();
        
        foreach($events as $event){
            $performer_id = '';
            $prev_performer_id = '';
            if(!empty($event->performer_1_id) && $event->performer_1_id != null)
            {
                $performer_id = '';
                $prev_performer_id = '';
                $check = EventPerformers::where('event_id',$event->id)->where('performer_id',$event->performer_id)->first();
                if(!$check){
                
                    $performer_id = $event->performer_1_id;
                    $prev_performer_id = !empty($event->prev_performer_1_id) && $event->prev_performer_1_id != null ? $event->prev_performer_1_id : '';
                    
                    $eventPerformerArray = ['performer_id'=>$performer_id,'event_id'=>$event->id,'prev_performer_id'=>$prev_performer_id];
                    EventPerformers::create($eventPerformerArray);
                }
            }
            if(!empty($event->performer_2_id) && $event->performer_2_id != null)
            {
                $performer_id = '';
                $prev_performer_id = '';
                $check = EventPerformers::where('event_id',$event->id)->where('performer_id',$event->performer_id)->first();
                if(!$check){
                
                    $performer_id = $event->performer_2_id;
                    $prev_performer_id = !empty($event->prev_performer_2_id) && $event->prev_performer_2_id != null ? $event->prev_performer_2_id : '';
                    
                    $eventPerformerArray = ['performer_id'=>$performer_id,'event_id'=>$event->id,'prev_performer_id'=>$prev_performer_id];
                    EventPerformers::create($eventPerformerArray);
                }
            }
        }
    }
    
    
    
    
}
