<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Http;

use App\Sources;
use Illuminate\Support\Facades\Log;
use App\Http\Controllers\API\TicketEvolutionController as TivoApi;
class UpdateTivoEvents extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'update:tivoevents {param1}';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'This command will check maps for all existing events current_date->11/09/2023.';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
        $api = new TivoApi();
        $param = $this->arguments()['param1'];
        if($param == "maps"){
            $api->updateEventMaps();
        }
        if($param == "dates"){
            $api->updateEventDates();
        }
        if($param == "category"){
            $api->updateEventCategory();
        }
    }
    
    
    
}