<?php

namespace App\Http\Controllers\API;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
// use App\Logs;
use App\Performers;
use App\Venues;
use App\Events;
use App\EventCategory;
use App\VenueCategory;
use App\VenueSection;
use App\Sources;
use App\Traits\ApiTrait;
use App\Traits\StubhubTrait;
use App\OldCategories;
use App\SubCategories;
use DB;
class TixstockController extends Controller{
    
    use ApiTrait;
    const URL_GET_CATEGORIES = "/categories/get";
    const URL_GET_EVENT = "/v1/events/get";
    
    public function getCategories(){
        
        $url = env('TIXSTOCK_URL').self::URL_GET_CATEGORIES;
        $tixstock = Sources::where('name','Tixstock')->first();
        $token = $tixstock->token;
        
        $categories = $this->fetchData($url,$token);
        
        if(!empty($categories['data'])){
            $data = $categories['data'];
            foreach($data as $category){
                $catData['name'] = $category['name'];
                $catData['parent']=isset($category['parent']) && !empty($category['parent']) ? $category['parent']['name'] : '';
                $cat = OldCategories::where($catData)->first();
                if(!$cat){
                    $cat = OldCategories::create($catData);
                }
                if(!empty($category['children'])){
                    foreach($category['children'] as $child){
                        $childData = [];
                        $childData['name']=$child['name'];
                        $childData['category_id'] = $cat->id;
                        $checkSubCat = SubCategories::where($childData)->first();
                        if(!$checkSubCat){
                            SubCategories::create($childData);
                        }
                    }
                }
            }
        }
    }
    
    public function getEvent($id){
        $url = env('TIXSTOCK_URL').self::URL_GET_EVENT.'?event_id='.$id;
        $tixstock = Sources::where('name','Tixstock')->first();
        $token = $tixstock->token;
        
        $output = $this->fetchData($url,$token);
        return $output;
    }
    
    public function updateVenueCategory(){
        //get events 
        
        $events = Events::select('venue_id','id')->where('event_date','>=',date('Y-m-d'))->get()->toArray();
        $venueIds = array_column($events,'venue_id');
        $eventIds = array_column($events,'id');
        //
        
        $categories = VenueCategory::whereIn('venue_id', $venueIds)
                    ->categoriesWithoutSameSectionName()
                    ->get();
                    
        foreach ($categories as $category) {
            $existingSection = VenueSection::where('category_id', $category->id)->where('name', $category->name)->first();

            if (!$existingSection) {
                
                $newSection = new VenueSection();
                $newSection->category_id = $category->id;
                $newSection->name = $category->name;
                $newSection->save();
            
                //add this to events categories
                $matchingEvents = DB::table('event_category')
                        ->whereIn('event_id',$eventIds)
                        ->whereRaw("FIND_IN_SET($category->id, event_categories)")
                        ->get();
               
                foreach($matchingEvents as $event){
                    $eventDetails = Events::with('eventCategory')->where('id',$event->event_id)->first();
                   
                    $sections = $eventDetails->eventCategory->event_section;
                   
                    $sections = explode(',',$sections);
                   
                    $sections[] = $newSection->id;
                   
                    $sections = implode(',',$sections);
                    
                    $eventDetails->eventCategory->event_section = $sections;
                    $eventDetails->eventCategory->save();
                    $eventDetails->update_requires = 1;
                    $eventDetails->save();
                }
            }
        }
    }
}