<?php
namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\DB;
use Hash;
use Auth;

use App\User;
use App\Roles;
use App\Categories;
use App\SourceCategoryMapping;
use App\Sources;
use App\TivoCategory;
use App\EventCategory;
use DataTables;


class CategoryController extends Controller
{
   
    public $categoryArray = [];
    
  
    public function index()
    {
        $parent_categories = Categories::where("parent_id", 0)->orderBy('name')->orderBy('created_at','desc')->get();
        $i = 0;
        foreach ($parent_categories as $p) {
            $parent_categories[$i]["sub"] = $this->sub_categories($p["id"]);
            $i++;
        }
        dd($parent_categories);
        $data["menuview"] = $this->fetch_menu($parent_categories);

        return view("admin.category.index", compact("data"));
    }

    public function sub_categories($id)
    {
        $categories = Categories::where("parent_id", $id)->orderBy('name')->get();
        $i = 0;
        foreach ($categories as $p_cat) {
            $categories[$i]["sub"] = $this->sub_categories($p_cat["id"]);
            $i++;
        }
        return $categories;
    }
    
    public function tivo_sub_categories($id){
        
        $categories = TivoCategory::where("parent_id", $id)->orderBy('name')->get()->toArray();
        
        $tempCategories =[];
        $i = 0;
        foreach ($categories as $p_cat) {
            $categories[$i]["sub"] = $this->tivo_sub_categories($p_cat['id']);
            $i++;
        }
        
        return $categories;
    }
 
    function fetch_menu($data)
    {
        ob_start();
        echo '<ol class="dd-list">';

        $i = 1;
        foreach ($data as $menu) {
            echo '<li class="dd-item dd-collapsed" data-id="' .$menu["id"] .'">
            
            <div class="dd-handle">' .$menu["name"] .'</div>
            <i style="float: right;cursor: pointer;padding-left: 5px;z-index: 100;position: absolute;right: 35px;top: 10px;" data-id="'.$menu['id'].'" data-name="'.$menu['name'].'"  class="fa fa-edit edit_cat_name"></i>
            <i style="float: right;cursor: pointer;padding-left: 5px;z-index: 100;position: absolute;right: 10px;top: 10px;" data-id = "'.$menu['id'].'" data-src="'.route('category.delete',$menu['id']).'" class="fa fa-trash delete"></i>';
            
            
            if (!empty($menu["sub"])) {
                echo '<ol class="dd-list">';
                $this->fetch_sub_menu($menu["sub"]);
                echo "</ol>";
            }
            echo "</li>";
            $i++;
        }
        echo "</ol>";

        $content_post = ob_get_clean();
        return $content_post;
    }

    function fetch_sub_menu($sub_menu)
    {
        $i = 1;
        foreach ($sub_menu as $menu) {
            echo '<li class="dd-item dd-collapsed" data-id="' .$menu["id"] .'">
            
            <div class="dd-handle">' .$menu["name"] .'</div>
            
            <i style="float: right;cursor: pointer;padding-left: 5px;z-index: 100;position: absolute;right: 35px;top: 10px;" data-id="'.$menu['id'].'" data-name="'.$menu['name'].'"   class="fa fa-edit edit_cat_name"></i>
            <i style="float: right;cursor: pointer;padding-left: 5px;z-index: 100;position: absolute;right: 10px;top: 10px;" data-id = "'.$menu['id'].'" data-src="'.route('category.delete',$menu['id']).'" class="fa fa-trash delete"></i>';
           
            if (!empty($menu["sub"])) {
                echo '<ol class="dd-list">';

                $this->fetch_sub_menu($menu["sub"]);

                echo "</ol>";
            }
            echo "</li>";
            $i++;
        }
    }

    public function add()
    {
        $parent_categories = Categories::where("parent_id", 0)->get();
        return view("admin.category.create", compact("parent_categories"));
    }

    public function get_sub_category($id, $count)
    {     
        $sub_categories = Categories::where("parent_id", $id)
            ->get()
            ->toarray();
        $num_of_sub = $count;
        if (!empty($sub_categories)) { ?>
        <div class="row">
            <div class="col-md-10">
              <select name="sub_category[]" id="sub_category<?php echo $num_of_sub; ?>" onchange="delete_subdiv_contetnt('<?php echo $num_of_sub; ?>')" class="form-control sub_cat">
                <?php foreach ($sub_categories as $s): ?>
                  <option value="<?php echo $s["id"]; ?>"><?php echo $s["name"]; ?></option>
                <?php endforeach; ?>
              </select>
            </div>
            <div class="col-md-2">
                <button type="button" id="sub_category_button<?php echo $num_of_sub; ?>" onclick="get_sub_subcategory('<?php echo $num_of_sub; ?>')" class="btn btn-blue btn-flat"><i class="fa fa-plus"></i></button>
            </div>
        </div>
       </div>
  <?php } else { echo "false"; }
    }

    public function get_sub_subcategory($id, $count)
    {
        
        $sub_categories = Categories::where("parent_id", $id)
            ->get()
            ->toarray();
        $num_of_sub = $count;
        ?>
<?php if (!empty($sub_categories)) { 
    
      $div_id = sizeof($sub_categories); ?>
    <div id="subCategory<?php echo $num_of_sub; ?>" class="sub_cat">

        <div class="col-md-10">
          <br/>
            <select name="sub_category[]" id="sub_category<?php echo $num_of_sub; ?>" onchange="delete_subdiv_contetnt('<?php echo $num_of_sub; ?>')" class="form-control">
              <?php foreach ($sub_categories as $s): ?>
              <option value="<?php echo $s["id"]; ?>"><?php echo $s["name"]; ?></option>
              <?php endforeach; ?>
            </select>
        </div>
        <div class="col-md-2">
          <br/>
          <button type="button" id="sub_category_button<?php echo $num_of_sub; ?>" onclick="get_sub_subcategory(<?php echo $num_of_sub; ?>)" class="btn btn-blue btn-flat"><i class="fa fa-plus"></i></button>
        </div>
         </div>
          <?php } else { echo "false";  } 
    }

    public function store(Request $request)
    {
        $rules = [
            "category_name" => "required",
        ];
        $this->validate($request, $rules);

        $input = $request->all();

        if (
            isset($input["parent_category"]) &&
            !empty($input["parent_category"])
        ) {
            if (isset($input["sub_category"])) {
                end($input["sub_category"]);
                $key = key($input["sub_category"]);
                $sub_array = $input["sub_category"];
                $sub_value = $sub_array[$key];
                $data = [
                    "name" => $input["category_name"],
                    "status" => 0,
                    "parent_id" => $sub_value,
                ];
            } else {
                // code...
                $data = [
                    "name" => $input["category_name"],
                    "status" => 0,
                    "parent_id" => $input["parent_category"],
                ];
            }
            Categories::create($data);
        } else {
            $data = [
                "name" => $input["category_name"],
                "status" => 0,
                "parent_id" => 0,
            ];

            Categories::create($data);
        }
        return response()->json(["success" => "true"]);
    }

    public function delete($id)
    {
        
        
        $categories = Categories::with('parent')->where('id',$id)->orderBy('name')->get();
        if($categories->count() > 0){
            $subCategories = $this->subCategories($categories);
        }
        
        $this->categoriesArray[$id]=$categories[0]->name;
    
        $keys= array_keys($this->categoriesArray);
        $deleteKey = [];
        if(!empty($keys)){
            foreach($keys as $key){
                $checkMapping = SourceCategoryMapping::where('our_category_id',$key)->first();
                if(!$checkMapping){
                    $deleteKey[] = $key;
                }
            }
        }
       
        if(!empty($deleteKey)){
            $deletedCategory=[];
            foreach($deleteKey as $key){
                $deletedCategory[$key] = $this->categoriesArray[$key];
            }
            ksort($deletedCategory);
            Categories::whereIn('id',$deleteKey)->where('parent_id','!=',0)->delete();
            // Categories::where("id", $id)->delete();
            $response = ["success" => true,'msg'=>"Deleted Categories:".implode(',',$deletedCategory)];
        }else{
            $response = ['success'=>false,'msg'=>"Category Mapping with source category exist.Please delete Mapping"];
        }
        
        return response()->json($response);
    }

    public function updateorder(Request $request)
    {
        $category_list = $request->Category_list;

        $category_array = json_decode($category_list);
        $list = $this->update_parent($category_array);

        return response()->json(["success" => "true"]);
    }

    function update_parent($data)
    {
        foreach ($data as $menu) {
            $data = [
                "parent_id" => "0",
            ];

            Categories::where("id", $menu->id)->update($data);

            if (isset($menu->children) && !empty($menu->children)) {
                $this->update_child($menu->children, $menu->id);
            }
        }
    }

    function update_child($sub_menu, $parent_menu_id)
    {
        foreach ($sub_menu as $menu) {
            $data = [
                "parent_id" => $parent_menu_id,
            ];
            Categories::where("id", $menu->id)->update($data);

            if (isset($menu->children) && !empty($menu->children)) {
                $this->update_child($menu->children, $menu->id);
            }
        }
    }

    public function get_seleted_category($id)
    {
        $category = Categories::where("id", $id)->first();
        return response()->json(["data" => $category]);
    }

    public function update(Request $request)
    {
        $rules = [
            "selected_category" => "required",
        ];
        $this->validate($request, $rules);

        $input = $request->all();
        $data["name"] = $input["selected_category"];

        Categories::where("id", $input["category_id"])->update($data);
        return response()->json(["success" => true]);
    }
    
    public function categorySourceMapping(){
        
        $categoriesArray=[];
        
        $categories = Categories::with('parent')->where('parent_id',0)->orderBy('name')->get();
        if($categories->count() > 0){
            $subCategories = $this->subCategories($categories);
        }
        
        if(!empty($this->categoriesArray)){
            $categoriesArray = $this->categoriesArray;
            asort($categoriesArray);
        }
        
      
        // $resource = Sources::where('name','!=','Tixstock')->get();
        $resource = Sources::get();
        return view('admin.category.category_source_mapping',compact('categoriesArray','resource'));
    }
    
    public function subCategories($categories){
        
        foreach($categories as $cat){
            
            $subCategories = Categories::where('parent_id',$cat->id)->orderBy('name')->get();
            if($subCategories->count() > 0){
                $this->subCategories($subCategories);
            }else{
                $this->categoriesArray[$cat->id]=$cat->name;
            }
        }
    }
    
    public function addCategorySourceMapping(Request $request){
        $rules=[
                'category'=>'required',
                'source_category_name'=>'required',
                'resource'=>'required'
            ];
        $this->validate($request,$rules);
        
        $input = $request->all();
        $mappingArray['our_category_id'] = $input['category'];
        $mappingArray['source_category_name'] = $input['source_category_name'];
        $mappingArray['source_id'] = $input['resource'];
        $check = SourceCategoryMapping::where($mappingArray)->first();
        if(!$check){
            SourceCategoryMapping::create($mappingArray);
            return response()->json(['success'=>true,'msg'=>'Mapping Created Successfully.']);
        }else{
            return response()->json(['success'=>false,'msg'=>'Mapping already exist.']);
        }
    }
    
    public function categorySourceMappingData(Request $request){
         $mapping=SourceCategoryMapping::with(['category','source'])->get();
        
        return Datatables::of($mapping)
        ->rawColumns(['actions','category','source_category_name','source'])
        ->editColumn('category', function ($mapping) {
            if(!empty($mapping->category)){
            return $mapping->category->name;
            }else{
                return '';
            }
        })
        ->editColumn('source_category_name', function ($mapping) {
            return $mapping->source_category_name;
        })
        ->editColumn('source', function ($mapping) {
            return $mapping->source->name;
        })
        ->addColumn('actions', function ($mapping) {

            // $edit = '<button id="'.$mapping->id.'" data-category="'.$mapping->our_category_id.'" data-source_category_name="'.$mapping->source_category_name.'" data-source = "'.$mapping->source_id.'" title="Edit Mapping" tabindex="0" data-plugin="tippy" data-tippy-animation="scale" data-tippy-inertia="true" data-tippy-duration="[600, 300]" data-tippy-arrow="true" class="btn btn-blue mb-2 edit"><i class="mdi mdi-pen"></i></a>';
            $delete = '<button data-id="'.$mapping->id.'" data-src="'.route('category.source.mapping.delete').'" title="Delete Mapping" tabindex="0" data-plugin="tippy" data-tippy-animation="scale" data-tippy-inertia="true" data-tippy-duration="[600, 300]" data-tippy-arrow="true" class="btn btn-danger mb-2 delete"><i class="mdi mdi-trash-can"></i></a>';
            $action = $delete;
            return $action;
        })
        ->make(true);
    }
    
    public function deleteMapping(Request $request){
        
        SourceCategoryMapping::where('id',$request->id)->delete();
        return response()->json(['success'=>true,'msg'=>'Mapping Deleted Successfully']);
    }
     
    public function getLeafCategories(){
        $categories = Categories::with('parent')->where('parent_id',0)->orderBy('name')->get();
        if($categories->count() > 0){
            $subCategories = $this->subCategories($categories);
        }
        
        return $this->categoriesArray;
    }
    
    public function tivoCategory(){
        $parent_categories = TivoCategory::where("parent_id", 0)->orderBy('name')->orderBy('created_at','desc')->get()->toArray();
        $i = 0;
        foreach ($parent_categories as $p) {
            $parent_categories[$i]["sub"] = $this->tivo_sub_categories($p["id"]);
            $i++;
        }
        
        $data["menuview"] = $this->tivo_fetch_menu($parent_categories);
        
        return view('admin.category.tivo_category',compact("data"));
    }
    
    public function tivo_fetch_menu($data){
         ob_start();
        echo '<ol class="dd-list">';
       
        $i = 1;
        foreach ($data as $menu) {
            
            $checked ="";
            if($menu['api_flag']==1){
                $checked = "checked";
            }
            echo '<li class="dd-item dd-collapsed" data-id="' .$menu["id"] .'">
                        <input type="checkbox" class="form-check-input category_checkbox" name="category[]" '.$checked.' style="float:right;margin-top:10px;margin-right:10px" value="'.$menu['id'].'">          

            <div class="dd-handle">' .$menu["name"] .'</div>';
            
            if (!empty($menu["sub"])) {
                echo '<ol class="dd-list">';
                $this->tivo_fetch_sub_menu($menu["sub"]);
                echo "</ol>";
            }
            echo "</li>";
            $i++;
        }
        echo "</ol>";

        $content_post = ob_get_clean();
        return $content_post;
    }
    
    public function tivo_fetch_sub_menu($sub_menu){
        $i = 1;
        foreach ($sub_menu as $menu) {
            $checked ="";
            if($menu['api_flag']==1){
                $checked = "checked";
            }
            echo '<li class="dd-item dd-collapsed" data-id="' .$menu["id"] .'">
                    <input type="checkbox" class="form-check-input section_checkbox" name="category[]" '.$checked.' style="float:right;margin-top:10px;margin-right:10px" value="'.$menu['id'].'">
            <div class="dd-handle">' .$menu["name"] .'</div>';
            if (!empty($menu["sub"])) {
                echo '<ol class="dd-list">';

                $this->tivo_fetch_sub_menu($menu["sub"]);

                echo "</ol>";
            }
            echo "</li>";
            $i++;
        }
    }
    
    public function tivoCategoryUpdateFlag(Request $request){
        $categories = $request->categories;
        $categories = explode(',',$categories);
        TivoCategory::where('api_flag',1)->update(['api_flag'=>0]);
        TivoCategory::whereIn('id',$categories)->update(['api_flag'=>1]);
        return response()->json(['success'=>true,'msg'=>'Categories are updated']);
    }
   
}
