<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Events;
use App\AuditEvents;
use App\Sources;
use App\FailedJobs;
use DB;
class HomeController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    public function index()
    {   
        
        $today_date=date('Y-m-d 00:00:00');
        

        $stubhub_music=Events::where('search_type','Music')->count();
        $stubhub_sports=Events::where('search_type','Sport')->count();
        $stubhub_add=Events::where('mapped_status',0)->where('update_requires',0)->where('event_date','>=',$today_date)->count();
        $stubhub_update=Events::where('event_date','>=',$today_date)->where('update_requires',1)->count();
        $stubhub_mapped_events = Events::where('mapped_status',1)->count();
        
        $categoryArray = Events::select('search_type')->where('event_date','>=',date('Y-m-d 00:00:00'))->groupBy('search_type')->get()->toArray();
        $categoryArray = array_filter(array_column($categoryArray, 'search_type'));
        
        $categoryEventsCount = Events::selectRaw('search_type, COUNT(CASE WHEN mapped_status = 1 AND update_requires=0  THEN 1 END) as mapped_event, COUNT(CASE WHEN mapped_status = 0 AND update_requires=0 THEN 1 END) as unmapped_event,COUNT(CASE WHEN mapped_status = 1 AND update_requires=1  THEN 1 END) as update_requires')
                ->where('event_date','>=',date('Y-m-d'))
                ->where('current_version',1)
                ->whereIn('search_type',$categoryArray)
                ->groupBy('search_type')
                ->get();
        
        $resourcesArray = Sources::select('id','name')->get()->toArray();
        
        $sourcesArray = array_column($resourcesArray,'name');
        
        $sourcesArray[sizeof($sourcesArray)] = "Manual";
        
        $sourcesId = array_column($resourcesArray,'id');
        $sourcesId[sizeof($sourcesId)] = 0;

        $unmappedArray = [];
        $mappedArray = [];
        $updateArray = [];

        foreach($sourcesId as $id){
            $sourcesEventArray = Events::selectRaw('source_id, COUNT(CASE WHEN mapped_status = 1 AND update_requires=0  THEN 1 END) as mapped_event, COUNT(CASE WHEN mapped_status = 0 AND update_requires=0 THEN 1 END) as unmapped_event,COUNT(CASE WHEN mapped_status = 1 AND update_requires=1  THEN 1 END) as update_requires')
                                ->where('event_date','>=',date('Y-m-d'))
                                ->where('current_version',1)
                                ->where('source_id',$id)
                                // ->groupBy('source_id')
                                ->first();
            $unmappedArray[] = (int)$sourcesEventArray->unmapped_event;
            $mappedArray[] = (int)$sourcesEventArray->mapped_event;
            $updateArray[] = (int)$sourcesEventArray->update_requires;
        }
        
       
        
        return view('admin.dashboard',compact('stubhub_music','stubhub_sports','stubhub_add','stubhub_update','stubhub_mapped_events','categoryEventsCount','sourcesArray','unmappedArray','mappedArray','updateArray'));
    }
}
