<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use DataTables;
use App\Logs;
use App\TixstockLog;
use App\Events;
use App\FailedJobs;
class LogsController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
        return view('admin.logs.index');
    }
    
    public function crondata(){
         $logs=Logs::where('type','cron')->orderBy('id','desc')->get();
        
        return Datatables::of($logs)
        ->rawColumns(['actions','domain','message'])
        
        ->editColumn('created_at',function($logs){
            return date('Y-m-d h:i:s',strtotime($logs->created_at));
        })
        ->editColumn('domain',function($logs){
            return $logs->domain.'<span style="float:right">'.$logs->created_at.'</span>';
        })
        ->addColumn('actions', function ($logs) {
         $delete='<a href="#" id="'. $logs->id.'"  data-src="" class="btn btn-sm bg-red btn-flat delete" title="Delete Log"><i class="fa fa-trash"></i></a>';
         $action = $delete.' ';
         return $action;
        })
        ->make(true);
    }
    
    public function FailedJobs(){
        $failedJobs = \DB::table('failed_jobs')->get();
            return view('admin.logs.failedjobs', compact('failedJobs'));
        

        // In the 'failed-jobs.blade.php' view
       
        // return view('admin.logs.failedjobs');
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
    
    
    public function tixstockLog(){
        $uniqueLogIds = TixstockLog::select('batch_id')->groupBy('batch_id')->get();
        
        return view('admin.logs.tixstock',compact('uniqueLogIds'));
    }
    
    public function tixstockLogData(Request $request){
        
        // $eventIds = TixstockLog::select('event_id')->groupBy(['batch_id','event_id'])->orderBy('created_at','desc')->get()->toArray();
        // if(!empty($eventIds)){
        //     $eventIds = array_column($eventIds,'event_id');
        // }
        $input = $request->all();
        $search="";
        if(isset($input['search']) && !empty($input['search'])){
            $search = isset($input['search']['value']) && !empty($input['search']['value']) ? $input['search']['value'] : "";
        }
        
        
        if(empty($search)){
            $tixstockLog = TixstockLog::has('event');
            if(isset($input['batch_id']) && !empty($input['batch_id'])){
                $tixstockLog = $tixstockLog->where('batch_id',$input['batch_id']);
            }
            $tixstockLog->groupBy(['batch_id','event_id'])->orderBy('id','desc');
            
            return Datatables::eloquent($tixstockLog)
            ->rawColumns(['name','batch_id','event_date','source_name','actions'])
            ->editColumn('batch_id',function($tixstockLog){
                return $tixstockLog->batch_id;
            })
            ->addColumn('name',function($tixstockLog){
                 if($tixstockLog->event != null){
                    return $tixstockLog->event->name;
                }
            })
            ->addColumn('event_date',function($tixstockLog){
               if($tixstockLog->event != null){
                    return $tixstockLog->event->event_date;
                }
            })
            ->editColumn('actions',function($tixstockLog){
                $action = "";
                $tixstlog = "";
                $delete= "";
                $version = "";
                $version_source = "";
              
                if($tixstockLog->event != null){
                    $tixstlog = '<button type="button" event_name="'.$tixstockLog->event->name.'" id="'.$tixstockLog->event->id.'" class=" btn btn-md btn-danger waves-effect waves-light tixstock_log" dir="ltr" data-style="expand-right" title="Tixstock Log" data-original-title="Tixstock log details" tabindex="0" data-plugin="tippy" data-tippy-animation="scale" data-tippy-inertia="true" data-tippy-duration="[600, 300]" data-tippy-arrow="true" data-tippy=""  ><i class="mdi mdi-eye"></i></button>';
                }else{
                    $tixstlog = '<p class="text text-danger">Pending</p>';
                }
                
                // $delete = '<button  type="button" id="'. $events->id.'"  data-src="'.route('event.destroy', $events->id).'" class=" waves-effect btn-primary waves-light btn btn-md bg-red btn-flat delete" dir="ltr" data-style="expand-right" title="Discard Event" tabindex="0" data-plugin="tippy" data-tippy-animation="scale" data-tippy-inertia="true" data-tippy-duration="[600, 300]" data-tippy-arrow="true" data-tippy="" ><i class="fa fa-trash"></i></button>';
                // $view = '<a href="'.route('event.show', $events->id).'" target="_blank" style="margin-top:5px" type="button" id="'. $events->id.'"  data-src="'.route('event.show', $events->id).'" class=" waves-effect btn-warning waves-light btn btn-md bg-red btn-flat" dir="ltr" data-style="expand-right" title="View Event" tabindex="0" data-plugin="tippy" data-tippy-animation="scale" data-tippy-inertia="true" data-tippy-duration="[600, 300]" data-tippy-arrow="true" data-tippy="" ><i class="fa fa-eye"></i></a>';
                $action = $tixstlog ;
                return $action;
            })
            ->make(true);
        }else{
            $tixstockLog = TixstockLog::with(['event' => function ($query) use ($search) {
                                $query->where('name', 'like', '%' . $search . '%');
                            }]);
            if(isset($input['batch_id']) && !empty($input['batch_id'])){
                $tixstockLog = $tixstockLog->where('batch_id',$input['batch_id']);
            }
            $tixstockLog->whereHas('event'); // Only retrieve logs with associated events
            
            $tixstockLog = $tixstockLog->groupBy(['batch_id','event_id'])->orderBy('id', 'desc')->get();
            
            return Datatables::of($tixstockLog)
            ->rawColumns(['name','batch_id','event_date','source_name','actions'])
            ->addColumn('name',function($tixstockLog){
                 if($tixstockLog->event != null){
                    return $tixstockLog->event->name;
                }
            })
            ->editColumn('batch_id',function($tixstockLog){
                return $tixstockLog->batch_id;
            })
            ->addColumn('event_date',function($tixstockLog){
               if($tixstockLog->event != null){
                    return $tixstockLog->event->event_date;
                }
            })
            ->editColumn('actions',function($tixstockLog){
                $action = "";
                $tixstlog = "";
                $delete= "";
                $version = "";
                $version_source = "";
              
                if($tixstockLog->event != null){
                    $tixstlog = '<button type="button" event_name="'.$tixstockLog->event->name.'" id="'.$tixstockLog->event->id.'" class=" btn btn-md btn-danger waves-effect waves-light tixstock_log" dir="ltr" data-style="expand-right" title="Tixstock Log" data-original-title="Tixstock log details" tabindex="0" data-plugin="tippy" data-tippy-animation="scale" data-tippy-inertia="true" data-tippy-duration="[600, 300]" data-tippy-arrow="true" data-tippy=""  ><i class="mdi mdi-eye"></i></button>';
                }
                
                // $delete = '<button  type="button" id="'. $events->id.'"  data-src="'.route('event.destroy', $events->id).'" class=" waves-effect btn-primary waves-light btn btn-md bg-red btn-flat delete" dir="ltr" data-style="expand-right" title="Discard Event" tabindex="0" data-plugin="tippy" data-tippy-animation="scale" data-tippy-inertia="true" data-tippy-duration="[600, 300]" data-tippy-arrow="true" data-tippy="" ><i class="fa fa-trash"></i></button>';
                // $view = '<a href="'.route('event.show', $events->id).'" target="_blank" style="margin-top:5px" type="button" id="'. $events->id.'"  data-src="'.route('event.show', $events->id).'" class=" waves-effect btn-warning waves-light btn btn-md bg-red btn-flat" dir="ltr" data-style="expand-right" title="View Event" tabindex="0" data-plugin="tippy" data-tippy-animation="scale" data-tippy-inertia="true" data-tippy-duration="[600, 300]" data-tippy-arrow="true" data-tippy="" ><i class="fa fa-eye"></i></a>';
                $action = $tixstlog ;
                return $action;
            })
            ->make(true);                      
        }
        
    }
    
    public function FailedJobsData(Request $request){
        
        $input = $request->all();
        $tixstockLog = FailedJobs::orderBy('failed_at','desc');
        return Datatables::eloquent($tixstockLog)
            ->rawColumns(['payload','exception','failed_at'])
            
            ->editColumn('payload',function($tixstockLog){
                $payload = json_decode($tixstockLog->payload,true);
                $payload = $payload['data']['command'];
                $payload = unserialize($payload);
               
                $events = Events::select('external_id')->whereIn('id',$payload->events)->get()->toArray();
                $events = array_column($events,'external_id');
                $events = implode(',',$events);
                return $events;   
            })
            ->addColumn('exception',function($tixstockLog){
                return '<pre>'.$tixstockLog->exception.'</pre>';
            })
            ->addColumn('failed_at',function($tixstockLog){
                return $tixstockLog->failed_at;
            })
            
            ->make(true);
    }
}
