<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use DataTables;
use App\Roles;
class RolesController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
        return view('admin.roles.index');
    }

    public function data(){

       $roles=Roles::get();
       
       return Datatables::of($roles)
       ->rawColumns(['actions','status'])
       ->editColumn('status', function ($roles) {
            if($roles->status == 0){
                return '<label class="label text-success" >Active</label>';
            } else {
                return '<label class="label text-danger">InActive</label>';
            }
        })
       ->addColumn('actions', function (Roles $roles) {

        $edit='<a href="#" data-src="'.route('role.update.data',$roles->id).'"  data-name="'.$roles->name.'"class="btn btn-sm edit-role bg-green btn-flat" title="Edit Role"><i class="fa fa-edit"></i></a>';
        $delete='<a href="#" id="'. $roles->id.'"  data-src="'.route('roles.destroy', $roles->id).'" class="btn btn-sm bg-red btn-flat delete" title="Delete Role"><i class="fa fa-trash"></i></a>';
        $action = $edit.' '.$delete.' ';
        return $action;
       })
       ->make(true);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
        $rules = [
                'role_name'=> 'required|unique:roles,name',
        ];
        $this->validate($request,$rules);
        Roles::create(['name'=>$request->role_name]);
        $response=['success'=>true,'msg'=>'Role Created Successfully'];
        return response()->json($response);
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function updatedata(Request $request, $id)
    {
        //
        $rules = [
            'role_name'=> 'required',
            'role_status'=>'required'
        ];
    $this->validate($request,$rules);
    Roles::where('id',$id)->update(['name'=>$request->role_name,'status'=>$request->role_status]);
    $response=['success'=>true,'msg'=>'Role Updated Successfully'];
    return response()->json($response);
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
        $user=Roles::where('id',$id)->delete();
        $response=['success'=>true,'msg'=>'Role has been deleted'];
        return response()->json($response);
    }
}
