<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Sources;
use DataTables;
class SourcesController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
        return view('admin.resources.index');
    }

    public function data(){
        $sources=Sources::get();
        
        return Datatables::of($sources)
        ->rawColumns(['actions','role'])
        ->addColumn('actions', function (Sources $sources) {

         $edit='<a href="'.route('sources.edit',$sources->id).'" class="btn btn-sm edit-role bg-green btn-flat" title="Edit Role"><i class="fa fa-edit"></i></a>';
         $delete='<a href="#" id="'. $sources->id.'"  data-src="'.route('sources.destroy', $sources->id).'" class="btn btn-sm bg-red btn-flat delete" title="Delete Role"><i class="fa fa-trash"></i></a>';
         $action = $edit.' '.$delete.' ';
         return $action;
        })
        ->make(true);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
        return view('admin.resources.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
        $rules = [
            'name'      => 'required',
            'token'     => 'required',
        ];
        $this->validate($request, $rules);
        $input=$request->all();
        
        $input= [
            'name'=>$input['name'],
            'token'=>$input['token'],
        ];

        Sources::create($input);
        return response()->json(['success'=>true,'msg'=>'Resource created successfully']);

    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
        $resource=Sources::where('id',$id)->first();
        return view('admin.resources.edit',compact('resource'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
        $rules = [
            'name'      => 'required',
            'token'     => 'required',
        ];
        $this->validate($request, $rules);
        $input=$request->all();
        
        $input= [
            'name'=>$input['name'],
            'token'=>$input['token'],
        ];

        Sources::where('id',$id)->update($input);
        return response()->json(['success'=>true,'msg'=>'Resource updated successfully']);
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
        Sources::where('id',$id)->delete();
        $response = ['success'=>true,"msg"=>"Resource deleted successfully."];
        return response()->json($response);
    }
}
