<?php

namespace App\Http\Middleware;
use Illuminate\Http\Request;
use Closure;
use App\Roles;
use Auth;
use \Config;
class EnsureUserHasRole
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
        $roles=['Admin','User'];
        if(Auth::user()->status==0){
            //$userHasRole=Roles::where('id',Auth::user()->role_id)->where('status',0)->first();
            if(in_array(Auth::user()->role,$roles) && Auth::user()->status == 0){
                
                $uri=$request->route()->uri;
                $uri= strtok($uri,  '/');

                $rolePermissions=Config::get('constant.'.strtoupper(Auth::user()->role));
                
                if(in_array($uri,$rolePermissions)){
                    return $next($request);
                }else{
                    abort(403);
                }
                
            }else{
                Auth::logout();
                return redirect('login')->with(['middlewaremessage'=>'User has no role.']);
            }
        }else{
            Auth::logout();
            return redirect('login')->with(['middlewaremessage'=>'User is not active.']);
        }
        
        
        
    }
}
