<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
class TivoCategory extends Model
{
    
    //
    protected $table = "tivo_categories";
    protected $fillable = ['name','parent_id','status','api_flag','category_id'];
    public $categoriesArray = [];
    public function parent(){
        return $this->hasMany('App\Categories','parent_id');
    }
    
    
    public function getParentCatgoryTree($category){
        $categoryTree = [];
        $category = Categories::where('name',$category)->first();
        if($category){
            
            //get all tree from parent to child
            if($category->parent_id == 0){
                $this->categoriesArray[] = $category->name;
                $categories = Categories::with('parent')->where('name',$category->name)->where('parent_id',0)->get();
                if($categories->count() > 0){
                   
                    $subCategory = $this->subCategories($categories);
                    sort($this->categoriesArray);
                    return $this->categoriesArray;
                }   
            }else{
                //fetch parent first and then return whole tree
                $parentCategory = $this->fetchParentCategory($category);
                return $this->getParentCatgoryTree($parentCategory);
            }
        }else{
            return $categoryTree;
        }
    }
    
    
    public function subCategories($categories){
        
        foreach($categories as $cat){
            $subCategories = Categories::where('parent_id',$cat->id)->get();
            
            if($subCategories->count() > 0){
                if(!in_array($cat->name,$this->categoriesArray)){
                    $this->categoriesArray[]=$cat->name;
                }
                
                $this->subCategories($subCategories);
            }else{
                if(!in_array($cat->name,$this->categoriesArray)){
                    $this->categoriesArray[]=$cat->name;
                }
            }
        }
    }
    
    
    public function fetchParentCategory($category){
        
        $parentCategory = Categories::where('name',$category)->first();
        if($parentCategory){
            if($parentCategory->parent_id == 0){
                return $parentCategory->name;
            }else{
                if(!empty($parentCategory->name)){
                    $this->fetchParentCategory($parentCategory->name);
                }
            }
        }else{
            if(!empty($parentCategory->name)){
                $this->fetchParentCategory($parentCategory->name);
            }
        }
        
    }
    
    
}
