<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class VenueCategory extends Model
{
    //
    protected $table="venue_category";
    protected $fillable=["id","name","venue_id","venue_category","external_id","source_id","parent_category_id","stubhub_name"];

    public function section(){
       return  $this->hasMany('App\VenueSection','category_id');
    }
    
    public function sections(){
        return  $this->hasMany('App\VenueSection','category_id');
    }
     
    public function scopeCategoriesWithoutSameSectionName($query)
    {
        return $query->whereDoesntHave('sections', function ($query) {
            $query->whereColumn('name', '=', 'venue_category.name');
        });
    }
}
