@extends('admin.layout.app')

@section('main_title', 'Category Listing')
@section('title', 'Category Mapping')
@section('sub_title', 'Control Panel')
@push('styles')

@endpush
<!-- start content -->
@section('content')
<div class="card">
    <div class="card-body">
        <form action="{{route('add.category.source.mapping')}}" method="post">
            @csrf
            <div class="row">
                <div class="col-md-12">
                    <div class="row">
                        <div class="col-md-4">
                           <!--<label for="category" class="form-label">Category Name</label>-->
                            <select class="form-control category_edit"  data-toggle="select2-multiple" data-width="100%" name="category" id="category" >
                                <option value="">Select Category</option>
                                @foreach($categoriesArray as $key=>$cat)
                                    <option value="{{$key}}"> {{$cat}} </option>
                                @endforeach
                            </select>
                        </div>
                        <div class="col-md-4">
                            <!--<label for="Source Category Name" class="form-label">Source Category Name</label>-->
                            <input type="text" class="form-control" name="source_category_name" id="source_category_name" placeholder="Please Source Category Name">
                        </div>
                        <div class="col-md-2">
                            <!--<label for="Source" class="form-label">Source</label>-->
                            <select class="form-control resource filter-select2" name="resource"  data-toggle="select2" data-width="100%" data-placeholder="Select Source">
                                    <option value="">Select Source</option>
                                    @foreach($resource as $r)
                                        <option value="{{$r->id}}">{{$r->name}}</option>
                                    @endforeach
                            </select>
                        </div>
                        <div class="col-md-2">
                            <label></label>
                            <button type="submit" class="btn btn-success">Submit</button>
                            <button type="reset" class="btn btn-default">Reset</button>
                        </div>
                    </div>
                </div>
            </div>
        </form>
    </div>
</div>
<div class="card">
    <div class="card-body">
        <div class="row">
            <div class="col-md-12">
                <table id="resource_table" class="table m-0 table-centered table-striped dt-responsive w-100">
                        <thead>
                            <tr>
                                <th></th>
                                <th>Category Name</th>
                                <th>Source Category Name</th>
                                <th>Source</th>
                                <th>Action</th>
                            </tr>
                        </thead>
                        <tbody></tbody>
                    </table>
            </div>
        </div>
    </div>
</div>
 <div class="modal fade" id="category-mapping-modal" tabindex="-1" role="dialog" aria-hidden="true" aria-labelledby="myModalLabel">
    <div class="modal-dialog modal-dialog-centered modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title" id="myCenterModalLabel">Categories</h4>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->
                                <!-- End Modal Categories -->
@endsection


@push('scripts')
<script src="{{ asset('public/assets/libs/multiselect/js/jquery.multi-select.js') }}"></script>
<script src="{{ asset('public/assets/libs/select2/js/select2.min.js') }}"></script>
<script src="{{ asset('public/assets/libs/sweetalert2/sweetalert2.all.min.js') }}"></script>

<!-- datatables js -->
<script src="{{ asset('public/assets/libs/datatables.net/js/jquery.dataTables.min.js') }}"></script>
<script src="{{ asset('public/assets/libs/datatables.net/js/dataTables.editor.min.js') }}"></script>
<script src="{{ asset('public/assets/libs/datatables.net-bs5/js/dataTables.bootstrap5.min.js') }}"></script>
<script src="{{ asset('public/assets/libs/datatables.net-responsive/js/dataTables.responsive.min.js') }}"></script>
<script src="{{ asset('public/assets/libs/datatables.net-responsive-bs5/js/responsive.bootstrap5.min.js') }}"></script>
<script src="https://cdn.datatables.net/datetime/1.1.0/js/dataTables.dateTime.min.js"></script>
<script src="{{ asset('public/assets/libs/x-editable/bootstrap-editable/js/bootstrap-editable.min.js') }}"></script>
<!-- Sweet Alerts js -->
<script src="{{ asset('public/assets/libs/sweetalert2/sweetalert2.all.min.js') }}"></script>
<!-- tool tip js -->
<script src="{{ asset('public/assets/libs/tippy.js/tippy.all.min.js') }}"></script>
<!-- Loading buttons js -->
<script src="{{ asset('public/assets/libs/ladda/spin.min.js') }}"></script>
<script src="{{ asset('public/assets/libs/ladda/ladda.min.js') }}"></script>
        
<script>
    $(document).ready(function() {
        $('.select2-multiple').select2();
        $('.category_edit').select2();
    });
    $('form').submit(function(e){

        e.preventDefault();

        var me = $(this);
        var fd=new FormData($(this)[0]);

        // perform ajax
        $.ajaxSetup({
           headers: {
               'X-CSRF-TOKEN': $('meta[name="_token"]').attr('content')
            }
        });


        $.ajax({

           url: me.attr('action'),

           type: 'post',

           data: fd,

           dataType: 'json',
           contentType: false,
           processData: false,

           success: function(response){
                
                if(response.success == true)
                {
                    swal.fire(response.msg);
                    $("#form_error").hide();
                    $('#resource_table').DataTable().ajax.reload();
                    me.reset();
                }else if(response.success == false){
                    swal.fire(response.msg);
                      me.reset();
                }
       },
       error:function(response){
        // alert(response.responseJSON.errors.category_name);
         //errors=console.log(response.responseJSON);
         $.each(response.responseJSON.errors, function(key, value) {

               var element = $('#' + key);
                 element.closest('div.form-group')

                 .removeClass('.has-error')

                 .addClass(value.length > 0 ? 'has-error':'has-success' )

                 .find('.text-danger')

                 .remove();
                  element.after('<p class="text text-danger">'+value+'</p>');

         });
       }
   });
    });
    $(document).ready(function(){
            
            var user_datatable = $('#resource_table').DataTable({
                'processing': true,
                'serverSide': true,
                'serverMethod': 'get',
                'ajax': {
                    'url':"{{route('category.source.mapping.data')}}",
                },
            drawCallback: function() {
                $(".dataTables_paginate > .pagination").addClass("pagination-rounded");
                tippy('[data-plugin="tippy"]');
            },
            "columnDefs": [
                    {
                        "targets": [ 0 ],
                        "visible": false,
                        "searchable": false
                    }
                ],
                'columns': [
                    { data: 'id' },
                    { data: 'category' },
                    { data: 'source_category_name' },
                    { data: 'source'},
                    { data: 'actions',name: 'actions', orderable: false, searchable: false },
                //  { data: 'edit' },
                ],
                select: {
                    style:    'os',
                    selector: 'td:first-child'
                },
            });
    });
    
      $(document).on('click','.delete',function(){
                var _token = $('input[name="_token"]').val();
                $id=$(this).data('id');
                $action=$(this).data('src');
                Swal.fire({
                title: "Are you sure?",
                text: "Category Mapping will be Deleted! All Sub Category will be deleted.",
                type: "warning",
                showCancelButton: true,
                confirmButtonClass: "btn-danger",
                confirmButtonText: "Yes, Delete Resource!",
                closeOnConfirm: false
                }).then((result)=>{
                    if(result['isConfirmed']){
                        $.ajax({
                        url: $action,
                        type: "post",
                        data:{
                        "_token": "{{ csrf_token() }}",
                        "id":$id
                        },
                        success: function (){
                        Swal.fire("Deleted!", "Category mapping has been deleted.", "success");
                        $('#resource_table').DataTable().ajax.reload();
                        }
                    });
                    }
                })
            });
            
            
            $(document).on('click','.edit',function(){
                var id = $(this).data('id');
            //     var category=$(this).data('name');
            //     $("#selected_category").val(name);
         	  //  $("#category_id").val(id);
          	    $('#category-mapping-modal').modal('show');
    }) 
    
    
</script>
@endpush