@extends('admin.layout.app')

@section('main_title', 'Tivo Category Listing')
@section('title', 'Tivo Category Listing')
@section('sub_title', 'Control Panel')
@push('styles')
<style>
.content-left {
  border-right: 6px solid green;
  height: auto;
}
</style>

@endpush
<!-- start content -->
@section('content')
<div class="card">
    <div class="card-body">
        <div class="row">
            <div class="col-md-12">
                <div class="category_tree">
                    <!--<div class="nestable nestable-lists">-->
                    <div class="custom-dd dd" id="nestable">
                        <?php echo $data['menuview']; ?>
                    </div>
                    <div class="float-end">
                        <button type="button" id="close_modal" class="btn btn-dark waves-effect waves-light m-1" data-bs-dismiss="modal"><i class="fe-x me-1"></i> Close</button>
                        <button type="button" class="btn btn-success waves-effect waves-light m-1 tivo_category_save" id="tivo_category_save"><i class="fe-check-circle me-1"></i> Save Changes</button>
                    </div>
                    <!--</div>-->
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
@push('scripts')
<script src="{{asset('public/assets/js/vendor.min.js') }}"></script>
<script src="{{ asset('public/assets/libs/nestable2/jquery.nestable.min.js') }}"></script>
<!--<script src="{{ asset('public/assets/js/pages/nestable.init.js') }} "></script>-->
<script src="{{ asset('public/assets/js/app.min.js') }} "></script>
    <script>
        var $defaultList;
        var $default_json_list;
        $(document).ready(function(){
            $('#nestable').nestable();
             $defaultList = $('#nestable').nestable('serialize');
             $default_json_list = JSON.stringify($defaultList);
        });
        
          
        $(document).on('change','.category_checkbox',function(){
            if($(this).is(":checked")){
                $(this).parent("li").find('.section_checkbox').attr("checked",true);
            }else{
                $(this).parent("li").find('.section_checkbox').attr("checked",false);
            }
        });
        
        $(document).on('click','.tivo_category_save',function(){
            
            
            var arr = [];
            $('input[name="category[]"]:checked').each(function () {
                
                arr.push($(this).val());
            });
            
            if(arr.length > 0){
              //update category status
                var categories = arr.join(",");
               $(this).prop('disabled', true);
                    $.ajax({
                        url: "{{route('category.tivo.update.flag')}}",
                        type: "post",
                        data:{
                        "_token": "{{ csrf_token() }}",
                        "categories":categories
                        },
                        success: function (response){
                            if(response.success==true){
                                Swal.fire(response.msg);
                                $(".tivo_category_save").prop('disabled', false);
                            }
                        }
                    });
            }else{
                Swal.fire("Please select categories");
            }
        })
    
          
        
    </script>

@endpush
