@extends('admin.layout.app')

@section('main_title', 'Import Events')
@section('title', 'Import Event')
@section('sub_title', 'Control Panel')

@push('styles')

@endpush

@section('content')
<div class="row">
    <div class="col-12">
        <div class="card">
            <div class="card-body">
                <form action="{{route('import.events.submit')}}" method="post" enctype="multipart/form-data">
                    @csrf
                    <h4 class="mb-3 header-title">Import Events</h4>
                    <div class="mb-3">
                        <label for="exampleInputEmail1" class="form-label">Upload File</label>
                        <input type="file" class="form-control" id="events_file" name="events_file"  placeholder="Enter email">
                    </div>
                    <button type="submit" class="btn btn-primary waves-effect waves-light submit">Submit</button>
                </form>
            </div>
        </div>
    </div>
</div>
@endsection

@push('scripts')
<script>
$(document).on('submit','form',function(e){
            e.preventDefault();
            var me = $(this);
            $(".text-danger").remove();
            var fd=new FormData($(this)[0]);
            $.ajax({
                url: me.attr('action'),
                type: me.attr('method'),
                data: fd,
                headers: {'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')},
                dataType: 'json',
                contentType: false,
                processData: false,
                beforeSend: function() {
                // setting a timeout
                $('.submit').prop('disabled', true);
                },
                success: function(response){
                    if(response.success == true){
                        $('.submit').prop('disabled', false);
                        Swal.fire("Done",response.msg,"success");
                        me[0].reset();
                        location.reload();
                    }
                    if(response.success == false){
                        Swal.fire("Error",response.msg,"error");
                    }
                },
                error:function(response){
                    $('.submit').prop('disabled', false);
                    $.each(response.responseJSON.errors, function(key, value) {
                    var element = $('#' + key);
                    element.closest('div.form-group')
                    .removeClass('.has-error')
                    .addClass(value.length > 0 ? 'has-error':'has-success' )
                    .find('.text-danger')
                    .remove();
                    element.after('<p class="text text-danger">'+value+'</p>');
                    });
                }
            });
        });
</script>

@endpush