@extends('admin.layout.app')

@section('main_title', 'Events')
@section('title', '')
@section('sub_title', 'Control Panel')
@push('styles')

<!-- Sweet Alert-->
<link href="{{ asset('public/assets/libs/mohithg-switchery/switchery.min.css') }}" rel="stylesheet" type="text/css">
<link href="{{ asset('public/assets/libs/sweetalert2/sweetalert2.min.css') }}" rel="stylesheet" type="text/css" />
<!-- datatables-->

<link href="{{ asset('public/assets/libs/datatables.net-bs5/css/dataTables.bootstrap5.min.css') }}" rel="stylesheet" type="text/css" />
<link href="{{ asset('public/assets/libs/datatables.net-buttons-bs5/css/buttons.bootstrap5.min.css')}}" rel="stylesheet" type="text/css" />

<link href="{{ asset('public/assets/libs/datatables.net-bs5/css/editor.dataTables.min.css') }}" rel="stylesheet" type="text/css" />
<link href="{{ asset('public/assets/libs/datatables.net-responsive-bs5/css/responsive.bootstrap5.min.css') }}" rel="stylesheet" type="text/css" />
<link href="https://cdn.datatables.net/datetime/1.1.0/css/dataTables.dateTime.min.css" rel="stylesheet" type="text/css" />
<link href="{{ asset('public/assets/libs/x-editable/bootstrap-editable/css/bootstrap-editable.css') }}" rel="stylesheet" type="text/css" />

<!-- data picker-->
<link href="{{ asset('public/assets/libs/flatpickr/flatpickr.min.css') }}" rel="stylesheet" type="text/css" />
<!-- Loading button css -->
<link href="{{ asset('public/assets/libs/ladda/ladda.min.css') }}" rel="stylesheet" type="text/css" />
<link href="{{ asset('public/assets/libs/ladda/ladda-themeless.min.css') }}" rel="stylesheet" type="text/css" />
<link href="{{ asset('public/assets/css/selectables.css') }}" rel="stylesheet" type="text/css" />

<style>
            .show_url{
                display:none;
            }
            .url_div{
                margin-top: 10px;
                color: black;
            }
            .dynamic_content{
                padding: 0rem 2.25rem 2.25rem 2.25rem !important;
            }
            .perfomer_ul{
                list-style-type: disclosure-closed;
            }
            .perfomer_ul li::marker{
                color: red;
            }
            #inline-category{
                color: black;
            }
            .sitemap li a{
                white-space: pre-line;
            }
            .sitemap li a:hover {
                color: #6658dd !important;
            }
            .table>tbody {
                font-weight: 500;
            }
            .event_name_td{
                padding-left: 35px !important;
                position: relative;
            }
            #error_msg{
                color:red;
            }
            .event_date_td{
                background-color: #dcf4f9 !important;
            }
            td.event_name_td::before {
                content: "+";
                cursor: pointer;
                left: 5px;
                height: 1em;
                width: 1em;
                display: inline-block;
                position: absolute;
                color: white;
                border: 0.15em solid white;
                border-radius: 1em;
                box-shadow: 0 0 0.2em #444;
                box-sizing: content-box;
                text-align: center;
                text-indent: 0 !important;
                font-family: "Courier New",Courier,monospace;
                line-height: 1em;
                content: "+";
                background-color: #0d6efd;
            }
            
            tr.shown td.event_name_td::before {
                content: "-";
                background-color: #f1556c;
                height: 1em;
                width: 1em;
                display: block;
                position: absolute;
                color: white;
                border: 0.15em solid white;
                border-radius: 1em;
                box-shadow: 0 0 0.2em #444;
                box-sizing: content-box;
                text-align: center;
                text-indent: 0 !important;
                font-family: "Courier New",Courier,monospace;
                line-height: 1em;
            }
            .filter-select2 > .select2-container{
                z-index: inherit !important;
            }
            
            table.dataTable tbody>tr.selected, table.dataTable tbody>tr>.selected {
            background-color: #FFFFFF !important;
            }
            .bulk_delete_category{
                margin-left : 6px !important;
            }
        </style>
<style>
            #stubhub-datatable.dataTable td  {
                /*font-family: Verdana, Geneva, Tahoma, sans-serif;*/
                font-size: 12px;
            }
            .dt-buttons{
                margin-bottom:20px;
            }
            button.bulk_edit_performer {
                margin-left : 5px !important;
            }
            button.export_to_excel {
                margin-left : 5px !important;
            }
            button.bulk_event_version{
                margin-left : 5px !important;
            }
            button.bulk_map_assigning{
                margin-left : 5px !important;
            }
        </style>
@endpush
<!-- start content -->
@section('content')

<div class="row ">
    <div class="col-12">
        <div class="card filter_box">
            <form id="filter">
                <div class="card-body">
                    <div class="row">
                        <div class="col-sm-4">
                            <h4>Filters</h4>
                        </div>
                        <div class="col-sm-4">
                            
                        </div>
                        <div class="col-sm-4">
                             <a href="{{ route('fetch.SingleEvent.fromSource')}}" target="_blank" style="float:right" class="btn btn-primary mb-2" ><i class="fa fa-plus"></i> Fetch Event</a>
                            <a href="{{ route('event.create')}}" target="_blank" style="float:right;margin-right:10px" class="btn btn-danger mb-2" ><i class="fa fa-plus"></i> Create Event</a>
                        </div>
                    </div>
                    <div class="row mb-2">
                        <div class="col-sm-3">
                            <div class="input-group input-group-md">
                                <input type="text" class="form-control" id="event_name_search" placeholder="Event Name">
                            </div>
                        </div>

                        <div class="col-sm-3">
                            <div class="input-group input-group-md">
                                <input type="text" class="form-control" id="venue_search" placeholder="Venue Name">
                            </div>
                        </div>

                        <div class="col-sm-3">
                            <div class="input-group input-group-md">
                                <input type="text" class="form-control" id="venue_address_search" placeholder="Venue Address">
                            </div>
                        </div>

                        <div class="col-sm-3">
                            <div class="input-group input-group-md">
                                <input type="text" class="form-control" id="external_id" placeholder="External Id ( 111111,222222 )">
                            </div>
                        </div>
                       
                    </div>

                    <div class="row mb-2">
                         <div class="col-sm-3">
                            <div class="text-sm-end mt-3 mt-md-0 form-group searchcategory">
                                <select class="form-control select2" id="searchType" data-toggle="select2" data-width="100%">
                                    <option value="">Select Category</option>
                                    @foreach($searchType as $types)
                                    <option value="{{$types->primary_category}}" @if(!empty($category) && $category==$types->primary_category) selected @endif>{{$types->primary_category}}</option>
                                    @endforeach
                                </select>
                            </div>
                        </div>
                         <div class="col-sm-3">
                            <div class="text-sm-end mt-3 mt-md-0 form-group">
                                <select class="form-control" id="mapped_status">
                                    <option value="">Select Mapped Status</option>
                                    <option value="1" @if(!empty($mappedStatus) && $mappedStatus == "true") selected  @endif >Mapped</option>
                                    <option value="0" @if(!empty($mappedStatus)) @if($mappedStatus=="false") selected @endif @else selected @endif  > UnMapped</option>
                                </select>
                            </div>
                        </div>

                        <div class="col-sm-3 filter-select2">
                            <div class="text-sm-end mt-3 mt-md-0 form-group">
                               <select class="form-control select2-multiple performers" name="performers"  data-toggle="select2" data-width="100%" multiple="multiple" data-placeholder="Performers">
                                     <optgroup label="Filter">
                                        <option value="">Select Performer</option>
                                        @if($performers->count() > 0)
                                            @foreach($performers as $p)
                                            <option value="{{$p->id}}" @if(!empty($searchPerformer) && $searchPerformer==$p->name) selected @endif> {{$p->name}} </option>
                                            @endforeach
                                        @endif
                                    </optgroup>
                                </select>
                            </div>
                        </div>
                        <!--<div class="col-sm-3">-->
                        <!--    <div class="mt-3 mt-md-1 form-group form-check form-switch align-middle">-->
                        <!--        <input type="checkbox" class="form-check-input" value="0" id="update_requires">-->
                        <!--        <label class="form-check-label align-middle" for="update_requires">Updated events from stubhub?</label>-->
                        <!--    </div>-->
                        <!--</div>-->
                        <div class="col-sm-3">
                            <select class="form-control select2-multiple update_type filter-select2" name="type_of_update"  data-toggle="select2" data-width="100%" multiple="multiple" data-placeholder="Update Types ...">
                                <optgroup label="Filter">
                                    <option value="update_events_from_stubhub" @if(!empty($updatedEvents)) @if($updatedEvents == "update_events_from_stubhub") selected  @endif @endif>Update Required?</option>
                                    <option value="change_in_date">change in date?</option>
                                    <option value="change_in_venue">change in venue?</option>
                                    <option value="change_in_name">change in name?</option>
                                    <option value="change_in_performer">change in performer?</option>
                                    <option value="change_in_category">change in category?</option>
                                    <option value="has_multiple_version">Has Multiple Version?</option>
                                    <option value="unmapped_with_tixstocklog">Unmapped with TixstockLog?</option>
                                    <option value="update_map_flag">Update Map?</option>
                                    <option value="has_map">Has Map?</option>
                                </optgroup>
                            </select>
                        </div>
                    </div>
                    <!--<div class="row mb-4">-->
                    <!--    <div class="col-sm-3">-->
                    <!--        <div class="mt-3 mt-md-1 form-group form-check form-switch align-middle">-->
                    <!--            <input type="checkbox" class="form-check-input" value="0" id="change_in_date">-->
                    <!--            <label class="form-check-label align-middle" for="change_in_date">Change in Date?</label>-->
                    <!--        </div>-->
                    <!--    </div>-->
                    <!--    <div class="col-sm-3">-->
                    <!--        <div class="mt-3 mt-md-1 form-group form-check form-switch align-middle">-->
                    <!--            <input type="checkbox" class="form-check-input" value="0" id="change_in_venue">-->
                    <!--            <label class="form-check-label align-middle" for="change_in_venue">Change in Venue?</label>-->
                    <!--        </div>-->
                    <!--    </div>-->
                    <!--    <div class="col-sm-3">-->
                    <!--        <div class="mt-3 mt-md-1 form-group form-check form-switch align-middle">-->
                    <!--            <input type="checkbox" class="form-check-input" value="0" id="change_in_name">-->
                    <!--            <label class="form-check-label align-middle" for="change_in_name">Change in name?</label>-->
                    <!--        </div>-->
                    <!--    </div>-->
                    <!--    <div class="col-sm-3">-->
                    <!--        <div class="mt-3 mt-md-1 form-group form-check form-switch align-middle">-->
                    <!--            <input type="checkbox" class="form-check-input" value="0" id="change_in_performer">-->
                    <!--            <label class="form-check-label align-middle" for="change_in_performer">Change in Performer?</label>-->
                    <!--        </div>-->
                    <!--    </div>-->
                    <!--    <div class="col-sm-3">-->
                    <!--        <div class="mt-3 mt-md-1 form-group form-check form-switch align-middle">-->
                    <!--            <input type="checkbox" class="form-check-input" value="0" id="change_in_category">-->
                    <!--            <label class="form-check-label align-middle" for="change_in_category">Change in Category?</label>-->
                    <!--        </div>-->
                    <!--    </div>-->
                    <!--</div>-->
                    <div class="row mb-2">
                        <!--<div class="mb-3">-->
                        <!--    <label class="form-label">Range Calendar</label>-->
                        <!--</div>-->
                        <div class="col-sm-3">
                                <!--<label for="status-select" class="me-2">Event Date</label>-->
                                <!--<input type="text" class="form-control" id="dash-daterange_from">-->
                                <input type="text" id="range-datepicker" class="form-control flatpickr-input active dash-daterange_from" placeholder="Event Date">
                        </div>

                        <div class="col-sm-3">
                            <!--<div class="input-group input-group-md">-->
                                <!--<label for="status-select" class="me-2">Event Created Date</label>-->
                                 <input type="text" id="range-datepicker" class="form-control flatpickr-input active dash-daterange_to" placeholder="Event Added On">
                                <!--<input type="text" class="form-control" id="dash-daterange_to">-->
                                <!--<span class="input-group-text bg-blue border-blue text-white">-->
                                <!--    <i class="mdi mdi-calendar-range"></i>-->
                                <!--</span>-->
                            <!--</div>-->
                        </div>
                        <div class="col-sm-2">
                            <select class="form-control select2-multiple mapped_resource filter-select2" name="mapped_resource[]"  data-toggle="select2" data-width="100%" multiple="multiple" data-placeholder="Select Mapped Source">
                                <optgroup label="Filter">
                                    @foreach($resource as $r)
                                        <option value="{{$r->id}}">{{$r->name}}</option>
                                    @endforeach
                                </optgroup>
                            </select>
                        </div>
                        <div class="col-sm-2">
                            <select class="form-control select2-multiple resource filter-select2" name="resource[]"  data-toggle="select2" data-width="100%" multiple="multiple" data-placeholder="Select Source">
                                <optgroup label="Filter">
                                    @foreach($resource as $r)
                                        @if($r->name != "Tixstock")
                                        <option value="{{$r->id}}">{{$r->name}}</option>
                                        @endif
                                    @endforeach
                                        <option value="0">Manual</option>
                                </optgroup>
                            </select>
                        </div>
                        
                        <div class="col-sm-2">
                            <div class="switchery-demo">
                                <input type="checkbox" name="mapped_categories_filter" data-switchery="true" checked class="js-switch mapped_categories_filter" value="1" />
                                <label class="form-label">Mapped Categories</label>
                            </div>
                        </div>
                    </div>
                    <div class="row mb-2">
                        <div class="col-sm-12" style="text-align:center">
                             
                            <button type="button" class="btn btn-primary filter waves-effect waves-light mb-2 me-4 fw-bold" id="filter">Search
                            <div class="search_loader spinner-border spinner-border-sm m-0" style="display:none" role="status"></div>
                            </button>
                             <button type="reset" class="btn btn-primary mb-2 me-4 fw-bold">Reset
                            </button>
                        </div>  
                    </div>
            
                    <div class="row mb-2">
                        <div class="progress mb-0" style="height: 2px;">
                            <div class="progress-bar" role="progressbar" style="width: 20%" aria-valuenow="20" aria-valuemin="0" aria-valuemax="100"></div>
                            <div class="progress-bar bg-danger" role="progressbar" style="width: 20%" aria-valuenow="20" aria-valuemin="0" aria-valuemax="100"></div>
                            <div class="progress-bar bg-warning" role="progressbar" style="width: 20%" aria-valuenow="20" aria-valuemin="0" aria-valuemax="100"></div>
                            <div class="progress-bar bg-success" role="progressbar" style="width: 20%" aria-valuenow="20" aria-valuemin="0" aria-valuemax="100"></div>
                            <div class="progress-bar bg-info" role="progressbar" style="width: 20%" aria-valuenow="20" aria-valuemin="0" aria-valuemax="100"></div>
                        </div>
                    </div>
                </div> <!-- end card-body-->
            </form>
        </div> <!-- end card-->
        <div class="card">
            <div class="card-body">
                <div class="tixstok_log_response">
                    
                </div>
                
                <div id="dynamic_table">
                    
                   @include('admin.events.events_dynamic_listing')
                </div>
            </div>
        </div>
                
            
    </div> <!-- end col -->
</div>
<div id="main_category_div" style="display:none;">
                
 </div>

            <!-- Standard modal content -->
        <div id="eventVersion-modal" class="modal fade" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="standard-modalLabel" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered modal-full-width">
                <div class="modal-content">
                    <div class="modal-header">
                        <h4 class="modal-title" id="eventVersion-modalLabel">Event Venue Details</h4>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <hr/>
                    <div class="modal-body">
                        <div class="dynamic_content">
                        </div> 
                    </div>
                    <div class="modal-footer">
                    </div>
                </div><!-- /.modal-content -->
            </div><!-- /.modal-dialog -->
            </div><!-- /.modal-dialog -->
        </div>
        <div id="advance-modal" class="modal fade" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="standard-modalLabel" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered modal-full-width">
                <div class="modal-content">
                    <div class="modal-header">
                        <h4 class="modal-title" id="advance-modalLabel">Tixstock Log Details</h4>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <hr/>
                    <div class="modal-body">
                        <form id="modal_form">
                            <input type="hidden" name="id" id="id" value="" />
                            <input type="hidden" name="method" id="method" value="modal_save" />
                            <div class="dynamic_content"></div>
                        </form>
                    </div>
                    <!--<div class="modal-footer">-->
                    <!--    <button type="button" class="btn btn-success waves-effect waves-light m-1" id="modal_save"><i class="fe-check-circle me-1"></i> Save Changes</button>-->
                    <!--    <button type="button" id="close_modal" class="btn btn-dark waves-effect waves-light m-1" data-bs-dismiss="modal"><i class="fe-x me-1"></i> Close</button>-->
                    <!--</div>-->
                </div><!-- /.modal-content -->
            </div><!-- /.modal-dialog -->
        </div><!-- /.modal -->
        <div id="edit-search-type" class="modal fade" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="standard-modalLabel" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered modal-lg">
                <div class="modal-content">
                    <div class="modal-header">
                        <h4 class="modal-title" id="standard-modalLabel">Event Category</h4>
                        <!--<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>-->
                    </div>
                    <hr/>
                    <div class="modal-body">
                        
                        <form id="modal_form" action="{{route('update.event.category')}}" method="post">
                            <input type="hidden" name="id" id="id" value="" />
                            <input type="hidden" name="method" id="method" value="modal_save" />
                        <div class="dynamic_content">
                            <div class="mb-3">
                                <label for="product-name" class="form-label">Category Name</label>
                                <select class="form-control category_edit"  data-toggle="select2-multiple" data-width="100%" name="category" >
                                    <option value="">Select Category</option>
                                    @foreach($categoriesArray as $cat)
                                        <option value="{{$cat}}"> {{$cat}} </option>
                                    @endforeach
                                </select>
                            </div>
                        </div>
                        </form>
                    </div>
                    <div class="modal-footer">
                        <button type="submit" class="btn btn-success waves-effect waves-light m-1" id="edit_search_type"><i class="fe-check-circle me-1"></i> Save Changes</button>
                        <button type="button" id="close_modal" class="btn btn-dark waves-effect waves-light m-1" data-bs-dismiss="modal"><i class="fe-x me-1"></i> Close</button>
                    </div>
                </div><!-- /.modal-content -->
            </div><!-- /.modal-dialog -->
        </div><!-- /.modal -->
        <div id="edit-performer" class="modal fade" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="standard-modalLabel" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered modal-lg">
                <div class="modal-content">
                    <div class="modal-header">
                        <h4 class="modal-title" id="standard-modalLabel">Event Performers</h4>
                        <!--<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>-->
                    </div>
                    <hr/>
                    <div class="modal-body">
                        <form id="modal_form" action="{{route('update.event.performers')}}" method="post">
                            <input type="hidden" name="id" id="id" value="" />
                            <input type="hidden" name="method" id="method" value="modal_save" />
                            <div class="dynamic_content">
                            <div class="mb-3">
                                <label for="product-name" class="form-label">Performer Name</label>
                                <select class="form-control select2-multiple filter-select2 form-control performer_edit"   data-toggle="select2-multiple" multiple="multiple" data-width="100%" name="performer[]" >
                                    <option value="">Select Performer</option>
                                    @foreach($performers as $performer)
                                        <option value="{{$performer->id}}"> {{$performer->name}} </option>
                                    @endforeach
                                </select>
                                <div id="performer"></div>
                            </div>
                            
                        </div>
                        </form>
                    </div>
                    <div class="modal-footer">
                        <button type="submit" class="btn btn-success waves-effect waves-light m-1" id="edit_performers"><i class="fe-check-circle me-1"></i> Save Changes</button>
                        <button type="button" id="close_modal" class="btn btn-dark waves-effect waves-light m-1" data-bs-dismiss="modal"><i class="fe-x me-1"></i> Close</button>
                    </div>
                </div><!-- /.modal-content -->
            </div><!-- /.modal-dialog -->
        </div><!-- /.modal -->
        <div id="standard-modal" class="modal fade" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="standard-modalLabel" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered modal-full-width">
                <div class="modal-content">
                    <div class="modal-header">
                        <h4 class="modal-title" id="standard-modalLabel">Event Venue Details</h4>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <hr/>
                    <div class="modal-body">
                        
                        <div class="dynamic_content">
                        </div>
                        
                    </div>
                    <!--<div class="modal-footer">-->
                    <!--    <button type="button" class="btn btn-success waves-effect waves-light m-1" id="modal_save"><i class="fe-check-circle me-1"></i> Save Changes</button>-->
                    <!--    <button type="button" id="close_modal" class="btn btn-dark waves-effect waves-light m-1" data-bs-dismiss="modal"><i class="fe-x me-1"></i> Close</button>-->
                    <!--</div>-->
                </div><!-- /.modal-content -->
            </div><!-- /.modal-dialog -->
        </div><!-- /.modal -->
        <div id="bulk-map-modal" class="modal fade" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="standard-modalLabel" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered modal-full-width">
                <div class="modal-content">
                    <div class="modal-header">
                        <h4 class="modal-title" id="standard-modalLabel">Event Details</h4>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <hr/>
                    <div class="modal-body">
                        <form id="update_bulk_map" action="#" method="post">
                            <input type="hidden" name="event_id" id="event_id" value="" />
                            <div class="dynamic_content">
                                <div class="mb-3">
                                    <label for="map-name" class="form-label">Map Name</label>
                                    <select class="form-control map_dropdown"  data-toggle="select2-multiple" data-width="100%" name="category" >
                                        <option value="">Select Map</option>
                                        @foreach($mapsArray as $map)
                                            <option value="{{$map->id}}"> {{$map->name}} </option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-success waves-effect waves-light m-1" id="bulk_update_map"><i class="fe-check-circle me-1"></i> Save Changes</button>
                                <button type="button" id="close_modal" class="btn btn-dark waves-effect waves-light m-1" data-bs-dismiss="modal"><i class="fe-x me-1"></i> Close</button>
                            </div>
                        </form>
                    </div>
                </div><!-- /.modal-content -->
            </div><!-- /.modal-dialog -->
        </div><!-- /.modal -->
        
@endsection
<!-- end content -->

@push('scripts')
<!-- Vendor js -->
<script src="{{ asset('public/assets/libs/mohithg-switchery/switchery.min.js') }}"></script>
<!-- Sweet Alerts js -->
<!-- select2 js -->
<script src="{{ asset('public/assets/libs/multiselect/js/jquery.multi-select.js') }}"></script>
<script src="{{ asset('public/assets/libs/select2/js/select2.min.js') }}"></script>
<script src="{{ asset('public/assets/libs/sweetalert2/sweetalert2.all.min.js') }}"></script>
<!-- datatables js -->
<script src="{{ asset('public/assets/libs/datatables.net/js/jquery.dataTables.min.js') }}"></script>
<script src="{{ asset('public/assets/libs/datatables.net/js/dataTables.editor.min.js') }}"></script>
<script src="{{ asset('public/assets/libs/datatables.net-bs5/js/dataTables.bootstrap5.min.js') }}"></script>
<script src="{{ asset('public/assets/libs/datatables.net-responsive/js/dataTables.responsive.min.js') }}"></script>
<script src="{{ asset('public/assets/libs/datatables.net-responsive-bs5/js/responsive.bootstrap5.min.js') }}"></script>
<script src="{{ asset('public/assets/libs/datatables.net-buttons/js/dataTables.buttons.min.js') }}"></script>
<script src="{{ asset('public/assets/libs/datatables.net-buttons-bs5/js/buttons.bootstrap5.min.js') }}"></script>
<script src="{{ asset('public/assets/libs/datatables.net-buttons/js/buttons.html5.min.js') }}"></script>
<script src="{{ asset('public/assets/libs/datatables.net-buttons/js/buttons.flash.min.js') }}"></script>
<script src="{{ asset('public/assets/libs/datatables.net-buttons/js/buttons.print.min.js') }}"></script>
<script src="{{ asset('public/assets/libs/datatables.net-keytable/js/dataTables.keyTable.min.js') }}"></script>
<script src="{{ asset('public/assets/libs/datatables.net-select/js/dataTables.select.min.js') }}"></script>
<script src="{{ asset('public/assets/libs/pdfmake/build/pdfmake.min.js') }}"></script>
<script src="{{ asset('public/assets/libs/pdfmake/build/vfs_fonts.js') }}"></script>
 <script src="{{ asset('public/assets/js/pages/datatables.init.js') }}"></script>
<script src="https://cdn.datatables.net/datetime/1.1.0/js/dataTables.dateTime.min.js"></script>
<script src="{{ asset('public/assets/libs/x-editable/bootstrap-editable/js/bootstrap-editable.min.js') }}"></script>
<!-- date picker js -->
<script src="{{ asset('public/assets/libs/flatpickr/flatpickr.min.js') }}"></script>

<!-- tool tip js -->
<script src="{{ asset('public/assets/libs/tippy.js/tippy.all.min.js') }}"></script>
<!-- Loading buttons js -->
<script src="{{ asset('public/assets/libs/ladda/spin.min.js') }}"></script>
<script src="{{ asset('public/assets/libs/ladda/ladda.min.js') }}"></script>
<script src="{{ asset('public/assets/js/dataTables.pageLoadMore.min.js') }}"></script>
<script src="{{ asset('public/assets/js/common_function.js') }}"></script>
<script src="{{ asset('public/assets/libs/flatpickr/flatpickr.min.js') }}"></script>
<script src="{{ asset('public/assets/libs/bootstrap-datepicker/js/bootstrap-datepicker.min.js') }}"></script>
<script src="{{ asset('public/assets/js/pages/form-pickers.init.js') }}"></script>

<script src="{{ asset('public/assets/js/selectables.js') }}"></script>
<script>
    dr = new Selectables({
      zone:'#nestable_list_2',
      elements: 'li',     
      onSelect:function(element){
         console.log(element);
      }
});
</script>
<script>
    $(document).ready(function() {
        
        
        var elem = document.querySelector('.js-switch');
        var init = new Switchery(elem,{
                    "color"             : '#64bd63', 
                    "secondaryColor"    : '#dfdfdf',
                    "jackColor"         : '#fff',
                    "jackSecondaryColor": null,
                    "className"         : 'switchery',
                    "disabled"          : false,
                    "disabledOpacity"   : 0.5,
                    "speed"             : '0.4s',
                    "size"              : 'default'
                });
        elem.onchange = function() {
            if(elem.checked==true){
                elem.value = 1;
            }else{
                elem.value = 0;
            }
        };
        $('.select2-multiple').select2();
        $('.category_edit').select2({
            dropdownParent:$("#edit-search-type")
        });
        $('.performer_edit').select2({
            dropdownParent:$("#edit-performer")
        });
        $('.map_dropdown').select2({
            dropdownParent:$("#bulk-map-modal")
        });
        $('#searchType').select2({
            dropdownParent:$(".searchcategory")
        });
       
    });
</script>
<script>
    var fetchPerformer = "{{route('fetch.performer')}}";
    $.ajaxSetup({
    headers: {
        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
    }
});
</script>
<script>
    $(document).on('click','.filter_btn',function(){
        $(".filter_box").toggle();
    })
</script>

        <script>
            var editor;
            var datatable;
    $(document).ready(function() {

    var colm = [{
            data: 'id',
            render: function(data, type, row) {

                return '<div class="form-check"><input type="checkbox" name="events" class="form-check-input custom_chk" value="' + data + '" id="' + data + '"><label class="form-check-label" for="customCheck2">&nbsp;</label></div>';
            }
        },
        {
            data: 'search_type'
        },
        {
            data: 'external_id'
        },
        {
            data: 'name'
        },
        //  { data: 'category' },
        {
            data: 'event_date'
        },
        {
            data: 'venue',
            className: 'editable'
        },
        {
            data: 'venue_address_id',
            className: 'editable'
        },
        {
            data: 'performers'
        },
        {
            data: 'event_venue_details'
        },
        {
            data: 'map_id'
        },
        {
            data: 'mapped_status'
        },
        {
            data: 'source_name'
        },
        {
            data: 'created_at'
        },
        {
            data: 'actions',
            name: 'actions',
            orderable: false,
            searchable: false
        },
    ];
    var hide_clm = [{
        "targets": 0,
        "orderable": false
    }];


    var from = $("#dash-daterange_from").flatpickr({
        altInput: !0,
        altFormat: "d/m/Y",
        defaultDate: "today",
        onChange: function(dateObj, dateStr) {
            date = dateStr;
            datatable.ajax.reload();
        }
    });
    var to = $(".dash-daterange_to").flatpickr({
        mode: "range"
    });
    var lastChecked = null;
    datatable = $('#stubhub-datatable').DataTable({
        'processing': true,
        'serverSide': true,
        'serverMethod': 'post',
        lengthMenu: [
            [25, 50, 100, 150, 200,500,1000, -1],
            [25, 50, 100, 150, 200,500,1000, 'All'],
        ],
        //   "pageLength": 25,
        'font-size': '8px',
        // dom: 'Blfrtip',
        'dom':'B<"top"li>frt<"bottom"p>',
        buttons: {
            dom: {
                button: {
                    tag: 'button',
                    className: 'btn'
                }
            },
            buttons: [
                {
                    text: '<i class="fas fa-pen"></i>  Bulk Category Edit',
                    className: 'btn-primary btn-sm waves-effect bulk_edit_category ml-2',
                    key: {
                        shiftKey: true,
                        key: 'n'
                    },
                    action: function(e, dt, node, config) {
                        var checkedEvents = [];
                        $("input:checkbox[name=events]:checked").each(function() {
                            checkedEvents.push($(this).val());
                        });
                        if (checkedEvents.length > 0) {
                            Swal.fire({
                                title: "Are you sure?",
                                text: "You want to edit category for selected events",
                                icon: "warning",
                                showCancelButton: !0,
                                confirmButtonColor: "#28bb4b",
                                cancelButtonColor: "#f34e4e",
                                confirmButtonText: "Yes",
                                cancelButtonText: "No",
                            }).then(function(e) {
                                if (e.value == true) {
                                    checkedEvents = checkedEvents.join(',');
                                    $('#edit-search-type').find('#modal_form').find('#id').val(checkedEvents);
                                    $("#edit-search-type").modal('show');
                                }
                            })
                        } else {
                            swal.fire("Please Select Events.");
                        }
                    }
                },
                {
                    text: '<i class="fas fa-pen"></i>  Bulk Performer Edit',
                    className: 'btn-primary btn-sm waves-effect bulk_edit_performer ml-2',
                    key: {
                        shiftKey: true,
                        key: 'n'
                    },
                    action: function(e, dt, node, config) {
                        var checkedEvents = [];
                        $("input:checkbox[name=events]:checked").each(function() {
                            checkedEvents.push($(this).val());
                        });
                        if (checkedEvents.length > 0) {
                            Swal.fire({
                                title: "Are you sure?",
                                text: "You want to edit performer for selected events",
                                icon: "warning",
                                showCancelButton: !0,
                                confirmButtonColor: "#28bb4b",
                                cancelButtonColor: "#f34e4e",
                                confirmButtonText: "Yes",
                                cancelButtonText: "No",
                            }).then(function(e) {
                                if (e.value == true) {
                                    checkedEvents = checkedEvents.join(',');
                                    $('#edit-performer').find('#modal_form').find('#id').val(checkedEvents);
                                    $("#edit-performer").modal('show');
                                }
                            })
                        } else {
                            swal.fire("Please Select Events.");
                        }
                    }
                },
                {
                    text: '<i class="fas fa-trash"></i>  Delete Event',
                    className: 'btn-danger btn-sm waves-effect bulk_delete_category ml-2',
                    key: {
                        shiftKey: true,
                        key: 'n'
                    },
                    action: function(e, dt, node, config) {
                        var checkedEvents = [];
                        $("input:checkbox[name=events]:checked").each(function() {
                            checkedEvents.push($(this).val());
                        });
                        if (checkedEvents.length > 0) {
                            Swal.fire({
                                title: "Are you sure?",
                                text: "You want to delete selected events",
                                icon: "warning",
                                showCancelButton: !0,
                                confirmButtonColor: "#28bb4b",
                                cancelButtonColor: "#f34e4e",
                                confirmButtonText: "Yes",
                                cancelButtonText: "No",
                            }).then(function(e) {
                                if (e.value == true) {
                                    checkedEvents = checkedEvents.join(',');
                                    $.ajax({
                                        url: '{{route("delete.bulk.events")}}',
                                        type: "post",
                                        data: {
                                            "_token": "{{ csrf_token() }}",
                                            "id": checkedEvents
                                        },
                                        success: function() {
                                            Swal.fire("Deleted!", "Event has been deleted.", "success");
                                            $('#stubhub-datatable').DataTable().ajax.reload();
                                        }
                                    });
                                }
                            })
                        } else {
                            swal.fire("Please Select Events.");
                        }
                    }
                },
                
                {
                    text: '<i class="fas  fa-futbol"></i>  Bulk Map Assigning',
                    className: 'btn-primary btn-sm waves-effect bulk_map_assigning ml-2',
                    key: {
                        shiftKey: true,
                        key: 'n'
                    },
                },
                {
                    text: '<i class="fas fa-file-export"></i>  Excel',
                    className: 'btn-warning btn-sm waves-effect export_to_excel ml-2',
                    key: {
                        shiftKey: true,
                        key: 'n'
                    },
                },
                {
                    text: '<i class="fas fa-edit"></i>  Bulk Versioning',
                    className: 'btn-primary btn-sm waves-effect bulk_event_version ml-2',
                    key: {
                        shiftKey: true,
                        key: 'n'
                    },
                },
            
            ]
        },
        'ajax': {
            'url': '{{route("event.data")}}',
            'data': function(d) {
                if (!$(".search_loader").is(':visible')) {
                    $(".database_loader").show();
                }

                var change_in_date;
                var change_in_name;
                var change_in_venue;
                var change_in_performer;
                var change_in_category;
                var update_requires;
                var has_multiple_version;
                var unmapped_with_tixstocklog=0;
                var update_map_flag = 0;
                var has_map_flag = 0;

                var performer = $(".performers").val();
                if (performer.length > 0) {
                    performer = performer.join(",");
                } else {
                    perfromer = "";
                }

                var update_type = $(".update_type").val();
                console.log(update_type);
                if (update_type.length > 0) {
                    if ($.inArray('update_events_from_stubhub', update_type) != -1) {
                        update_requires = 1;
                    }

                    if ($.inArray('change_in_date', update_type) != -1) {
                        change_in_date = 1;
                    }

                    if ($.inArray('change_in_name', update_type) != -1) {
                        change_in_name = 1;
                    }

                    if ($.inArray('change_in_venue', update_type) != -1) {
                        change_in_venue = 1;
                    }
                    if ($.inArray('change_in_category', update_type) != -1) {
                        change_in_category = 1;
                    }

                    if ($.inArray('change_in_performer', update_type) != -1) {
                        change_in_performer = 1;
                    }

                    if ($.inArray('has_multiple_version', update_type) != -1) {
                        has_multiple_version = 1;
                    }
                    
                    if ($.inArray('unmapped_with_tixstocklog', update_type) != -1) {
                        unmapped_with_tixstocklog = 1;
                    }
                    if ($.inArray('update_map_flag', update_type) != -1) {
                        update_map_flag = 1;
                    }
                    if ($.inArray('has_map', update_type) != -1) {
                        has_map_flag = 1;
                    }
                    

                }
                d.external_id = $("#external_id").val();
                d.update_requires = update_requires;
                d.event_name = $("#event_name_search").val();
                d.venue = $("#venue_search").val();
                d.venue_address = $("#venue_address_search").val();
                d.mappedStatus = $("#mapped_status").val();
                d.performer = performer;
                d.type = $("#searchType").val();
                d.resource = $(".resource").val();
                d.mapped_resource = $(".mapped_resource").val();
                d.event_date = $(".dash-daterange_from").val();
                d.event_created_date = $(".dash-daterange_to").val();
                d._token = "{{csrf_token()}}";
                d.change_in_date = change_in_date;
                d.change_in_name = change_in_name;
                d.change_in_venue = change_in_venue;
                d.change_in_performer = change_in_performer;
                d.has_multiple_version = has_multiple_version;
                d.mapped_categories_filter = $(".mapped_categories_filter").val();
                d.unmapped_with_tixstocklog = unmapped_with_tixstocklog;
                d.update_map_flag = update_map_flag;
                d.has_map_flag = has_map_flag;
            }
        },
        "columnDefs": hide_clm,
        drawCallback: function() {
            $(".database_loader").hide();
            $(".search_loader").hide();
            tippy('[data-plugin="tippy"]');
            $chkboxes = $('input[type="checkbox"]');
            $chkboxes.click(function(e) {
                if (!lastChecked) {
                    lastChecked = this;
                    return;
                }

                if (e.shiftKey) {
                    var start = $chkboxes.index(this);
                    var end = $chkboxes.index(lastChecked);

                    $chkboxes.slice(Math.min(start, end), Math.max(start, end) + 1).prop('checked', lastChecked.checked);
                }

                lastChecked = this;
            });
        },
        'columns': colm,
        paging: true,
        select: {
            style: 'os',
            selector: 'td:first-child'
        },
        "createdRow": function(row, data, dataIndex) {
            $(row).find("td:eq(3)").addClass('event_name_td');
            if ($('#change_in_date_filter').is(':checked')) {
                $(row).find("td:eq(5)").addClass('event_date_td');
            }
        }
    });
    
    
    $(document).on('click','.export_to_excel',function(){
        
        var change_in_date;
        var change_in_name;
        var change_in_venue;
        var change_in_performer;
        var change_in_category;
        var update_requires;
        var has_multiple_version;
        var unmapped_with_tixstocklog=0;


        var performer = $(".performers").val();
        if (performer.length > 0) {
            performer = performer.join(",");
        } else {
            performer = "";
        }

        var update_type = $(".update_type").val();
       
        if (update_type.length > 0) {
            if ($.inArray('update_events_from_stubhub', update_type) != -1) {
                update_requires = 1;
            }

            if ($.inArray('change_in_date', update_type) != -1) {
                change_in_date = 1;
            }

            if ($.inArray('change_in_name', update_type) != -1) {
                change_in_name = 1;
            }

            if ($.inArray('change_in_venue', update_type) != -1) {
                change_in_venue = 1;
            }
            if ($.inArray('change_in_category', update_type) != -1) {
                change_in_category = 1;
            }

            if ($.inArray('change_in_performer', update_type) != -1) {
                change_in_performer = 1;
            }

            if ($.inArray('has_multiple_version', update_type) != -1) {
                has_multiple_version = 1;
            }
            
            if ($.inArray('unmapped_with_tixstocklog', update_type) != -1) {
                unmapped_with_tixstocklog = 1;
            }
        }
        
        $.ajax({
            'url': '{{route("export.events")}}',
            'headers': {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            'type': "post",
            'data': {
                'external_id':  $("#external_id").val(),
                '_token' : "{{csrf_token()}}",
                'mappedStatus' : $("#mapped_status").val(),
                'update_requires' : 'update_requires',
                'event_name' : $("#event_name_search").val(),
                'venue': $("#venue_search").val(),
                'venue_address': $("#venue_address_search").val(),
                'mappedStatus': $("#mapped_status").val(),
                'performer': performer,
                'type': $("#searchType").val(),
                'resource': $(".resource").val(),
                'event_date': $(".dash-daterange_from").val(),
                'event_created_date': $(".dash-daterange_to").val(),
                'change_in_date': change_in_date,
                'change_in_name': change_in_name,
                'change_in_venue': change_in_venue,
                'change_in_performer': change_in_performer,
                'has_multiple_version': has_multiple_version,
                'mapped_categories_filter': $(".mapped_categories_filter").val(),
                'unmapped_with_tixstocklog': unmapped_with_tixstocklog,
            },            
            success: function(response) {
                
                if(response.success == true){
                    window.open(response.data.file_name,"_blank");
                }else{
                    Swal.fire("error",response.msg,"error");
                }
                
                
              
            }
        })
        
    });

    var dd_btn = '<div class="dropdown d-inline float-end">' +
        '<button class="btn btn-primary btn-sm ms-1  dropdown-toggle" type="button" id="dd_vbtn" data-bs-toggle="dropdown" data-bs-auto-close="outside" aria-expanded="false"><i class="fas fa-bars"></i>  &nbsp;Bulk Update</button>' +
        '<div class="dropdown-menu" aria-labelledby="dd_vbtn">' +
        '<div class="form-check"><input class="form-check-input bulk_update_checkbox" type="checkbox" name="update_option" id="dd_btn_check1" value="change_in_date"><label class="form-check-label" for="dd_btn_check1">change in date?</label></div>' +
        '<div class="form-check"><input class="form-check-input bulk_update_checkbox" type="checkbox" name="update_option" id="dd_btn_check2" value="change_in_venue"><label class="form-check-label" for="dd_btn_check2">change in venue?</label></div>' +
        '<div class="form-check"><input class="form-check-input bulk_update_checkbox" type="checkbox" name="update_option" id="dd_btn_check3" value="change_in_name"><label class="form-check-label" for="dd_btn_check3">change in name?</label></div>' +
        '<div class="form-check"><input class="form-check-input bulk_update_checkbox" type="checkbox" name="update_option" id="dd_btn_check4" value="change_in_performer"><label class="form-check-label" for="dd_btn_check4">change in performer?</label></div>' +
        '<div class="form-check"><input class="form-check-input bulk_update_checkbox" type="checkbox" name="update_option" id="dd_btn_check5" value="change_in_category"><label class="form-check-label" for="dd_btn_check5">change in category?</label></div>' +
        '<div class=""><input class="btn btn-sm btn-outline-light waves-effect bulk_update_venue_cat" type="button" name="update_bulk_venue" id="dd_btn_check5" value="Venue\'s cat\/section ?"></div>' +
        '</div></div>';

    // var old_html = $('div.dt-buttons').html();
    $('div.dt-buttons').append(dd_btn);
    $('#stubhub-datatable_filter').attr("style", "margin-top: -2% !important");
    $('.dropdown-menu').attr("style", "width: 12rem !important");

    datatable.on('xhr', function() {
        var json = datatable.ajax.json();
        if ($("#date_filter_count").length) {
            $("#date_filter_count").text(json.date_change);
            $("#time_filter_count").text(json.time_change);
        }
    });
});

    $('#music_filter,#sports_filter,#football_filter,#change_in_date_filter').on('click', function(e) {
        datatable.draw();
    });
    
    $(document).on('click', '.filter', function() {
        $(".search_loader").show();
        datatable.draw();

    })

    // Handle click on "Load more" button
    $('#load-more-btn').on('click', function() {
        // Load more data
        // datatable.page.loadMore();
    });

    $(window).scroll(function() {

        var position = $(window).scrollTop();
        var bottom = $(document).height() - $(window).height();

        if (position == bottom) {
            $('#table_loader').show();
            $('#load-more-btn').trigger('click');
            $('#table_loader').hide();
        }
    });

    //bulk category open modal
    $(document).on('click', '.bulk_event_version', function() {
        var checkedEvents = [];
        $("input:checkbox[name=events]:checked").each(function() {
            checkedEvents.push($(this).val());
        });
         $(document).find('#error_msg').text('');
       
         if (checkedEvents.length <= 0){
            Swal.fire("Please select events.");
            return;
         }
         
         Swal.fire({
                title: "Are you sure?",
                text: "You want to process events for versioning!",
                icon: "warning",
                showCancelButton: !0,
                confirmButtonColor: "#28bb4b",
                cancelButtonColor: "#f34e4e",
                confirmButtonText: "Yes",
                cancelButtonText: "No",
            }).then(function(e) {

                checkedEvents = checkedEvents.join(',');
                if (e.value == true) {
                    
                    $(".bulk_event_version").prop('disabled', 'true');

                    $.ajax({
                        url: "{{route('bulk.event.version')}}",
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                        type: 'post',
                        data: {
                            "event_id": checkedEvents
                        },
                        success: function(response) {
                            if(response.success == true){
                                Swal.fire('success',response.msg,'success');
                                $(".bulk_event_version").prop('disabled', false);
                            }else{
                                Swal.fire('error',response.msg,'error');
                                $(".bulk_event_version").prop('disabled', false);
                            }
                            

                        }
                    })
                }
            })
    });

    // detail button click display info of event venue detail
    $('#stubhub-datatable tbody').on('click', '.event_venue_detail_btn', function(e) {
        e.preventDefault();
        var id = $(this).attr("id");
        console.log(id);
        var event_name = $(this).attr("event_name");
        var me = $(this);
        var la = Ladda.create(this);
        la.start();

        $.ajax({
            url: '{{route("fetch.event.venue.details")}}',
            type: 'post',
            data: {
                'id': id,
                'method': 'stubhub_event_venue_get',
                '_token': "{{csrf_token()}}",
                "manual_event": 1
            },
            success: function(response) {
                la.stop();
                me.removeClass('ladda-button');
                $('#standard-modal').modal('show');
                $('#standard-modal').find('#standard-modalLabel').text(event_name);
                $('#standard-modal').find('#modal_form').find('#id').val(response.id);
                $('#standard-modal').find('.dynamic_content').html(response.html);
                tippy('[data-plugin="tippy"]');

                var parent = $('#standard-modal').find('.modal-body');
                $.fn.editableform.buttons = '<button type="submit" class="btn btn-primary editable-submit btn-sm waves-effect waves-light"><i class="mdi mdi-check"></i></button><button type="button" class="btn btn-danger editable-cancel btn-sm waves-effect"><i class="mdi mdi-close"></i></button>',

                    $.fn.editable.defaults.mode = 'inline';
                $(parent).find(".inline-category").editable({
                    display: function(value) {
                        $(this).html('<i class="mdi mdi-adjust me-1"></i>' + value + ' (category)');
                    }
                });
                $(parent).find(".inline-section").editable({
                    display: function(value) {
                        $(this).html('<i class="mdi mdi-menu-right-outline me-1"></i>' + value + ' (section)');
                    }
                });
            }
        });

    });
    
    $('#stubhub-datatable tbody').on('click', '.tixstock_log', function(e) {
        e.preventDefault();
        var id = $(this).attr("id");
        var event_name = $(this).attr("event_name");
        var me = $(this);
        var la = Ladda.create(this);
        la.start();

        $.ajax({
            url: '{{route("fetch.event.tixstock.log")}}',
            type: 'post',
            data: {
                'id': id,
                '_token': "{{csrf_token()}}"
            },
            async: true, // Ensure this is set to true
            success: function(response) {
                la.stop();
                me.removeClass('ladda-button');
                $('#advance-modal').modal('show');
                $('#advance-modal').find('#advance-modalLabel').text(event_name);
                $('#advance-modal').find('#modal_form').find('#id').val(response.id);
                $('#advance-modal').find('.dynamic_content').html(response.html);
                tippy('[data-plugin="tippy"]');

                var parent = $('#standard-modal').find('.modal-body');
                $.fn.editableform.buttons = '',

                    $.fn.editable.defaults.mode = 'inline';
                $(parent).find(".inline-category").editable({
                    display: function(value) {
                        $(this).html('<i class="mdi mdi-adjust me-1"></i>' + value + ' (category)');
                    }
                });
                $(parent).find(".inline-section").editable({
                    display: function(value) {
                        $(this).html('<i class="mdi mdi-menu-right-outline me-1"></i>' + value + ' (section)');
                    }
                });

            }
        });

    });

    $('#stubhub-datatable tbody').on('click', '.event_version', function(e) {
        e.preventDefault();
        var id = $(this).attr("id");

        var event_name = $(this).attr("event_name");
        var me = $(this);
        var la = Ladda.create(this);
        var src = $(this).data('src');
        la.start();

        $.ajax({
            url: src,
            type: 'post',
            data: {
                'id': id,
                '_token': "{{csrf_token()}}"
            },
            success: function(response) {
                la.stop();
                me.removeClass('ladda-button');
                $('#advance-modal').modal('show');
                $('#advance-modal').find('#advance-modalLabel').text(event_name);
                $('#advance-modal').find('#modal_form').find('#id').val(response.id);
                $('#advance-modal').find('.dynamic_content').html(response.html);
                tippy('[data-plugin="tippy"]');

                var parent = $('#standard-modal').find('.modal-body');
                $.fn.editableform.buttons = '',

                    $.fn.editable.defaults.mode = 'inline';
                $(parent).find(".inline-category").editable({
                    display: function(value) {
                        $(this).html('<i class="mdi mdi-adjust me-1"></i>' + value + ' (category)');
                    }
                });
                $(parent).find(".inline-section").editable({
                    display: function(value) {
                        $(this).html('<i class="mdi mdi-menu-right-outline me-1"></i>' + value + ' (section)');
                    }
                });

            }
        });

    });

    $('#stubhub-datatable tbody').on('click', '.event_source_version', function(e) {
        e.preventDefault();
        var id = $(this).attr("id");
        var event_id = $(this).attr("event_id");
        var event_name = $(this).attr("event_name");
        var me = $(this);
        var la = Ladda.create(this);
        var src = $(this).data('src');
        la.start();

        $.ajax({
            url: src,
            type: 'post',
            data: {
                'id': id,
                '_token': "{{csrf_token()}}",
                'event_id': event_id
            },
            success: function(response) {
                la.stop();
                me.removeClass('ladda-button');
                $('#eventVersion-modal').modal('show');
                $('#eventVersion-modal').find('#eventVersion-modalLabel').text("Event Versions");
                $('#eventVersion-modal').find('#modal_form').find('#id').val(response.id);
                $('#eventVersion-modal').find('.dynamic_content').html(response.html);
                tippy('[data-plugin="tippy"]');

                var parent = $('#eventVersion-modal').find('.modal-body');
                $.fn.editableform.buttons = '',

                    $.fn.editable.defaults.mode = 'inline';
                $(parent).find(".inline-category").editable({
                    display: function(value) {
                        $(this).html('<i class="mdi mdi-adjust me-1"></i>' + value + ' (category)');
                    }
                });
                $(parent).find(".inline-section").editable({
                    display: function(value) {
                        $(this).html('<i class="mdi mdi-menu-right-outline me-1"></i>' + value + ' (section)');
                    }
                });

            }
        });

    });
    
    
    
    // Performers add button click open popup
    $(document).on('click', '.performer_btn', function(e) {

        e.preventDefault();
        var id = $(this).attr("id");
        var event_name = $(this).attr("event_name");



        var html = '<form id="modal_form"><input type="hidden" name="id" id="id" value="" /><input type="hidden" name="method" id="method" value="modal_save" /><input type="hidden" name="modal_type" id="modal_type" value="performer_save">';
        html += '<select name="performers[]" class="form-control select2-multiple performer_dropdown" multiple="multiple" data-toggle="select2" data-width="100%">';
        html += '</select>';

        html += '<div class="col-lg-6 mt-4">';
        html += '<div class="mb-3 sample_performer_div" style="display:none;"><label for="product-name" class="form-label">Performer Name</label>';
        html += '<input type="text" name="performers[]" id="performer_text" class="form-control" placeholder="Enter Performer Name">';
        html += '</div>';
        html += '<button type="button" class="btn btn-sm btn-blue waves-effect waves-light mb-2 me-2 float-end" id="add_perfomer" title="Add Perfomer" tabindex="0" data-plugin="tippy" data-tippy-animation="scale" data-tippy-arrow="true"><i class="mdi mdi-plus-circle"></i></button>';
        html += '</div></form><br><br><div class="float-end"><button type="button" id="close_modal" class="btn btn-dark waves-effect waves-light m-1" data-bs-dismiss="modal"><i class="fe-x me-1"></i> Close</button><button type="button" class="btn btn-success waves-effect waves-light m-1" id="modal_save"><i class="fe-check-circle me-1"></i> Save Changes</button></div>';

        $('#standard-modal').find('.dynamic_content').html(html);
        $('#standard-modal').modal('show');
        $('#standard-modal').find('#standard-modalLabel').text(event_name);
        $('#standard-modal').find('#modal_form').find('#id').val(id);
        $('#standard-modal').find('#modal_form').find('#method').val('performer_save');
        var copy_ele = $('#standard-modal').find('.sample_performer_div').clone();
        $(copy_ele).removeClass('sample_performer_div').show();
        $('#standard-modal').find('#add_perfomer').before(copy_ele);

        tippy('[data-plugin="tippy"]');

        get_performer();
    });

    function get_performer() {
        $(document).find(".performer_dropdown").select2({
            dropdownParent: $("#standard-modal"),
            ajax: {
                url: "{{route('fetch.performer')}}",
                type: "post",
                dataType: 'json',
                data: function(params) {
                    return {
                        q: params.term, // search term
                        _token: "{{csrf_token()}}",
                        page: params.page || 1
                    };
                },
                processResults: function(data, params) {
                    params.page = params.page || 1;

                    return {
                        // results: data.items,
                        results: $.map(data.items, function(item) {
                            return {
                                id: item.name,
                                text: item.name
                            }
                        }),
                        pagination: {
                            more: (params.page * 10) < data.total_count
                        }
                    };
                }
            }
        });
    }

    $(document).on('click', '.sub_category_btn', function(e) {
        e.preventDefault();
        var id = $(this).attr("id");
        var event_name = $(this).attr("event_name");

        $('#standard-modal').modal('show');
        $('#standard-modal').find('#standard-modalLabel').text(event_name);
        $('#standard-modal').find('#modal_form').find('#id').val(id);
        $('#standard-modal').find('#modal_form').find('#method').val('sub_category_save_from_event_listing');

        var html = '<input type="hidden" name="modal_type" id="modal_type" value="sub_category_save">';
        html += '<input type="hidden" name="edited_id" id="edited_id" value="" />';
        html += '<input type="hidden" name="main_category_name" id="main_category_name" value="">';
        html += '<input type="hidden" name="original_name" id="original_name" value="" />';

        html += $('#main_category_div').html();
        html += '<div id="sub_category_section"></div>';
        html += '<div id="sub_category_section_level_2"></div>';
        html += '<div id="sub_category_section_level_3"></div>';
        html += '<div id="category_section" class="col-lg-12 mt-4">';
        html += '<div class="mb-3"><label for="product-name" class="form-label">Category Name</label>';
        html += '<input type="text" name="sub_category_name" id="category_text" class="form-control" placeholder="Enter Category Name">';
        html += '</div>';
        html += '</div>';

        $('#standard-modal').find('.dynamic_content').html(html);

    });

    // name column button click url hide show
    $('#stubhub-datatable tbody').on('click', 'td.event_name_td', function() {
        var tr = $(this).closest('tr');
        var row = datatable.row(tr);

        if (tr.hasClass('shown')) {
            // This row is already open - close it
            tr.removeClass('shown');
            $(this).find('.url_div').addClass('show_url');
        } else {
            // Open this row
            $(this).find('.url_div').removeClass('show_url');
            tr.addClass('shown');
        }
    });


    $(document).on('click', '.select_all_chk', function() {
        if ($(this).is(':checked')) {
            $('.custom_chk').attr('checked', true);
        } else {
            $('.custom_chk').attr('checked', false);
        }
    });

    $(document).on('click', '#move_tixstock_btn', function() {
        var checkedEvents = [];
        $("input:checkbox[name=events]:checked").each(function() {
            checkedEvents.push($(this).val());
        });
 
        $(document).find('#error_msg').text('');

        if (checkedEvents.length > 0) {
            
            var gaEvent = 0;
            
            
            Swal.fire({
                title: "Are you sure?",
                text: "You want to move this to Tixstock!",
                icon: "warning",
                showCancelButton: !0,
                confirmButtonColor: "#28bb4b",
                cancelButtonColor: "#f34e4e",
                confirmButtonText: "Yes",
                cancelButtonText: "No",
            }).then(function(e) {
                if(e.value){
                    Swal.fire({
                    title: "Are you sure?",
                    text: "Are selected events GA events?",
                    icon: "warning",
                    showCancelButton: !0,
                    confirmButtonColor: "#28bb4b",
                    cancelButtonColor: "#f34e4e",
                    confirmButtonText: "Yes",
                    cancelButtonText: "No",
                    }).then(function(e1) {
                        
                        if(e1.value){
                            gaEvent =1;
                            checkedEvents = checkedEvents.join(',');
                    
                            $(".move_to_tixstock_loader").show();
                            $("#move_tixstock_btn").prop('disabled', 'true');
    
                            $.ajax({
                            url: "{{route('tixstock.events.add')}}",
                            headers: {
                                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                            },
                            type: 'post',
                            data: {
                                "event_id": checkedEvents,
                                "gaEvent": gaEvent,
                            },
                            success: function(response) {
                                $("#move_tixstock_btn").prop('disabled', false);
                                $(".move_to_tixstock_loader").hide();
                                if (response.successmsg != '') {
                                    var tixstock_log_div = '<div class="alert alert-success alert-dismissible fade show move_tixstock_success_response" style="display:none" role="alert">' +
                                        '<button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>' +
                                        '<div class="tixstock_log_success_message"></div>' +
                                        '</div>';
    
                                    $(".tixstok_log_response").append(tixstock_log_div);
                                    $(".tixstock_log_success_message").html(response.successmsg);
                                    $(".move_tixstock_success_response").show();
                                    datatable.ajax.reload();
                                }
                                if (response.errormsg != '') {
                                    var tixstock_log_div = '<div class="alert alert-danger alert-dismissible fade show move_tixstock_error_response" style="display:none" role="alert">' +
                                        '<button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>' +
                                        '<div class="tixstock_log_error_message"></div>' +
                                        '</div>';
                                    $(".tixstok_log_response").append(tixstock_log_div);
                                    $(".tixstock_log_error_message").html(response.errormsg);
                                    $(".move_tixstock_error_response").show();
                                    datatable.ajax.reload();
                                }
    
                            }
                        })
                        }else{
                            checkedEvents = checkedEvents.join(',');
                        
                            $(".move_to_tixstock_loader").show();
                            $("#move_tixstock_btn").prop('disabled', 'true');
        
                            $.ajax({
                                url: "{{route('tixstock.events.add')}}",
                                headers: {
                                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                                },
                                type: 'post',
                                data: {
                                    "event_id": checkedEvents,
                                    "gaEvent": gaEvent,
                                },
                                success: function(response) {
                                    $("#move_tixstock_btn").prop('disabled', false);
                                    $(".move_to_tixstock_loader").hide();
                                    if (response.successmsg != '') {
                                        var tixstock_log_div = '<div class="alert alert-success alert-dismissible fade show move_tixstock_success_response" style="display:none" role="alert">' +
                                            '<button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>' +
                                            '<div class="tixstock_log_success_message"></div>' +
                                            '</div>';
        
                                        $(".tixstok_log_response").append(tixstock_log_div);
                                        $(".tixstock_log_success_message").html(response.successmsg);
                                        $(".move_tixstock_success_response").show();
                                        datatable.ajax.reload();
                                    }
                                    if (response.errormsg != '') {
                                        var tixstock_log_div = '<div class="alert alert-danger alert-dismissible fade show move_tixstock_error_response" style="display:none" role="alert">' +
                                            '<button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>' +
                                            '<div class="tixstock_log_error_message"></div>' +
                                            '</div>';
                                        $(".tixstok_log_response").append(tixstock_log_div);
                                        $(".tixstock_log_error_message").html(response.errormsg);
                                        $(".move_tixstock_error_response").show();
                                        datatable.ajax.reload();
                                    }
        
                                }
                            })
                        }
                        
                    });
                }
            });
        } else {
            Swal.fire("Please select events.");
        }
    });

    $(document).on('click', '#bulk_update_btn', function() {

        var checkedEvents = [];
        var update_option = [];
        $("input:checkbox[name=events]:checked").each(function() {
            checkedEvents.push($(this).val());
        });

        $("input:checkbox[name=update_option]:checked").each(function() {
            update_option.push($(this).val());
        });

        if (checkedEvents.length <= 0) {

            Swal.fire("Please select events for update.");
            return;
        }
        if (update_option.length <= 0) {
            Swal.fire("Please select bulk update option.");
            return;
        }

        $(document).find('#error_msg').text('');

        if (checkedEvents.length > 0) {
            Swal.fire({
                title: "Are you sure?",
                text: "You want to update events!",
                icon: "warning",
                showCancelButton: !0,
                confirmButtonColor: "#28bb4b",
                cancelButtonColor: "#f34e4e",
                confirmButtonText: "Yes",
                cancelButtonText: "No",
            }).then(function(e) {

                checkedEvents = checkedEvents.join(',');
                update_option = update_option.join(',');
                if (e.value == true) {
                    $(".bulk_update_loader").show();
                    $("#bulk_update_btn").prop('disabled', 'true');

                    $.ajax({
                        url: "{{route('bulk.event.update')}}",
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                        type: 'post',
                        data: {
                            "event_id": checkedEvents,
                            "update_option": update_option
                        },
                        success: function(response) {
                            $("#bulk_update_btn").prop('disabled', false);
                            $(".bulk_update_loader").hide();

                            if (response.successmsg != '') {
                                var tixstock_log_div = '<div class="alert alert-success alert-dismissible fade show move_tixstock_success_response" style="display:none" role="alert">' +
                                    '<button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>' +
                                    '<div class="tixstock_log_success_message"></div>' +
                                    '</div>';

                                $(".tixstok_log_response").append(tixstock_log_div);
                                $(".tixstock_log_success_message").html(response.successmsg);
                                $(".move_tixstock_success_response").show();
                                datatable.ajax.reload();
                            }

                        }
                    })
                }
            })
        }

    });

    //retrieve event
    $(document).on('click', '.retrieve_event', function() {
        var id = $(this).attr('id');
        var external_id = $(this).attr('external_id');
        Swal.fire({
            title: "Are you sure?",
            text: "You want to make this event default.",
            icon: "warning",
            showCancelButton: !0,
            confirmButtonColor: "#28bb4b",
            cancelButtonColor: "#f34e4e",
            confirmButtonText: "Yes",
            cancelButtonText: "No",
        }).then(function(e) {

            if (e.value == true) {
                $.ajax({
                    url: "{{route('events.make.default')}}",
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    type: 'post',
                    data: {
                        "event_id": id,
                        "external_id": external_id
                    },
                    success: function(response) {

                        if (response.successmsg != '') {
                            $(".default_event_msg").html(response.successmsg);
                            $(".default_event_response").show();
                        }
                        if (response.errormsg != '') {
                            $(".default_event_msg").html(response.errormsg);
                            $(".default_event_response").show();
                        }
                        // Swal.fire({
                        //         title: 'successfully moved data!',
                        //         icon: "success"
                        //     }).then(function() {

                        //     })
                    }
                })
            }
            // e.value && Swal.fire("Deleted!", "Your file has been deleted.", "success")
        })
    })

    $(document).on('click', '.add_category', function() {

        var category_parent = $(this).closest('.modal-body').find('.category_details_div');

        $(category_parent).show();

        $(category_parent).find('#category-select').removeClass('editable-unsaved').addClass('inline-add-category editable-empty');
        //   $(category_parent).find('#category-select').text('');

        $(category_parent).find('.inline-add-category').editable({
            success: function(response, newValue) {

                var copy_ele = $(this).closest('.modal-body').find('.sample_div_cat_section').clone();

                $(copy_ele).addClass('event_venue_detail_html_edit').removeClass('sample_div_cat_section').show();
                $(copy_ele).find('#inline-category').attr('data-pk', newValue);
                $(copy_ele).find('#newly_add_category').attr('pos', newValue).attr('name', 'newly_add_category[' + newValue + ']');
                $(copy_ele).find('#newly_add_category').val(newValue);
                $(copy_ele).find('#newly_add_category').removeAttr('disabled');
                var text = newValue;
                $(copy_ele).find('#inline-category').html('<i class="mdi mdi-adjust me-1"></i>' + text + ' (category)');
                $('.category_details_div').before($(copy_ele));
                tippy('[data-plugin="tippy"]');
                $('.category_details_div').hide();
                $('.category_details_div').find('#category-select').removeClass('inline-add-category');
                tippy('[data-plugin="tippy"]');
            }
        });
    });

    $(document).on('click', '.add_section', function() {

        var section_parent = $(this).closest('.add_new_section_div').find('.section_details_div');

        $(section_parent).show();

        $(section_parent).find('#section-select').removeClass('editable-unsaved').addClass('inline-add-section editable-empty');
        //   $(section_parent).find('#section-select').text('Empty');

        $(section_parent).find('.inline-add-section').editable({
            success: function(response, newValue) {
                if ($(this).closest('.event_venue_detail_html_edit').length == 0) {
                    var pos = $(this).closest('.main_div').find('#newly_add_category').attr('pos');
                } else {
                    var pos = $(this).closest('.event_venue_detail_html_edit').find('#newly_add_category').attr('pos');
                }

                var parent = $(this).closest('.main_div').find('.sub_section');
                var text = newValue + ' (section)';
                var html = '<li><input type="hidden" name="newly_add_section[' + pos + '][]" id="newly_add_section" value="' + newValue + '"><a class="text-danger" href="#" id="inline-section" data-type="text" data-url="datatable123123_record_update.php" data-name="section_id" data-pk="' + newValue + '" data-title="Enter Section"><i class="mdi mdi-menu-right-outline me-1"></i>' + text + '</a></li>';

                if (parent.length == 0) {
                    var html1 = '<ul class="sub_section">' + html + '</ul>';
                    $(this).closest('.main_div').find('#inline-category').append(html1);
                } else {
                    $(this).closest('.main_div').find('.sub_section').append(html);
                }

                $(this).closest('.main_div').find('.section_details_div').hide();
                $('.section_details_div').find('#section-select').removeClass('inline-add-section');
            }
        });
    });

    $(document).on('click', '#modal_save', function(e) {
        e.preventDefault();
        var url = "";
        var flag = 0;
        var edit_cat_flag = 0;

        var form_data = $(this).parent().parent().find('#modal_form').serialize();
        if (form_data.indexOf('modal_type=performer_save') != -1) {
            url = "{{route('events.performers.update')}}";
            flag = 1;
        } else if (form_data.indexOf('modal_type=sub_category_save') != -1) {
            console.log("sub_category_save");
            flag = 1;
        } else if (form_data.indexOf('modal_type=sub_category_edit_save') != -1) {
            console.log("sub_category_edit_save");
            flag = 1;
            edit_cat_flag = 1;
        } else {
            url = "{{route('events.update.category.section')}}";
        }

        //   if(edit_cat_flag == 1){
        //       console.log(456)
        //         Swal.fire({
        //             title: "Are you sure?",
        //             icon: "warning",
        //             showCancelButton: !0,
        //             // confirmButtonColor: "#28bb4b",
        //             // cancelButtonColor: "#f34e4e",
        //             confirmButtonText: "Save Data For this Event Only ?",
        //             cancelButtonText: "Save Data For Same Category of Events ?"
        //         // }, function (isConfirm) {
        //         //     var save_type='individual';
        //         //     if (isConfirm) {
        //         //         save_type='all';
        //         //     }
        //         //     var form_data = $('#modal_form').serialize()+ '&save_type='+save_type+'&';
        //         // });
        //         }).then(function(result) {
        //             console.log(result)
        //             var save_type='individual';
        //             if (result.isConfirmed) {
        //                 save_type='all';
        //             }
        //             // e.value ? save_type='individual' : save_type='all';

        //             var form_data = $('#modal_form').serialize()+ '&save_type='+save_type+'&';
        //         })
        //   }
        //   console.log(123)
        if (url != '') {
            $.ajax({
                url: url,
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                type: 'post',
                data: form_data,
                success: function(response) {
                    Swal.fire({
                        title: 'successfully saved data!',
                        icon: "success"
                    }).then(function() {
                        $('#standard-modal').find('#close_modal').trigger('click');
                        if (flag == 1) {
                            datatable.ajax.reload();
                        }
                    })
                },
                error: function(response) {
                    $('.submit').prop('disabled', false);
                    $.each(response.responseJSON.errors, function(key, value) {
                        var element = $('#' + key);
                        element.closest('div')
                            .removeClass('.has-error')
                            .addClass(value.length > 0 ? 'has-error' : 'has-success')
                            .find('.text-danger')
                            .remove();
                        element.after('<p class="text text-danger">' + value + '</p>');
                    });
                }
            });
        }
    });

    $(document).on('click', '#add_perfomer', function() {

        var copy_ele = $(this).closest('#modal_form').find('.sample_performer_div').clone();
        $(copy_ele).removeClass('sample_performer_div').show();
        $(copy_ele).find('label').remove();
        $(this).before(copy_ele);

    });


    $(document).on('click', '.delete_section', function() {
    var secId = $(this).data('id');

    Swal.fire({
            title: "Are you sure?",
            icon: "warning",
            showCancelButton: !0,
            // confirmButtonColor: "#28bb4b",
            // cancelButtonColor: "#f34e4e",
            confirmButtonText: "Delete Section?",
            cancelButtonText: "Cancel?"
        })
        .then(function(result, me) {
            if (result.isConfirmed) {
                $.ajax({
                    url: "{{route('venue.category.delete.section')}}",
                    type: 'post',
                    data: {
                        "id": secId
                    },
                    success: function(response) {
                        Swal.fire({
                            title: response.msg,
                            icon: "success"
                        }).then(function() {
                            $(".section_" + secId).parent('li').remove();
                        })
                    }
                })
            } else {
                console.log("test");
            }
        })
});

    $(document).on('click', '.delete_category', function() {
    var categoryId = $(this).data('id');

    Swal.fire({
            title: "Are you sure?",
            icon: "warning",
            showCancelButton: !0,
            // confirmButtonColor: "#28bb4b",
            // cancelButtonColor: "#f34e4e",
            confirmButtonText: "Delete Category?",
            cancelButtonText: "Cancel?"
        })
        .then(function(result, me) {
            if (result.isConfirmed) {
                $.ajax({
                    url: "{{route('venue.category.delete')}}",
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    type: 'post',
                    data: {
                        "id": categoryId
                    },
                    success: function(response) {
                        Swal.fire({
                            title: response.msg,
                            icon: "success"
                        }).then(function() {
                            $(".category_" + categoryId).parent('li').remove();
                        })
                    }
                })
            } else {
                console.log("test");
            }
        })
});

    $(document).on('click', '.delete_performer', function() {
    var performerId = $(this).data('id');
    var eventId = $(this).data('eventid');

    Swal.fire({
            title: "Are you sure?",
            icon: "warning",
            showCancelButton: !0,
            // confirmButtonColor: "#28bb4b",
            // cancelButtonColor: "#f34e4e",
            confirmButtonText: "Delete Performer?",
            cancelButtonText: "Cancel?"
        })
        .then(function(result, me) {
            if (result.isConfirmed) {
                $.ajax({
                    url: "{{route('events.performers.delete')}}",
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    type: 'post',
                    data: {
                        "id": performerId,
                        "event_id": eventId
                    },
                    success: function(response) {
                        Swal.fire({
                            title: response.msg,
                            icon: "success"
                        }).then(function() {
                            $("#standard-modal").modal('toggle');
                            datatable.draw();
                        })
                    }
                })
            } else {
                console.log("test");
            }
        })
});

    $(document).on('click', '.delete', function() {
    var _token = $('input[name="_token"]').val();
    $id = $(this).attr('id');
    $action = $(this).data('src');
    Swal.fire({
        title: "Are you sure?",
        text: "Event will be Deleted!",
        type: "warning",
        showCancelButton: true,
        confirmButtonClass: "btn-danger",
        confirmButtonText: "Yes, Delete Event!",
        closeOnConfirm: false
    }).then((result) => {
        if (result['isConfirmed']) {
            $.ajax({
                url: $action,
                type: "DELETE",
                data: {
                    "_token": "{{ csrf_token() }}",
                },
                success: function() {
                    Swal.fire("Deleted!", "Event has been deleted.", "success");
                    $('#stubhub-datatable').DataTable().ajax.reload();
                }
            });
        }
    })
});

    $(document).on('click', '.edit_search_type', function() {
    var id = $(this).attr("id");
    $('#edit-search-type').find('#modal_form').find('#id').val(id);
    $("#edit-search-type").modal('show');
})

    $(document).on('click', '#edit_search_type', function(e) {
    e.preventDefault();

    var form_data = $('#edit-search-type').find('#modal_form').serialize();
    var url = "{{route('update.event.category')}}";
    if (url != '') {
        $.ajax({
            url: url,
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            type: 'post',
            data: form_data,
            success: function(response) {
                Swal.fire({
                    title: 'successfully updated category!',
                    icon: "success"
                }).then(function() {
                    $('#edit_search_type').find('#close_modal').trigger('click');
                    // if(flag == 1){
                    location.reload();
                    // datatable.ajax.reload();
                    // }
                })
            },
            error: function(response) {
                $('.submit').prop('disabled', false);
                $.each(response.responseJSON.errors, function(key, value) {
                    var element = $('#' + key);
                    element.closest('div')
                        .removeClass('.has-error')
                        .addClass(value.length > 0 ? 'has-error' : 'has-success')
                        .find('.text-danger')
                        .remove();
                    element.after('<p class="text text-danger">' + value + '</p>');
                });
            }
        });
    }
});

    $(document).on('click', '#edit_performers', function(e) {
    e.preventDefault();

    var form_data = $('#edit-performer').find('#modal_form').serialize();
    var url = "{{route('update.event.performers')}}";
    if (url != '') {
        $.ajax({
            url: url,
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            type: 'post',
            data: form_data,
            success: function(response) {
                Swal.fire({
                    title: response.msg,
                    icon: "success"
                }).then(function() {
                    $('#edit-performer').find('#close_modal').trigger('click');
                    // if(flag == 1){
                    datatable.draw();
                    // datatable.ajax.reload();
                    // }
                })
            },
            error: function(response) {
                $('.submit').prop('disabled', false);
                $.each(response.responseJSON.errors, function(key, value) {
                    var element = $('#' + key);
                    element.removeClass('.has-error').addClass(value.length > 0 ? 'has-error' : 'has-success').find('.text-danger').remove();
                    element.append('<p class="text text-danger">' + value + '</p>');
                });
            }
        });
    }
});

    $(document).ready(function() {
    var lastChecked = null;
    var $chkboxes = $('input[type="checkbox"]');

    $chkboxes.click(function(e) {
        if (!lastChecked) {
            lastChecked = this;
            return;
        }

        if (e.shiftKey) {
            var start = $chkboxes.index(this);
            var end = $chkboxes.index(lastChecked);

            $chkboxes.slice(Math.min(start, end), Math.max(start, end) + 1).prop('checked', lastChecked.checked);
        }

        lastChecked = this;
    });
});

    $(document).on('click', '.bulk_update_venue_cat', function() {
    //1. Check Events are selected or not 
    var checkedEvents = [];
    $("input:checkbox[name=events]:checked").each(function() {
        checkedEvents.push($(this).val());
    });
    if (checkedEvents.length <= 0) {
        return Swal.fire("Please select Event");
    }
    if (checkedEvents.length > 0) {
        Swal.fire({
            title: "Are you sure?",
            text: "You want to update events category & section!",
            icon: "warning",
            showCancelButton: !0,
            confirmButtonColor: "#28bb4b",
            cancelButtonColor: "#f34e4e",
            confirmButtonText: "Yes",
            cancelButtonText: "No",
        }).then(function(e) {

            checkedEvents = checkedEvents.join(',');

            if (e.value == true) {
                $.ajax({
                    url: "{{route('bulk.event.update.cat.section')}}",
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    type: 'post',
                    data: {
                        "event_id": checkedEvents,
                    },
                    success: function(response) {
                        $("#bulk_update_btn").prop('disabled', false);
                        $(".bulk_update_loader").hide();
                        $('#standard-modal').find('.dynamic_content').html(response.html);
                        $('#standard-modal').modal('show');
                        if (response.success != 'true') {

                        } else {
                            $('#standard-modal').find('.dynamic_content').html(response.html);
                            $('#standard-modal').modal('show');
                        }

                        // Swal.fire({
                        //         title: 'successfully moved data!',
                        //         icon: "success"
                        //     }).then(function() {

                        //     })
                    }
                })
            }
            // e.value && Swal.fire("Deleted!", "Your file has been deleted.", "success")
        })
    }
})

    $(document).on('click','.bulk_map_assigning',function(){
        //check if event is selected or not
        var checkedEvents = [];
        $("input:checkbox[name=events]:checked").each(function() {
            checkedEvents.push($(this).val());
        });
        
        if (checkedEvents.length <= 0) {
            Swal.fire("Please select events for update.");
            return;
        }
        if (checkedEvents.length > 0) {
            Swal.fire({
                title: "Are you sure?",
                text: "You want to update maps for selected event!",
                icon: "warning",
                showCancelButton: !0,
                confirmButtonColor: "#28bb4b",
                cancelButtonColor: "#f34e4e",
                confirmButtonText: "Yes",
                cancelButtonText: "No",
            }).then(function(e) {

                checkedEvents = checkedEvents.join(',');
                console.log(checkedEvents);
                if (e.value == true) {
                    
                    $("#bulk-map-modal").find("#event_id").val(checkedEvents);
                    $("#bulk-map-modal").modal('show');
                }
            })
        }
    });
    
    $(document).on('click','#bulk_update_map',function(){
        var events = $("#bulk-map-modal").find("#event_id").val();
        var maps = $("#bulk-map-modal").find('.map_dropdown').val();
         $.ajax({
                    url: "{{route('update.events.map')}}",
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    type: 'post',
                    data: {
                        "event_id": events,
                        "maps" : maps
                    },
                    success: function(response) {
                        if(response.success == true){
                            Swal.fire("success",response.msg,"success");
                        }else{
                            Swal.fire('error','Something went wrong..','error');
                        }
                    }
                })
    })
    </script>
@endpush
