@extends('admin.layout.app')

@section('main_title', 'View Event')
@section('title', '')
@section('sub_title', 'Control Panel')

@push('styles')
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<link href="{{ asset('public/assets/libs/nestable2/jquery.nestable.min.css') }}" rel="stylesheet" />
<link href="{{ asset('node_modules/jquery.json-viewer/json-viewer/jquery.json-viewer.css')}}" type="text/css" rel="stylesheet">
<script src="{{ asset('node_modules/jquery.json-viewer/json-viewer/jquery.json-viewer.js') }}"></script>

<link href="{{ asset('public/assets/libs/flatpickr/flatpickr.min.css') }}" rel="stylesheet" type="text/css">
<link href="{{ asset('public/assets/libs/bootstrap-datepicker/css/bootstrap-datepicker.min.css') }}" rel="stylesheet" type="text/css">
<link href="{{ asset('public/assets/libs/ladda/ladda.min.css') }}" rel="stylesheet" type="text/css" />
<link href="{{ asset('public/assets/libs/ladda/ladda-themeless.min.css') }}" rel="stylesheet" type="text/css" />
@endpush


@section('content')
                        <div class="row">
                            <div class="col-lg-12">
                                <div class="search-result-box card">
                                    <div class="card-body">
                                        <div class="row">
                                              <h4>Event Details</h4>
                                            <div class="col-md-8 offset-md-2">
                                                <div class="pt-3 pb-4">
                                                    <!--<div class="input-group">-->
                                                    <!--    <input type="text" class="form-control" value="Admin Dashboard">-->
                                                    <!--    <button type="button" class="input-group-text btn waves-effect waves-light btn-blue"><i class="fa fa-search me-1"></i> Search</button>-->
                                                    <!--</div>-->
                                                    <div class="mt-3 text-center">
                                                        <h4>{{$event->name}}</h4>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <!-- end row -->
    
                                        <ul class="nav nav-tabs nav-bordered" role="tablist">
                                            <li class="nav-item " role="presentation">
                                                <a href="#event_information" data-bs-toggle="tab" aria-expanded="true" class="nav-link active" aria-selected="false" role="tab" tabindex="-1">
                                                   Event Information <!-- <span class="badge bg-success ms-1"></span>-->
                                                </a>
                                            </li>
                                            <!-- <li class="nav-item" role="presentation">-->
                                            <!--    <a href="#home" data-bs-toggle="tab" aria-expanded="true" class="nav-link" aria-selected="false" role="tab" tabindex="-1">-->
                                            <!--       Performers<!-- <span class="badge bg-success ms-1"></span>-->
                                            <!--    </a>-->
                                            <!--</li>-->
                                            <li class="nav-item" role="presentation">
                                                <a href="#venue_information" data-bs-toggle="tab" aria-expanded="true" class="nav-link" aria-selected="false" role="tab" tabindex="-1">
                                                   Venue Information<!-- <span class="badge bg-success ms-1"></span>-->
                                                </a>
                                            </li>
                                            <li class="nav-item" role="presentation">
                                                <a href="#tixstock_log" data-bs-toggle="tab" aria-expanded="true" class="nav-link" aria-selected="false" role="tab" tabindex="-1">
                                                   Tixstock Log<!-- <span class="badge bg-success ms-1"></span>-->
                                                </a>
                                            </li>
                                            <li class="nav-item" role="presentation">
                                                <a href="#update_log" data-bs-toggle="tab" aria-expanded="false" class="nav-link" aria-selected="true" role="tab">
                                                   Update Log <!--<span class="badge bg-danger ms-1"></span>-->
                                                </a>
                                            </li>
                                        </ul>
    
                                        <div class="tab-content">
                                            <div class="tab-pane active" id="event_information" role="tabpanel">
                                                <div class="row">
                                                   
                                                    <div class="col-md-12">
                                                        <div class="card">
                                                            <div class="card-body">
                                                                <form class="form" action="{{ route('event.update',$event->id) }}" method="post">
                                                                    @csrf
                                                                    <input type="hidden" name="_method" value="put">
                                                                    <input type="hidden" name="event_id" value="{{$event->id}}">
                                                                    <div class="card-body">
                                                                        <ul class="list-group">
                                                                            <li class="list-group-item active">
                                                                                <i class="mdi me-1"></i>@if($event->source_id == 0)Manual @else {{$event->source->name}} @endif
                                                                            </li>
                                                                            <li class="list-group-item">
                                                                                <i class="mdi me-1"></i>
                                                                                <label for="" class="form-label">Event Category</label>
                                                                                <div class="input-group">
                                                                                     <select class="form-control" name="event_category" id="event_category">
                                                                                        <option value="">Please Select Category</option>
                                                                                        <option value="{{$event->eventcategory->primary_category}}" selected>@if(!empty($event->eventcategory->primary_category)) {{$event->eventcategory->primary_category}} @endif</option>
                                                                                        @foreach($eventCategory as $category)
                                                                                            <option value="{{$category}}" @if($event->search_type == $category)selected @endif>{{$category}}</option>
                                                                                        @endforeach
                                                                                     </select>
                                                                                    
                                                                                </div>
                                                                            </li>
                                                                            <li class="list-group-item">
                                                                                <i class="mdi mdi-birthdate me-1"></i>
                                                                                <label for="" class="form-label">Event Name</label>
                                                                                <input type="text" name="name" class="form-control" id="" value="{{$event->name}}">
                                                                            </li>
                                                                            
                                                                            <li class="list-group-item">
                                                                                <i class="mdi mdi-birthdate me-1"></i>
                                                                                <label for="" class="form-label">External Id</label>
                                                                                <input type="text" class="form-control" name="external_id" id="" value="{{$event->external_id}}">
                                                                            </li>
                                                                            
                                                                            <li class="list-group-item"><i class="mdi me-1"></i>
                                                                                <!--<input type="text" class="form-control" id="" value="{{$event->event_date}}">-->
                                                                                <label for="" class="form-label">Event Date</label>
                                                                                <input type="text" id="event_date_{{$event->id}}" name="event_date" class="form-control" placeholder="Date and Time">
                                                                            </li>
                                                                            
                                                                            <li class="list-group-item">
                                                                                <i class="mdi me-1"></i>
                                                                                <label for="" class="form-label">Venue Details</label>
                                                                                <div class="input-group">
                                                                                     <select name="venue" id="venue" class="form-control select2 venue" data-toggle="select2" data-width="95%" >
                                                                                        <option>Please Select Venue</option>
                                                                                        @if(!empty($venues))
                                                                                            @foreach($venues as $venue)
                                                                                             <option value="{{$venue->id}}" @if($event->venue_id == $venue->id)selected @endif>{{$venue->name}}</option>
                                                                                            @endforeach
                                                                                        @endif
                                                                                     </select>
                                                                                    <button type="button" event_name="{{ $event->name }}" id="{{ $event->venue_id }}"  
                                                                                    class="btn btn-primary input-group-text waves-effect waves-light event_venue_detail_btn"  dir="ltr" data-style="expand-right" title="View Detail" data-original-title="View Detail" tabindex="0"  data-tippy-animation="scale" 
                                                                                    data-tippy-inertia="true" data-tippy-duration="[600, 300]" data-tippy-arrow="true" data-tippy="">
                                                                                    <i class="mdi mdi-eye"></i>
                                                                                    </button>
                                                                                </div>
                                                                            </li>
                                                                            
                                                                            <li class="list-group-item">
                                                                                <i class="mdi me-1"></i>
                                                                                <label for="" class="form-label">Venue Address</label>
                                                                                <div class="input-group venue_address_details" >
                                                                                    <select name="venue_address" id="venue_address" class="form-control select2 venue_address" >
                                                                                        <option>Please Select Address</option>
                                                                                       
                                                                                        @if(!empty($venueAddress) && $venueAddress->count()> 0)
                                                                                            @foreach($venueAddress as $address)
                                                                                            @if(!empty($address->address_line_1))
                                                                                                <option value="{{$address->id}}" @if($event->venue_address_id == $address->id) selected @endif> {{$address->address_line_1}} </option>
                                                                                            @endif
                                                                                            @endforeach
                                                                                        @endif
                                                                                    </select>
                                                                                </div>
                                                                            </li>
                                                                            
                                                                            <li class="list-group-item performer_version">
                                                                                <i class="mdi me-1"></i> 
                                                                                <label for="" class="form-label">Performers</label>
                                                                                <select class="form-control select2-multiple version_perfomer" id="" name="performers[]" data-toggle="select2" data-width="100%" multiple="multiple" data-placeholder="Choose ...">
                                                                                    @foreach($performers as $performer)
                                                                                    <option value="{{$performer->id}}"  @if(in_array($performer->id,$eventPerformers)) selected @endif><?php echo $performer->name; ?></option>
                                                                                    @endforeach
                                                                                </select>
                                                                            </li>
                                                                            @if($event->maps)<li class="list-group-item">Map Url : <a class="ms-2" href="{{ $event->maps->url }}" target="_blank"><i class="mdi mdi-link-variant font-18 text-success me-1 align-middle"></i></a></li>@endif
                                                                            <li class="list-group-item">Mapped Status: @if($event->mapped_status == 1) True @else False @endif</li>
                                                                            <li class="list-group-item">Update Requires: @if($event->update_requires == 1) True @else False @endif</li>
                                                                            <li class="list-group-item">
                                                                                <button type="submit"  class="btn btn-primary float-end">Update</button>
                                                                            </li>
                                                                    </ul>
            </div> <!-- end card-body -->
                                                                </form>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="clearfix"></div>
                                            </div>
                                        
                                            <div class="tab-pane " id="venue_information" role="tabpanel">  
                                                <p class="text-muted mb-2 font-15"><strong>Name :</strong> <span class="ms-2">{{-- $event->venue->name --}}</span></p>
                                                            
                                                <p class="text-muted mb-2 font-15"><strong>Address :</strong> <span class="ms-2">@if(isset($event->venueAddress->address_line_1) && !empty($event->venueAddress->address_line_1)){{$event->venueAddress->address_line_1}} {{$event->venueAddress->address_line_2}} @endif</span></p>
                                                            
                                                <p class="text-muted mb-2 font-15"><strong>City :</strong> <span class="ms-2">{{-- $event->venue->city --}}</span></p>
                                                <p class="text-muted mb-2 font-15"><strong>State :</strong> <span class="ms-2">{{-- $event->venue->state --}}</span></p>
                                                <p class="text-muted mb-2 font-15"><strong>PostCode :</strong> <span class="ms-2">@if(isset($event->venueAddress->address_line_1) && !empty($event->venueAddress->address_line_1)) {{$event->venueAddress->post_code}} @endif</span></p>
                                                <p class="text-muted mb-2 font-15"><strong>Country :</strong> <span class="ms-2">{{-- $event->venue->country --}}</span></p>
                                                
                                                <hr>
                                                <h4>Category & Sections</h4>
                                                @if(!empty($event->venue) && $event->venue->category->count() > 0)
                                                <h5>Source : Stubhub</h5>
                                                    <div class="custom-dd dd" id="nestable_list_1">
                                                    @foreach($event->venue->category as $ck=>$cat)
                                                        <ol class="dd-list">
                                                            <li class="dd-item dd-collapsed" data-id="2">
                                                                <button class="dd-collapse" data-action="collapse" type="button">Collapse</button><button class="dd-expand" data-action="expand" type="button">Expand</button>
                                                                <div class="dd-handle">
                                                                   {{ trim(str_replace('(category)','',$cat->name)) }}
                                                                </div>
                                                                @if($cat->section)
                                                                    @foreach($cat->section as $sk=>$sec)
                                                                        <ol class="dd-list">
                                                                            <li class="dd-item dd-collapsed" data-id="3">
                                                                                <div class="dd-handle">
                                                                                   {{ $sec->name }}
                                                                                </div>
                                                                            </li>
                                                                        </ol>
                                                                    @endforeach
                                                                @endif    
                                                            </li>
                                                        </ol>
                                                    @endforeach 
                                                </div>
                                                @else
                                                    <p class="text-muted mb-2 font-15">No data available</p>
                                                @endif
                                                
                                                <div class="clearfix"></div>                                           
                                            </div>
                                            
                                            <div class="tab-pane " id="tixstock_log" role="tabpanel">   
                                                <div class="col-xl-12">
                                                    <div id="accordion" class="mb-3">
                                                        @if($event->tixstockLog->count() > 0)
                                                            @php $count=1; @endphp
                                                            @foreach($event->tixstockLog as $log)
                                                                <div class="card mb-1">
                                                                    <div class="card-header" id="heading{{$count}}">
                                                                        <h5 class="m-0">
                                                                            <a class="text-dark collapsed" data-bs-toggle="collapse" href="#collapse{{$count}}" aria-expanded="false">
                                                                                <!--<i class="mdi mdi-help-circle me-1 text-primary"></i> -->
                                                                                Type : {{$log->type}} | Source : {{$log->source->name}}
                                                                                <span style="float:right">Created Date : {{$log->created_at}}</span>
                                                                            </a>
                                                                        </h5>
                                                                    </div>
                                                
                                                                    <div id="collapse{{$count}}" class="collapse" aria-labelledby="heading{{$count}}" data-bs-parent="#accordion{{$count}}" style="">
                                                                        <div class="card-body">
                                                                               <div class="card mb-1">
                                                                                    <div class="card-header" id="request_header{{$count}}">
                                                                                        <h5 class="m-0">
                                                                                            <a class="text-dark collapsed" data-bs-toggle="collapse" href="#request_header_{{$count}}" aria-expanded="false">
                                                                                                <!--<i class="mdi mdi-help-circle me-1 text-primary"></i> -->
                                                                                               Request Header
                                                                                            </a>
                                                                                        </h5>
                                                                                    </div>
                                                                                    <div id="request_header_{{$count}}" class="collapse" aria-labelledby="request_header_{{$count}}" data-bs-parent="#accordion_{{$count}}" style="">
                                                                                        <div class="card-body">
                                                                                              <li>Url : <?php  $data = json_decode($log->form_data,true); echo $url = isset($data['url']) && !empty($data['url']) ? $data['url'] : '';  ?></li>
                                                                                              <li>Content Type : Application/json</li>
                                                                                              <li>Token : {{ $log->source->token }}</li>   
                                                                                        </div>
                                                                                    </div>
                                                                                </div> 
                                                                                <div class="card mb-1">
                                                                                    <div class="card-header" id="request_body{{$count}}">
                                                                                        <h5 class="m-0">
                                                                                        <a class="text-dark collapsed" data-bs-toggle="collapse" href="#request_body_{{$count}}" aria-expanded="false">
                                                                                            <!--<i class="mdi mdi-help-circle me-1 text-primary"></i> -->
                                                                                           Request Body
                                                                                        </a>
                                                                                    </h5>
                                                                                    </div>
                                                                                    <div id="request_body_{{$count}}" class="collapse" aria-labelledby="request_body_{{$count}}" data-bs-parent="#accordion_{{$count}}" style="">
                                                                                        <div class="card-body" >
                                                                                           <pre id="json-formdata{{$count}}"></pre>
                                                                                           <script>
                                                                                               $('#json-formdata{{$count}}').jsonViewer(<?php echo $log->form_data; ?>);
                                                                                           </script>
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                               <div class="card mb-1" >
                                                                                    <div class="card-header" id="request_body{{$count}}">
                                                                                    <h5 class="m-0">
                                                                                        <a class="text-dark collapsed" data-bs-toggle="collapse" href="#request_response_{{$count}}" aria-expanded="false">
                                                                                            <!--<i class="mdi mdi-help-circle me-1 text-primary"></i> -->
                                                                                           Request Response
                                                                                        </a>
                                                                                    </h5>
                                                                                </div>
                                                                                <div id="request_response_{{$count}}" class="collapse" aria-labelledby="request_response_{{$count}}" data-bs-parent="#accordion_{{$count}}" style="">
                                                                                    <div class="card-body">
                                                                                     <pre id="json-response{{$count}}"></pre>
                                                                                           <script>
                                                                                               $('#json-response{{$count}}').jsonViewer(<?php echo $log->message; ?>);
                                                                                           </script>  
                                                                                    </div>
                                                                                </div>
                                                                </div> 
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            @php $count++; @endphp
                                                            @endforeach
                                                        @endif
                                                     
                                                    </div> <!-- end #accordions-->
                                                </div>
                                                <div class="clearfix"></div>                                           
                                            </div>
                                            <!-- Users tab -->
                                            
                                            <div class="tab-pane active" id="update_log" role="tabpanel">
                                                <div class="row">
                                                    <div class="col-md-12">
                                                        @if(!empty($event->prev_name) || !empty($event->prev_event_date) || !empty($event->prev_performer_1_id) || !empty($event->prev_performer_2_id) || !empty($event->prev_venue_id))
                                                            @if(!empty($event->prev_name))
                                                            <div class="row">
                                                                <div class="col-md-6">
                                                                    <p class="text-muted mb-2 font-15"><strong>Previous Name :</strong> <span class="ms-2">{{$event->prev_name}}</span></p>
                                                                </div>
                                                                
                                                                <div class="col-md-6">
                                                                    <p class="text-muted mb-2 font-15"><strong>Current Name :</strong> <span class="ms-2">{{$event->name}}</span></p>
                                                                </div>
                                                            </div>
                                                            <hr>
                                                            @endif
                                                            @if(!empty($event->prev_performer_1_id))
                                                             <div class="row">
                                                                 
                                                                <div class="col-md-6">
                                                                    <p class="text-muted mb-2 font-15"><strong>Previous Performer :</strong> <span class="ms-2">@if(!empty($event->prevPerformer1->name)) {{$event->prevPerformer1->name}} @endif</span></p>
                                                                </div>
                                                                
                                                                <div class="col-md-6">
                                                                    <p class="text-muted mb-2 font-15"><strong>Current Performer :</strong> <span class="ms-2">@if(!empty($event->performer1->name)) {{$event->performer1->name}} @endif</span></p>
                                                                </div>
                                                                
                                                            </div>
                                                            <hr>
                                                            @endif
                                                            @if(!empty($event->prev_performer_2_id))
                                                            <div class="row">
                                                                <div class="col-md-6">
                                                                    <p class="text-muted mb-2 font-15"><strong>Previous Performer :</strong> <span class="ms-2">@if(!empty($event->prevPerformer2->name)) {{$event->prevPerformer2->name}} @endif</span></p>
                                                                </div>
                                                                <div class="col-md-6">
                                                                    <p class="text-muted mb-2 font-15"><strong>Current Performer :</strong> <span class="ms-2">@if(!empty($event->performer2->name)) {{$event->performer2->name}} @endif</span></p>
                                                                </div>
                                                            
                                                            </div>
                                                            <hr>
                                                            @endif
                                                            @if(!empty($event->prev_event_date))
                                                            
                                                            <div class="row">
                                                                 <div class="col-md-6">
                                                                    <p class="text-muted mb-2 font-15"><strong>Previous Event Date :</strong> <span class="ms-2">{{$event->prev_event_date}}</span></p>
                                                                </div>
                                                                <div class="col-md-6">
                                                                    <p class="text-muted mb-2 font-15"><strong>Current Event Date :</strong> <span class="ms-2">{{$event->event_date}}</span></p>
                                                                </div>
                                                               
                                                            </div>
                                                             <hr>
                                                            @endif
                                                            
                                                            @if(!empty($event->prev_venue_id))
                                                            <div class="row">
                                                                <div class="col-md-6">
                                                                    <p class="text-muted mb-2 font-15"><strong>Previous Venue Details :</strong> <span class="ms-2">{{$event->prev_venue_id}}</span></p>
                                                                    <p class="text-muted mb-2 font-15"><strong>Name :</strong> <span class="ms-2">{{$event->prevVenue->name}}</span></p>
                                                                    
                                                                    <p class="text-muted mb-2 font-15"><strong>Address :</strong> <span class="ms-2">{{$event->prevVenue->address_line_1}} {{$event->prevVenue->address_line_2}}</span></p>
                                                                                
                                                                    <p class="text-muted mb-2 font-15"><strong>City :</strong> <span class="ms-2">{{$event->prevVenue->city}}</span></p>
                                                                    <p class="text-muted mb-2 font-15"><strong>State :</strong> <span class="ms-2">{{$event->prevVenue->state}}</span></p>
                                                                    <p class="text-muted mb-2 font-15"><strong>PostCode :</strong> <span class="ms-2">{{$event->prevVenue->post_code}}</span></p>
                                                                    <p class="text-muted mb-2 font-15"><strong>Country :</strong> <span class="ms-2">{{$event->prevVenue->country}}</span></p>
                                                        
                                                                    <hr>
                                                                    <h4>Category & Sections</h4>
                                                                    <h5>Source : Stubhub</h5>
                                                                    <div class="custom-dd dd" id="nestable_list_2">
                                                                       
                                                                        @foreach($event->prevVenue->category as $ck=>$cat)
                                                                            <ol class="dd-list">
                                                                                <li class="dd-item dd-collapsed" data-id="3">
                                                                                    <button class="dd-collapse" data-action="collapse" type="button">Collapse</button><button class="dd-expand" data-action="expand" type="button">Expand</button>
                                                                                    <div class="dd-handle">
                                                                                       {{ trim(str_replace('(category)','',$cat->name)) }}
                                                                                    </div>
                                                                                    @if($cat->section)
                                                                                        @foreach($cat->section as $sk=>$sec)
                                                                                            <ol class="dd-list">
                                                                                                <li class="dd-item dd-collapsed" data-id="3">
                                                                                                    <div class="dd-handle">
                                                                                                       {{ $sec->name }}
                                                                                                    </div>
                                                                                                </li>
                                                                                            </ol>
                                                                                        @endforeach
                                                                                    @endif    
                                                                                </li>
                                                                            </ol>
                                                                        @endforeach 
                                                                    </div>
                                                                </div> 
                                                                
                                                                <div class="col-md-6">
                                                                    <p class="text-muted mb-2 font-15"><strong>Current Venue Details :</strong> <span class="ms-2">{{$event->venue_id}}</span></p>
                                                                    <p class="text-muted mb-2 font-15"><strong>Name :</strong> <span class="ms-2">{{$event->venue->name}}</span></p>
                                                                    
                                                                    <p class="text-muted mb-2 font-15"><strong>Address :</strong> <span class="ms-2">{{$event->venue->address_line_1}} {{$event->venue->address_line_2}}</span></p>
                                                                                
                                                                    <p class="text-muted mb-2 font-15"><strong>City :</strong> <span class="ms-2">{{$event->venue->city}}</span></p>
                                                                    <p class="text-muted mb-2 font-15"><strong>State :</strong> <span class="ms-2">{{$event->venue->state}}</span></p>
                                                                    <p class="text-muted mb-2 font-15"><strong>PostCode :</strong> <span class="ms-2">{{$event->venue->post_code}}</span></p>
                                                                    <p class="text-muted mb-2 font-15"><strong>Country :</strong> <span class="ms-2">{{$event->venue->country}}</span></p>
                                                        
                                                                    <hr>
                                                                    <h4>Category & Sections</h4>
                                                                    <h5>Source : Stubhub</h5>
                                                                    <div class="custom-dd dd" id="nestable_list_3">
                                                            @foreach($event->venue->category as $ck=>$cat)
                                                                <ol class="dd-list">
                                                                    <li class="dd-item dd-collapsed" data-id="3">
                                                                        <button class="dd-collapse" data-action="collapse" type="button">Collapse</button><button class="dd-expand" data-action="expand" type="button">Expand</button>
                                                                        <div class="dd-handle">
                                                                           {{ trim(str_replace('(category)','',$cat->name)) }}
                                                                        </div>
                                                                        @if($cat->section)
                                                                            @foreach($cat->section as $sk=>$sec)
                                                                                <ol class="dd-list">
                                                                                    <li class="dd-item dd-collapsed" data-id="3">
                                                                                        <div class="dd-handle">
                                                                                           {{ $sec->name }}
                                                                                        </div>
                                                                                    </li>
                                                                                </ol>
                                                                            @endforeach
                                                                        @endif    
                                                                    </li>
                                                                </ol>
                                                            @endforeach 
                                                        </div>
                                                                </div>
                                                                
                                                                
                                                            </div>
                                                            @endif
                                                        @else
                                                            <!--<p class="text-muted mb-2 font-15"><span class="ms-2">No Update made for this event.</span></p>-->
                                                        @endif
                                                        <div class="clearfix"></div>
                                                    </div>
                                                </div>
                                            </div>
                                            <!-- end Users tab -->
                                            <!-- end All results tab -->
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div id="standard-modal" class="modal fade" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="standard-modalLabel" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered modal-lg">
                <div class="modal-content">
                    <div class="modal-header">
                        <h4 class="modal-title" id="standard-modalLabel">Event Venue Details</h4>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <hr/>
                    <div class="modal-body">
                        <form id="modal_form">
                            <input type="hidden" name="id" id="id" value="" />
                            <input type="hidden" name="method" id="method" value="modal_save" />
                        <div class="dynamic_content">
                        </div>
                        </form>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-success waves-effect waves-light m-1" id="modal_save"><i class="fe-check-circle me-1"></i> Save Changes</button>
                        <button type="button" id="close_modal" class="btn btn-dark waves-effect waves-light m-1" data-bs-dismiss="modal"><i class="fe-x me-1"></i> Close</button>
                    </div>
                </div><!-- /.modal-content -->
            </div><!-- /.modal-dialog -->
        </div>
@endsection

@push('scripts')

<script src="{{ asset('public/assets/libs/nestable2/jquery.nestable.min.js') }}"></script>
<script src="{{ asset('public/assets/js/pages/nestable.init.js') }} "></script>
<script src="{{ asset('public/assets/libs/flatpickr/flatpickr.min.js') }}"></script>

<script src="{{ asset('public/assets/libs/multiselect/js/jquery.multi-select.js') }}"></script>
<script src="{{ asset('public/assets/libs/select2/js/select2.min.js') }}"></script>
<script src="{{ asset('public/assets/libs/tippy.js/tippy.all.min.js') }}"></script>
<!-- Loading buttons js -->
<script src="{{ asset('public/assets/libs/ladda/spin.min.js') }}"></script>
<script src="{{ asset('public/assets/libs/ladda/ladda.min.js') }}"></script>

<script>
$(document).ready(function(){
    $(".venue").select2();
})
tippy('[data-plugin="tippy"]');
    $(document).ready(function(){
    $('.version_perfomer').select2();
    $("#event_date_<?php echo $event->id; ?>").flatpickr({enableTime:!0,dateFormat:"Y-m-d H:i:S",defaultDate:"{{$event->event_date}}"});
    
});
$(document).on('change','.venue',function(){
    var id = $(this).val();  
    $(this).closest('div').find('.event_venue_detail_btn').attr('id',id);
    $.ajax({
       url: '{{route("venue.get.address.details")}}',
        type: 'post',
        data: {'id':id,'method':'get_venue_address_details','_token':"{{csrf_token()}}"},
        success: function(response){
        
            $(".venue_address_details").html(response.html);
        }
    })
});
$(document).on('click', '.event_venue_detail_btn', function (e) {
    e.preventDefault();  
    var id = $(this).attr("id");
    var event_name = $(this).attr("event_name");
    var me = $(this);
    var la = Ladda.create(this);
    la.start();

    $.ajax({
        url: '{{route("get.venue.category.section")}}',
        type: 'post',
        data: {'id':id,'method':'stubhub_event_venue_get','_token':"{{csrf_token()}}"},
        success: function(response){
            la.stop();
             me.removeClass('ladda-button');
            $('#standard-modal').find('.dynamic_content').html('');
            $('#standard-modal').modal('show');
            $('#standard-modal').find('#standard-modalLabel').text(event_name);
            $('#standard-modal').find('#modal_form').find('#id').val(response.id);
            
            $('#standard-modal').find('.dynamic_content').html(response.html);
            tippy('[data-plugin="tippy"]');
            
            var parent = $('#standard-modal').find('.modal-body');
            $.fn.editableform.buttons = '<button type="submit" class="btn btn-primary editable-submit btn-sm waves-effect waves-light"><i class="mdi mdi-check"></i></button><button type="button" class="btn btn-danger editable-cancel btn-sm waves-effect"><i class="mdi mdi-close"></i></button>',
            
            $.fn.editable.defaults.mode = 'inline';
            $(parent).find(".inline-category").editable({
                display:function(value) {
                     $(this).html('<i class="mdi mdi-adjust me-1"></i>'+value + ' (category)');
                 }
            });
            $(parent).find(".inline-section").editable({
                 display:function(value) {
                     $(this).html('<i class="mdi mdi-menu-right-outline me-1"></i>'+value + ' (section)');
                 }
            });
        }
    });
    
});

$(document).on('submit','form',function(e){
            e.preventDefault();
            var me = $(this);
            $(".text-danger").remove();
            var fd=new FormData($(this)[0]);
            $.ajax({
                url: me.attr('action'),
                type: me.attr('method'),
                data: fd,
                dataType: 'json',
                contentType: false,
                processData: false,
                beforeSend: function() {
                // setting a timeout
                $('.submit').prop('disabled', true);
                },
                success: function(response){
                    if(response.success == true){
                        $('.submit').prop('disabled', false);
                        Swal.fire("Done",response.msg,"success");
                    }
                    if(response.success == false){
                        Swal.fire("Error",response.msg,"error");
                    }
                },
                error:function(response){
                    $('.submit').prop('disabled', false);
                    $.each(response.responseJSON.errors, function(key, value) {
                    var element = $('#' + key);
                    element.closest('div.form-group')
                    .removeClass('.has-error')
                    .addClass(value.length > 0 ? 'has-error':'has-success' )
                    .find('.text-danger')
                    .remove();
                    element.after('<p class="text text-danger">'+value+'</p>');
                    });
                }
            });
            e.stopImmediatePropagation();
            return false;
        })
</script>

@endpush