@extends('admin.layout.app')

@section('main_title', 'Performers')
@section('title', 'Performers')
@section('sub_title', 'Control Panel')
@push('styles')

@endpush
<!-- start content -->
@section('content')
<div class="card">
    <div class="card-body">
            <div class="row mb-2">
                    <div class="col-sm-4">
                        <a href="{{route('performer.create')}}" class="btn btn-danger mb-2"><i class="mdi mdi-plus-circle me-2"></i> Add Performer</a>
                    </div>
                </div>
            <table id="venue_table" class="table m-0 table-centered table-striped">
                <thead>
                    <tr>
                        <th></th>
                        <th>Name</th>
                        <th>Total Events</th>
                        <th>Action</th>
                        <!--<th>Edit</th>-->
                    </tr>
                </thead>
                <tbody></tbody>
            </table>
      
    </div>
</div>

<!-- end row -->
@endsection
<!-- end content -->

@push('scripts')
<!-- datatables js -->
<script src="{{ asset('public/assets/libs/datatables.net/js/jquery.dataTables.min.js') }}"></script>
<script src="{{ asset('public/assets/libs/datatables.net/js/dataTables.editor.min.js') }}"></script>
<script src="{{ asset('public/assets/libs/datatables.net-bs5/js/dataTables.bootstrap5.min.js') }}"></script>
<script src="{{ asset('public/assets/libs/datatables.net-responsive/js/dataTables.responsive.min.js') }}"></script>
<script src="{{ asset('public/assets/libs/datatables.net-responsive-bs5/js/responsive.bootstrap5.min.js') }}"></script>
<script src="https://cdn.datatables.net/datetime/1.1.0/js/dataTables.dateTime.min.js"></script>
<script src="{{ asset('public/assets/libs/x-editable/bootstrap-editable/js/bootstrap-editable.min.js') }}"></script>
<!-- Sweet Alerts js -->
<script src="{{ asset('public/assets/libs/sweetalert2/sweetalert2.all.min.js') }}"></script>
<!-- tool tip js -->
<script src="{{ asset('public/assets/libs/tippy.js/tippy.all.min.js') }}"></script>
<!-- Loading buttons js -->
<script src="{{ asset('public/assets/libs/ladda/spin.min.js') }}"></script>
<script src="{{ asset('public/assets/libs/ladda/ladda.min.js') }}"></script>
<!-- App js -->

        
        <script>
            var editor;
            
            $(document).ready(function(){
                
                var venue_datatable = $('#venue_table').DataTable({
             
                  'processing': true,
                  'serverSide': true,
                  'serverMethod': 'post',
                  'ajax': {
                       'url':'{{route('performer.data')}}',
                       'data': function ( d ) {
                        d._token = "{{csrf_token()}}"
                    }
                  },
                drawCallback: function() {
                    $(".dataTables_paginate > .pagination").addClass("pagination-rounded");
                },
                "columnDefs": [
                        {
                            "targets": [ 0 ],
                            "visible": false,
                            "searchable": false
                        }
                    ],
                  'columns': [
                     { data: 'id' },
                     { data: 'name' },
                     { data: 'events' },
                     { data: 'action'}
                    //  { data: 'edit' },
                  ],
               });
               
            });
            $(document).on('click','.delete',function(){
        var _token = $('input[name="_token"]').val();
        $id=$(this).data('id');
        $action=$(this).data('src');
        Swal.fire({
        title: "Are you sure?",
        text: "Performer will be Deleted!",
        type: "warning",
        showCancelButton: true,
        confirmButtonClass: "btn-danger",
        confirmButtonText: "Yes, Delete Performer!",
        closeOnConfirm: false
        }).then((result)=>{
            if(result['isConfirmed']){
                $.ajax({
                url: $action,
                type: "DELETE",
                data:{
                "_token": "{{ csrf_token() }}",
                },
                success: function (){
                Swal.fire("Deleted!", "Performer has been deleted.", "success");
                $('#maps_table').DataTable().ajax.reload();
                }
            });
            }
        })
    });
        </script>
@endpush
