@extends('admin.layout.app')

@section('main_title', 'Resources')
@section('title', 'Resources')
@section('sub_title', 'Control Panel')
@push('styles')

@endpush
<!-- start content -->
@section('content')
<div class="row">
    <div class="col-12">
        <div class="card">
            <div class="card-body">
                <div class="row">
                    <div class="col-lg-6">
                    <form action="{{route('sources.update',$resource->id)}}" method="put">
                        <input type="hidden" name="_method" value="put">
                        <div class="mb-3 form-group">
                            <label for="simpleinput" class="form-label">Name</label>
                            <input type="text" name="name" value="{{$resource->name}}" id="name" class="form-control" placeholder="Please enter resource name">
                        </div>
                        <div class="mb-3 form-group">
                            <label for="example-email" class="form-label">Tixstock Token</label>
                            <input type="text" id="token" value="{{$resource->token}}" name="token" class="form-control" placeholder="Please enter tixstock token">
                        </div>
                        <button type="submit" class="btn btn-primary submit waves-effect waves-light">Submit</button>
                        <button type="reset" class="btn btn-default waves-effect waves-light">Reset</button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div> 
</div>
@endsection

@push('scripts')
   <!-- Sweet Alerts js -->
   <script src="{{ asset('public/assets/libs/sweetalert2/sweetalert2.all.min.js') }}"></script>
<script>
$(document).on('submit','form',function(e){
    e.preventDefault();
    var me = $(this);
    $(".text-danger").remove();
    var fd=new FormData($(this)[0]);
    $.ajax({
        url: me.attr('action'),
        type: 'post',
        data: fd,
        headers: {'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')},
        dataType: 'json',
        contentType: false,
        processData: false,
        beforeSend: function() {
        // setting a timeout
        $('.submit').prop('disabled', true);
        },
        success: function(response){
            $('.submit').prop('disabled', false);
            Swal.fire("Done",response.msg,"success");
            me[0].reset();
        },
        error:function(response){
            $('.submit').prop('disabled', false);
            $.each(response.responseJSON.errors, function(key, value) {
            var element = $('#' + key);
            element.closest('div.form-group')
            .removeClass('.has-error')
            .addClass(value.length > 0 ? 'has-error':'has-success' )
            .find('.text-danger')
            .remove();
            element.after('<p class="text text-danger">'+value+'</p>');
            });
        }
    });
})
</script>
@endpush
