@extends('admin.layout.app')

@section('main_title', 'Events')
@section('title', 'Fetch Event')
@section('sub_title', 'Control Panel')

@push('styles')

@endpush


@section('content')


<div class="row">
    <div class="col-md-12">
        <div class="card">
            <div class="card-body">
                <h4 class="header-title mb-3">Fetch Event</h4>
                <form action="{{route('fetch.single.event.submit')}}" method="post">
                    @csrf
                    <div class="row">
                        <div class="col-6">
                            <label class=" col-form-label" for="userName3"> Resource </label>
                            <div class="col-md-12">
                                <select class="form-control" name="source" id="source">
                                    <option value="">Please Select Resource</option>
                                    @foreach($resources as $source)
                                    <option value="{{$source->name}}">{{$source->name}}</option>
                                    @endforeach
                                </select>
                            </div>
                        </div>
                        <div class="col-6">
                            <label class=" col-form-label" for="userName3"> External Id </label>
                            <div class="col-md-12">
                                <input type="text" id="external_id" name="external_id" class="form-control" required="">
                            </div>
                        </div>
                    </div>
                    <div class="row mt-3">
                        <div class="col-12 text-center">
                            <button class="btn btn-primary submit" type="submit">Fetch</button>
                            <button class="btn btn-primary" type="reset">Reset</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>

        <div class="card">
            <div class="card-body">
            <h4 class="header-title mb-3">Response</h4>
            <div class="row">
                <div class="col-md-12">
                    <div class="response">

                    </div>
                </div>
            </div>
            </div>
        </div>
    </div>
</div>

@endsection


@push('scripts')
<script>
    $(document).on('submit','form',function(e){
            e.preventDefault();
            var me = $(this);
            $(".text-danger").remove();
            var fd=new FormData($(this)[0]);
            $.ajax({
                url: me.attr('action'),
                type: me.attr('method'),
                data: fd,
                headers: {'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')},
                dataType: 'json',
                contentType: false,
                processData: false,
                beforeSend: function() {
                // setting a timeout
                $('.submit').prop('disabled', true);
                },
                success: function(response){
                    $('.submit').prop('disabled', false);
                    Swal.fire("Done",response.msg,"success");
                    me[0].reset();
                },
                error:function(response){
                    $('.submit').prop('disabled', false);
                    $.each(response.responseJSON.errors, function(key, value) {
                    var element = $('#' + key);
                    element.closest('div.form-group')
                    .removeClass('.has-error')
                    .addClass(value.length > 0 ? 'has-error':'has-success' )
                    .find('.text-danger')
                    .remove();
                    element.after('<p class="text text-danger">'+value+'</p>');
                    });
                }
            });
        })
</script>
@endpush