@extends('admin.layout.app')

@section('main_title', 'Roles')
@section('title', 'Roles')
@section('sub_title', 'Control Panel')
@push('styles')
<link href="{{ asset('public/assets/libs/sweetalert2/sweetalert2.min.css') }}" rel="stylesheet" type="text/css" />
<!-- datatables-->
<link href="{{ asset('public/assets/libs/datatables.net-bs5/css/dataTables.bootstrap5.min.css') }}" rel="stylesheet" type="text/css" />
<link href="{{ asset('public/assets/libs/datatables.net-bs5/css/editor.dataTables.min.css') }}" rel="stylesheet" type="text/css" />
<link href="{{ asset('public/assets/libs/datatables.net-responsive-bs5/css/responsive.bootstrap5.min.css') }}" rel="stylesheet" type="text/css" />
<link href="https://cdn.datatables.net/datetime/1.1.0/css/dataTables.dateTime.min.css" rel="stylesheet" type="text/css" />
<link href="{{ asset('public/assets/libs/x-editable/bootstrap-editable/css/bootstrap-editable.css') }}" rel="stylesheet" type="text/css" />
<!-- Loading button css -->
<link href="{{ asset('public/assets/libs/ladda/ladda.min.css') }}" rel="stylesheet" type="text/css" />
<link href="{{ asset('public/assets/libs/ladda/ladda-themeless.min.css') }}" rel="stylesheet" type="text/css" />
<style>
            .table>tbody {
                font-weight: 500;
            }
            #error_msg{
                color:red;
            }
            .edit_icon{
                color:black;
            }
        </style>
@endpush
<!-- start content -->
@section('content')
<div class="row">
    <div class="col-12">
        <div class="card">
            <div class="box-header">
                <div class="col-12">
                <button class="btn bg-purple btn-flat pull-right add-role" style="float:right"><i class="fa fa-plus"></i> Create New</button>
                </div>
            </div>
            <div class="card-body">
                <div class="table-responsive">
                    <table id="roles_table" class="table m-0 table-centered table-striped dt-responsive w-100">
                        <thead>
                            <tr>
                                <th></th>
                                <th>Name</th>
                                <th>Status</th>
                                <th>Action</th>
                            </tr>
                        </thead>
                        <tbody></tbody>
                    </table>
                </div>
            </div> <!-- end card-body-->
        </div> <!-- end card-->
    </div> <!-- end col -->
</div>
<!-- end row -->
<!-- start craete model -->
        <div id="create-role-modal" class="modal fade" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="standard-modalLabel" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered modal-lg">
                <div class="modal-content">
                    <div class="modal-header">
                        <h4 class="modal-title" id="standard-modalLabel">Create Role</h4>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <hr/>
                    <form id="modal_form" action="{{route('roles.store')}}" method="post">
                        <div class="modal-body">
                        
                            @csrf
                            <!-- <input type="hidden" name="id" id="id" value="" />
                            <input type="hidden" name="method" id="method" value="modal_save" /> -->
                            <div class="dynamic_content">
                            <div class="mb-3 form-group" style="">
                                <label for="product-name" class="form-label">Role Name</label>
                                <input type="text" name="role_name" id="role_name" class="form-control" placeholder="Enter Role Name"></div>       
                            </div>
                       
                        </div>
                        <div class="modal-footer">
                            <button type="submit" class="btn btn-success waves-effect waves-light m-1" id="modal_save"><i class="fe-check-circle me-1"></i> Save Changes</button>
                            <button type="button" id="close_modal" class="btn btn-dark waves-effect waves-light m-1" data-bs-dismiss="modal"><i class="fe-x me-1"></i> Close</button>
                        </div>
                    </form>
                </div><!-- /.modal-content -->
            </div><!-- /.modal-dialog -->
        </div><!-- /.modal -->
<!-- start end create model -->
<!-- start craete model -->
<div id="edit-role-modal" class="modal fade" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="standard-modalLabel" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered modal-lg">
                <div class="modal-content">
                    <div class="modal-header">
                        <h4 class="modal-title" id="standard-modalLabel">Create Role</h4>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <hr/>
                    <form id="edit_role_form" action="" method="post">
                    {{csrf_field()}}
                        <div class="modal-body">
                           
                            <!-- <input type="hidden" name="id" id="id" value="" />
                            <input type="hidden" name="method" id="method" value="modal_save" /> -->
                            <div class="dynamic_content">
                            <div class="mb-3 form-group" style="">
                                <label for="product-name" class="form-label">Role Name</label>
                                <input type="text" name="role_name" id="role_name" class="form-control" placeholder="Enter Role Name"></div>       
                            </div>
                            <div class="mb-12 form-group" style="">
                                <label for="role-status" class="form-label">Role status</label>
                                <select name="role_status" id="role_status" class="form-control">
                                    <option value="">Select status</option>
                                    <option value="0">Active</option>
                                    <option value="1">InActive</option>
                                </select>
                            </div>
                        </div>
                        <div class="modal-footer">
                            <button type="submit" class="btn btn-success waves-effect waves-light m-1" id="modal_save"><i class="fe-check-circle me-1"></i> Save Changes</button>
                            <button type="button" id="close_modal" class="btn btn-dark waves-effect waves-light m-1" data-bs-dismiss="modal"><i class="fe-x me-1"></i> Close</button>
                        </div>
                    </form>
                </div><!-- /.modal-content -->
            </div><!-- /.modal-dialog -->
        </div><!-- /.modal -->
<!-- start end create model -->
@endsection
<!-- end content -->

@push('scripts')
        
        <!-- datatables js -->
        <script src="{{ asset('public/assets/libs/datatables.net/js/jquery.dataTables.min.js') }}"></script>
        <script src="{{ asset('public/assets/libs/datatables.net/js/dataTables.editor.min.js') }}"></script>
        <script src="{{ asset('public/assets/libs/datatables.net-bs5/js/dataTables.bootstrap5.min.js') }}"></script>
        <script src="{{ asset('public/assets/libs/datatables.net-responsive/js/dataTables.responsive.min.js') }}"></script>
        <script src="{{ asset('public/assets/libs/datatables.net-responsive-bs5/js/responsive.bootstrap5.min.js') }}"></script>
        <script src="https://cdn.datatables.net/datetime/1.1.0/js/dataTables.dateTime.min.js"></script>
        <script src="{{ asset('public/assets/libs/x-editable/bootstrap-editable/js/bootstrap-editable.min.js') }}"></script>
        <!-- Sweet Alerts js -->
        <script src="{{ asset('public/assets/libs/sweetalert2/sweetalert2.all.min.js') }}"></script>
        <!-- tool tip js -->
        <script src="{{ asset('public/assets/libs/tippy.js/tippy.all.min.js') }}"></script>
        <!-- Loading buttons js -->
        <script src="{{ asset('public/assets/libs/ladda/spin.min.js') }}"></script>
        <script src="{{ asset('public/assets/libs/ladda/ladda.min.js') }}"></script>
        <!-- App js -->
        <script src="{{ asset('public/assets/js/app.min.js') }}"></script>
        <script>
            var role_table;
            
            $(document).ready(function(){
                
                roles_datatable = $('#roles_table').DataTable({
                  'processing': true,
                  'serverSide': true,
                  'serverMethod': 'get',
                  'ajax': {
                       'url':"{{route('role.data')}}",
                  },
                drawCallback: function() {
                    $(".dataTables_paginate > .pagination").addClass("pagination-rounded");
                    tippy('[data-plugin="tippy"]');
                },
                "columnDefs": [
                        {
                            "targets": [ 0 ],
                            "visible": false,
                            "searchable": false
                        }
                    ],
                  'columns': [
                     { data: 'id' },
                     { data: 'name' },
                     { data:  'status'},
                     { data: 'actions',name: 'actions', orderable: false, searchable: false },
                    //  { data: 'edit' },
                  ],
                 select: {
                        style:    'os',
                        selector: 'td:first-child'
                    },
               });
            });
            $(document).on('click','.add-role',function(){
                console.log("test");
                $("#create-role-modal").modal('show');
            });
            $(document).on('click','.edit-role',function(){
                
                $("#edit-role-modal").modal('show');
                var form=$("#edit_role_form");
                form.find("#role_name").val($(this).data('name'));
                form.attr('action',$(this).data('src'));
            });
            $(document).on('submit','form',function(e){
                e.preventDefault();
                var me = $(this);
                var fd=new FormData($(this)[0]);
                
                $.ajax({
                    url: me.attr('action'),
                    type: me.attr('method'),
                    data: fd,
                    headers: {'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')},
                    dataType: 'json',
                    contentType: false,
                    processData: false,
                    success: function(response){
                        Swal.fire("Done",response.msg,"success");
                        $('.modal').modal('hide');
                        $("#roles_table").DataTable().ajax.reload();
                    },
                    error:function(response){
                        $.each(response.responseJSON.errors, function(key, value) {
                        var element = $('#' + key);
                        element.closest('div.form-group')
                        .removeClass('.has-error')
                        .addClass(value.length > 0 ? 'has-error':'has-success' )
                        .find('.text-danger')
                        .remove();
                        element.after('<p class="text text-danger">'+value+'</p>');
                        });
                    }
                });
            })
            $(document).on('click','.delete',function(){
                var _token = $('input[name="_token"]').val();
                $id=$(this).attr('id');
                $action=$(this).data('src');
                Swal.fire({
                title: "Are you sure?",
                text: "Role will be Inactive!",
                type: "warning",
                showCancelButton: true,
                confirmButtonClass: "btn-danger",
                confirmButtonText: "Yes, Inactive it!",
                closeOnConfirm: false
                }).then((result)=>{
                    if(result['isConfirmed']){
                        $.ajax({
                        url: $action,
                        type: "DELETE",
                        data:{
                        "_token": "{{ csrf_token() }}",
                        },
                        success: function (){
                        Swal.fire("Inactivated!", "Role has been deleted.", "success");
                        $('#roles_table').DataTable().ajax.reload();
                        }
                    });
                    }
                })
            });
        </script>
@endpush