@extends('admin.layout.app')

@section('main_title', 'Edit User')
@section('title', 'Edit User')
@section('sub_title', 'Control Panel')
@push('styles')
@endpush

@section('content')
<div class="row">
    <div class="col-12">
        <div class="card">
            <div class="card-body">
                <div class="row">
                    <div class="col-lg-6">
                    <form action="{{route('user.update',$user->id)}}" method="put">
                        <div class="mb-3 form-group">
                            <label for="simpleinput" class="form-label">Name</label>
                            <input type="text" name="name" value="{{$user->name}}" id="name" class="form-control">
                            <input type="hidden" name="_method" value="put" id="_method" class="form-control">
                        </div>

                        <div class="mb-3 form-group">
                            <label for="example-email" class="form-label">Email</label>
                            <input type="email" id="email" value="{{$user->email}}" name="email" class="form-control" placeholder="Email">
                        </div>

                        <div class="mb-3 form-group">
                            <label for="password" class="form-label">Password</label>
                            <div class="input-group input-group-merge">
                                <input type="password"  name="password" class="form-control" placeholder="Enter your password">
                                <div class="input-group-text" data-password="false">
                                    <span class="password-eye"></span>
                                </div>
                            </div>
                            <div id="password">
                                </div>
                        </div>
                        <div class="mb-3 form-group">
                            <label for="password" class="form-label">Confirm Password</label>
                            <div class="input-group input-group-merge">
                                <input type="password" id="confirm_password" name="confirm_password" class="form-control" placeholder="Enter your password">
                                <div class="input-group-text" data-password="false">
                                    <span class="password-eye"></span>
                                </div>
                            </div>
                        </div>
                        <div class="mb-3 form-group" style="">
                            <label for="role-status" class="form-label">User Role</label>
                            <select name="user_role" id="user_role" class="form-control">
                                <option value="">Select Role</option>
                                <option value="Admin" @if($user->role =="Admin") selected @endif>Admin</option>
                                <option value="Analys" @if($user->role =="Analyst") selected @endif>Analyst</option>
                                {{-- @foreach($roles as $role) --}}
                                <!-- <option value="{{-- $role->id --}}"  > {{-- $role->name --}}</option> -->
                                {{-- @endforeach --}}
                            </select>
                        </div>
                        <div class="mb-3 form-group" style="">
                            <label for="role-status" class="form-label">User status</label>
                            <select name="user_status" id="user_status" class="form-control">
                                <option value="">Select status</option>
                                <option value="0" @if($user->status==0) selected @endif>Active</option>
                                <option value="1" @if($user->status==1) selected @endif>InActive</option>
                            </select>
                        </div>
                        <button type="submit" class="btn btn-primary submit waves-effect waves-light">Submit</button>
                        <button type="reset" class="btn btn-default waves-effect waves-light">Reset</button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div> 
</div>

@endsection

@push('scripts')
   <!-- Sweet Alerts js -->
   <script src="{{ asset('public/assets/libs/sweetalert2/sweetalert2.all.min.js') }}"></script>
<script>
$(document).on('submit','form',function(e){
    e.preventDefault();
    var me = $(this);
    $(".text-danger").remove();
    var fd=new FormData($(this)[0]);
    $.ajax({
        url: me.attr('action'),
        type: 'post',
        data: fd,
        headers: {'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')},
        dataType: 'json',
        contentType: false,
        processData: false,
        beforeSend: function() {
        // setting a timeout
        $('.submit').prop('disabled', true);
        },
        success: function(response){
            $('.submit').prop('disabled', false);
            Swal.fire("Done",response.msg,"success");
            me[0].reset();
        },
        error:function(response){
            $('.submit').prop('disabled', false);
            $.each(response.responseJSON.errors, function(key, value) {
            var element = $('#' + key);
            element.closest('div.form-group')
            .removeClass('.has-error')
            .addClass(value.length > 0 ? 'has-error':'has-success' )
            .find('.text-danger')
            .remove();
            element.after('<p class="text text-danger">'+value+'</p>');
            });
        }
    });
})
</script>
@endpush