<form id="form" action="{{ route('venue.assign.maps') }}" method="post">
@csrf
<div class="container text-center">
    <div class="row">
        <div class="col-12">
           <h4 class="header-title">Link New Map</h4>
           <p class="sub-header">Link a map from already existing map list.</p>
        </div>
    </div>
    <div class="row justify-content-md-center">
        <div class="col-6">
            <select class="form-control select2 map-dropdown" name="map" id="map" data-toggle="select2" data-width="100%">
                <option value="">Select Map</option>
                @if($maps->count() > 0)
                    @foreach($maps as $map)
                        <option value="{{$map->id}}">{{ $map->name }}</option>
                    @endforeach
                @endif
            </select>
        </div>
        <div class="col-2 float-start">
            <input type="hidden" name="venue_id" value="{{ $venueId }}">
            <button type="submit" class="btn btn-primary waves-effect waves-light mb-2 me-4 fw-bold">Save</button>
        </div>
    </div>
</div>
</form>
<hr/>
<div class="container text-center">
    <div class="row">
        <div class="col-12">
           <h4 class="header-title">Linked Maps</h4>
           <p class="sub-header">All the maps linked to this particular venue.</p>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="table-responsive">
                <table class="table m-0 table-centered table-striped address_table">
                    <thead>
                        <tr>
                            <th>Map Name</th>
                            <th>Categories</th>
                            <th>Preview Link</th>
                            <th></th>
                        </tr>
                    </thead>
                    <tbody>
                        @if($venueMaps->count() > 0)
                            @foreach($venueMaps as $map)
                                <tr>
                                    <td>{{ $map->maps->name }}</td>
                                    <td>
                                        <?php 
                                            $categories = explode(',',$map->maps->categories); 
                                            foreach($categories as $category){
                                        ?>
                                            <span class="badge badge-soft-primary">{{ $category }}</span>
                                        
                                        <?php 
                                            }
                                        ?>
                                    </td>
                                    <td>
                                        <a class="ms-2" href="{{$map->maps->url}}" target="_blank">
                                            <i class="mdi mdi-link-variant font-18 text-success me-1 align-middle"></i>
                                        </a>
                                    </td>
                                    <td class="float-end">
                                        <a type="button" href="{{route('venue.edit.map',$map->id)}}" class="btn btn-sm btn-light edit_map" data-id="{{$map->id}}"><i class="fa fa-edit"></i></button>
                                        <button type="button" class="btn btn-sm btn-light delete_map" data-id="{{$map->id}}"><i class="fa fa-trash"></i></button>
                                    </td>
                                </tr>
                            @endforeach
                        @endif
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
<script src="{{ asset('public/assets/libs/select2/js/select2.min.js') }}"></script>
<script>
    
    $('.select2').select2({
            dropdownParent:$("#maps_modal")
        });

</script>
