@extends('admin.layout.app')

@section('main_title', 'Venue')
@section('title', 'Venue')
@section('sub_title', 'Control Panel')
@push('styles')
<link href="{{ asset('public/assets/libs/datatables.net-bs5/css/dataTables.bootstrap5.min.css') }}" rel="stylesheet" type="text/css" />
<link href="{{ asset('public/assets/libs/datatables.net-bs5/css/editor.dataTables.min.css') }}" rel="stylesheet" type="text/css" />
<link href="{{ asset('public/assets/libs/datatables.net-responsive-bs5/css/responsive.bootstrap5.min.css') }}" rel="stylesheet" type="text/css" />
<link href="https://cdn.datatables.net/datetime/1.1.0/css/dataTables.dateTime.min.css') }}" rel="stylesheet" type="text/css" />
<link href="{{ asset('public/assets/libs/x-editable/bootstrap-editable/css/bootstrap-editable.css') }}" rel="stylesheet" type="text/css" />
<style>
    table.dataTable tbody>tr.selected, table.dataTable tbody>tr>.selected {
    background-color: #FFFFFF !important;
}
</style>
@endpush
<!-- start content -->
@section('content')
<div class="row">
    <div class="col-12">
        <div class="card filter_box">
            <form id="filter">
                <div class="card-body">
                   
                    <div class="row mb-2">
                        <div class="col-sm-4">
                            <div class="input-group input-group-md">
                                <input type="text" name="venue_name" class="form-control" id="venue_name" placeholder="Venue Name">
                            </div>
                        </div>
                        <div class="col-sm-4">
                            <div class="text-sm-end mt-3 mt-md-0 form-group">
                                <select class="form-control" id="country">
                                    <option value="">Select Country</option>
                                    @if($countryCodes)
                                        @foreach($countryCodes as $key=>$value)
                                            <option value="{{$key}}" >{{$value}}</option>
                                        @endforeach
                                    @endif
                                </select>
                            </div>
                        </div>
                        <div class="col-sm-4" style="text-align:center">
                             
                            <button type="button" class="btn btn-primary filter waves-effect waves-light mb-2 me-4 fw-bold" id="search">Search
                            <div class="search_loader spinner-border spinner-border-sm m-0" style="display:none" role="status"></div>
                            </button>
                             <button type="reset" class="btn btn-primary mb-2 me-4 fw-bold">Reset
                            </button>
                        </div> 
                    </div>
            
                    <div class="row mb-2">
                        <div class="progress mb-0" style="height: 2px;">
                            <div class="progress-bar" role="progressbar" style="width: 20%" aria-valuenow="20" aria-valuemin="0" aria-valuemax="100"></div>
                            <div class="progress-bar bg-danger" role="progressbar" style="width: 20%" aria-valuenow="20" aria-valuemin="0" aria-valuemax="100"></div>
                            <div class="progress-bar bg-warning" role="progressbar" style="width: 20%" aria-valuenow="20" aria-valuemin="0" aria-valuemax="100"></div>
                            <div class="progress-bar bg-success" role="progressbar" style="width: 20%" aria-valuenow="20" aria-valuemin="0" aria-valuemax="100"></div>
                            <div class="progress-bar bg-info" role="progressbar" style="width: 20%" aria-valuenow="20" aria-valuemin="0" aria-valuemax="100"></div>
                        </div>
                    </div>
                </div> <!-- end card-body-->
            </form>
        </div> <!-- end card-->
        <div class="card">
            <div class="card-body">
                
                <div class="row mb-2">
                    <div class="col-sm-4">
                        <a href="{{route('venue.create')}}" class="btn btn-danger mb-2"><i class="mdi mdi-plus-circle me-2"></i> Add Venue</a>
                    </div>
                </div>
                
                <div class="table-responsive">
                    <table id="venue_table" class="table m-0 table-centered table-striped dt-responsive w-100">
                        <thead>
                            <tr>
                                <th></th>
                               
                                <th>Name</th>
                                <th>City</th>
                                <th>State</th>
                                <th>Country</th>
                                <th>Address</th>
                                <!--<th>Postcode</th>-->
                                <th>Category/Section</th>
                                <th>Maps</th>
                                <!--<th>Edit</th>-->
                            </tr>
                        </thead>
                        <tbody></tbody>
                    </table>
                </div>

                
            </div> <!-- end card-body-->
        </div> <!-- end card-->
    </div> <!-- end col -->
    <!-- Standard modal content -->
    <div id="modal" class="modal fade" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="standard-modalLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered modal-full-width">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title" id="standard-modalLabel">Category/Section Details</h4>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <hr/>
                <div class="modal-body">
                    <form id="modal_form">
                        <input type="hidden" name="id" id="id" value="" />
                    <div class="dynamic_content">
                    </div>
                    </form>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-success waves-effect waves-light m-1" id="modal_save"><i class="fe-check-circle me-1"></i> Save Changes</button>
                    <button type="button" id="close_modal" class="btn btn-dark waves-effect waves-light m-1" data-bs-dismiss="modal"><i class="fe-x me-1"></i> Close</button>
                </div>
            </div><!-- /.modal-content -->
        </div><!-- /.modal-dialog -->
    </div>
    <div id="address_modal" class="modal fade" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="standard-modalLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title" id="standard-modalLabel">Address Details</h4>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <hr/>
                <div class="modal-body">
                    
                     
                    <div class="dynamic_content">
                    </div>
                   
                </div>
                <div class="modal-footer">
                    <!--<button type="button" class="btn btn-success waves-effect waves-light m-1" id="modal_save"><i class="fe-check-circle me-1"></i> Save Changes</button>-->
                    <!--<button type="button" id="close_modal" class="btn btn-dark waves-effect waves-light m-1" data-bs-dismiss="modal"><i class="fe-x me-1"></i> Close</button>-->
                </div>
            </div><!-- /.modal-content -->
        </div><!-- /.modal-dialog -->
    </div>
    <!-- /.modal -->
    <div id="add_address_modal" class="modal fade" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="standard-modalLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title" id="standard-modalLabel">Address Details</h4>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <hr/>
                <div class="modal-body">
                    <form action="{{ route('venue.add.new.address') }}" method="post" id="modal_form" class="needs-validation" novalidate>
                         @csrf
                        <input type="hidden" name="id" id="id" value="" />
                        <div class="mb-3">
                            <!--<label for="validationCustom01" class="form-label">Address line 1</label>-->
                            <input type="text" class="form-control" name="address_line_1" id="address_line_1" placeholder="Address Line 1" value="" required />
                            <div class="valid-feedback">
                                Looks good!
                            </div>
                        </div>
                        <div class="mb-3">
                            <!--<label for="validationCustom01" class="form-label">Address line 2</label>-->
                            <input type="text" class="form-control" name="address_line_2" id="address_line_2" placeholder="Address Line 2" value="" required />
                            <div class="valid-feedback">
                                Looks good!
                            </div>
                        </div>
                        <div class="mb-3">
                            <!--<label for="validationCustom01" class="form-label">Postal Code</label>-->
                            <input type="text" class="form-control" name="postal_code" id="postal_code" placeholder="Postal Code" value="" required />
                            <div class="valid-feedback">
                                Looks good!
                            </div>
                        </div>
                        <!--<button class="btn btn-primary submit" type="submit">Submit</button>-->
                
                </div>
                <div class="modal-footer">
                    <button type="submit" class="submit btn btn-success waves-effect waves-light m-1"><i class="fe-check-circle me-1"></i> Save Changes</button>
                    <button type="button" id="close_modal" class="btn btn-dark waves-effect waves-light m-1" data-bs-dismiss="modal"><i class="fe-x me-1"></i> Close</button>
                </div>
                </form>
            </div><!-- /.modal-content -->
        </div><!-- /.modal-dialog -->
    </div>
    <!-- /.modal -->
</div>
    
    <div id="cat_sec_tixstock" class="modal fade" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="standard-modalLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered modal-full-width">
            <div class="modal-content">
            <form id="modal_form" action="{{ route('store.single.category.section') }}" method="post">
                @csrf
                <div class="modal-header">
                    <h4 class="modal-title" id="standard-modalLabel">Category/Section Details For Tixstock</h4>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <hr/>
                <div class="modal-body">
                    <input type="hidden" name="parent_category_id" id="id" value="" />
                    <div class="dynamic_content">
                        
                    </div>
                   
                </div>
                <div class="modal-footer">
                    <button type="submit" class="btn btn-success waves-effect waves-light m-1" id=""><i class="fe-check-circle me-1"></i> Save Changes</button>
                    <button type="button" id="close_modal" class="btn btn-dark waves-effect waves-light m-1" data-bs-dismiss="modal"><i class="fe-x me-1"></i> Close</button>
                </div>
             </form>
            </div><!-- /.modal-content -->
        </div>
    </div>
    
    <div id="maps_modal" class="modal fade" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="standard-modalLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered modal-full-width">
            <div class="modal-content">
               
                <div class="modal-header border-2">
                    <h4 class="modal-title" id="standard-modalLabel">Venue Maps</h4>
                    <a class="btn btn-primary btn-sm create_map_btn ms-3" href="">Create New Map</a>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <!--<hr/>-->
                <div class="modal-body">
                    
                   <div class="row">
                       <div class="dynamic_content">
                        
                        </div>
                   </div>
                    
                </div>
                <div class="modal-footer">
                </div>
             
            </div>
        </div>
    </div>
<!-- end row -->
@endsection
<!-- end content -->

@push('scripts')
<script src="{{ asset('public/assets/libs/select2/js/select2.min.js') }}"></script>
<script src="{{ asset('public/assets/libs/datatables.net/js/jquery.dataTables.min.js') }}"></script>
<script src="{{ asset('public/assets/libs/datatables.net/js/dataTables.editor.min.js') }}"></script>
<script src="{{ asset('public/assets/libs/datatables.net-bs5/js/dataTables.bootstrap5.min.js') }}"></script>
<script src="{{ asset('public/assets/libs/datatables.net-responsive/js/dataTables.responsive.min.js') }}"></script>
<script src="{{ asset('public/assets/libs/datatables.net-responsive-bs5/js/responsive.bootstrap5.min.js') }}"></script>
<script src="https://cdn.datatables.net/datetime/1.1.0/js/dataTables.dateTime.min.js') }}"></script>
<script src="{{ asset('public/assets/libs/x-editable/bootstrap-editable/js/bootstrap-editable.min.js') }}"></script>
 <!-- tool tip js -->
 <script src="{{ asset('public/assets/libs/tippy.js/tippy.all.min.js') }}"></script>
<!-- Loading buttons js -->
<script src="{{ asset('public/assets/libs/ladda/spin.min.js') }}"></script>
<script src="{{ asset('public/assets/libs/ladda/ladda.min.js') }}"></script>


<script>
var editor;
$(document).ready(function(){
                
    var venue_datatable = $('#venue_table').DataTable({
      'processing': true,
      'serverSide': true,
      'serverMethod': 'get',
      'ajax': {
           'url':'{{route("venue.data")}}',
           'data': function(d) {
               d.name = $("#venue_name").val();
               d.country = $("#country").val();
           }
      },
    drawCallback: function() {
        $(".dataTables_paginate > .pagination").addClass("pagination-rounded");
        tippy('[data-plugin="tippy"]');
    },
    "columnDefs": [
            {
                "targets": [ 0 ],
                "visible": true,
                "searchable": false
            }
        ],
      'columns': [
         { data: 'id' },
         { data: 'name' },
         { data: 'city' },
         { data: 'state' },
         { data: 'country' },
         { data: 'address' },
        //  { data: 'postcode' },
        //  { data: 'action', className: 'editable'  },
         { data: 'category_section' },
         { data: 'maps', className: 'editable'  },
        //  { data: 'edit' },
      ],
     select: {
            style:    'os',
            selector: 'td:first-child'
        },
   });
   
   $(document).on('click','#search',function(){
           venue_datatable.draw();
       })
   // detail button click display info of category/section detail
    $('#venue_table tbody').on('click', '.category_section_detail_btn', function (e) {
        e.preventDefault();  
        var id = $(this).attr("id");
        var sourceId=$(this).data("source");
        var la = Ladda.create(this);
        la.start();

        $.ajax({
            url: '{{route("get.venue.category.section")}}',
            headers: {'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')},
            type: 'post',
            data: {'id':id,'method':'venue_listing_get_category_section','source_id':sourceId,'manual_venue':1},
            success: function(response){
                la.stop();
                $('#modal').modal('show');
                $('#modal').find('#modal_form').find('#id').val(response.id);
                $('#modal').find('.dynamic_content').html(response.html);
                tippy('[data-plugin="tippy"]');
                
                var parent = $('#modal').find('.modal-body');
                $.fn.editableform.buttons = '<button type="submit" class="btn btn-primary editable-submit btn-sm waves-effect waves-light"><i class="mdi mdi-check"></i></button><button type="button" class="btn btn-danger editable-cancel btn-sm waves-effect"><i class="mdi mdi-close"></i></button>',
                
                $.fn.editable.defaults.mode = 'inline';
                $(parent).find(".inline-category").editable({
                    display:function(value) {
                         $(this).html('<i class="mdi mdi-adjust me-1"></i>'+value + ' (category)');
                     },
                     success: function(response, newValue) {
                         $(this).closest('li').find('#newly_add_category').val(newValue);
                     }
                });
                $(parent).find(".inline-section").editable({
                     display:function(value) {
                         $(this).html('<i class="mdi mdi-menu-right-outline me-1"></i>'+value + ' (section)');
                     },
                     success: function(response, newValue) {
                         $(this).closest('li').find('#newly_add_section').val(newValue);
                     }
                });
            }
        });
        
    });
    
    $(document).on('click','.add_category',function(){
       
       var category_parent = $(this).closest('.modal-body').find('.category_details_div');
       $(category_parent).show();
       $(category_parent).find('#category-select').removeClass('editable-unsaved').addClass('inline-add-category editable-empty');
       $(category_parent).find('#stubhub-name').removeClass('editable-unsaved').addClass('inline-add-stubhub editable-empty');
    //   var category_name=[];
       $(category_parent).find('.inline-add-category').editable({
                success: function(response, newValue) {
                    // console.log(newValue);
                    // category_name.push(newValue);
                    // if(category_name.length > 1){
                       // newValue = category_name.join("/",newValue);
                        var copy_ele = $(this).closest('.modal-body').find('.sample_div_cat_section').clone();
                        $(copy_ele).addClass('event_venue_detail_html_edit').removeClass('sample_div_cat_section').show();
                        $(copy_ele).find('#inline-category').attr('data-pk',newValue);
                        $(copy_ele).find('#newly_add_category').attr('pos',newValue).attr('name','newly_add_category['+newValue+']');
                        $(copy_ele).find('#newly_add_category').val(newValue);
                        $(copy_ele).find('#newly_add_category').removeAttr('disabled');
                        var text=newValue;
                        $(copy_ele).find('#inline-category').html('<i class="mdi mdi-adjust me-1"></i>'+text+' (category)');
                        $('.category_details_div').before($(copy_ele));
                        tippy('[data-plugin="tippy"]');
                        $('.category_details_div').hide();
                        $('.category_details_div').find('#category-select').removeClass('inline-add-category');
                        tippy('[data-plugin="tippy"]');
                    // }
                }    
        });
   });
   
    $(document).on('click','.add_section',function(){
       
       var category_parent = $(this).closest('.add_new_section_div').find('.section_details_div');
       
       $(category_parent).show();
       
       $(category_parent).find('#section-select').removeClass('editable-unsaved').addClass('inline-add-section editable-empty');
    
       $(category_parent).find('.inline-add-section').editable({
                success: function(response, newValue) {
                    newValue = $.trim(newValue);
                    if($(this).closest('.event_venue_detail_html_edit').length == 0){
                        var pos = $(this).closest('.main_div').find('#newly_add_category').attr('pos');
                    }
                    else{
                        var pos = $(this).closest('.event_venue_detail_html_edit').find('#newly_add_category').attr('pos');
                    }
                    
                    var parent = $(this).closest('.main_div').find('.sub_section');
                    var text=newValue+' (section)';
                    var html = '<li><input type="hidden" name="newly_add_section['+pos+'][]" id="newly_add_section" value="'+newValue+'"><a class="text-danger" href="#" id="inline-section" data-type="text" data-url="" data-name="section_id" data-pk="'+newValue+'" data-title="Enter Section"><i class="mdi mdi-menu-right-outline me-1"></i>'+text+'</a></li>';
                   
                    if(parent.length == 0){
                        var html1 = '<ul class="sub_section">'+html+'</ul>';
                        $(this).closest('.main_div').find('#inline-category').append(html1);
                    }
                    else{
                        $(this).closest('.main_div').find('.sub_section').append(html);
                    }
                    
                    $(this).closest('.main_div').find('.section_details_div').hide();
                    $('.section_details_div').find('#section-select').removeClass('inline-add-section');
                }    
        });
   });
   
    $(document).on('click','#modal_save',function(e){
       e.preventDefault();
       
       var flag=0;
       var edit_cat_flag=0;
       var form_data = $('#modal_form').serialize();
       if(form_data.indexOf('modal_type=performer_save') != -1){
           flag=1;
       }
       else if(form_data.indexOf('modal_type=sub_category_save') != -1){
           flag=1;
       }
       else if(form_data.indexOf('modal_type=sub_category_edit_save') != -1){
           flag=1;
           edit_cat_flag=1;
       }
       
      $.ajax({
            url: "{{route('store.tixstock.category.section')}}",
            headers: {'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')},
            type: 'post',
            data: form_data,
            success: function(response){
              Swal.fire({
                    title: 'successfully saved data!',
                    icon: "success"
                }).then(function() {
                    $('#standard-modal').find('#close_modal').trigger('click');
                    if(flag == 1){
                        datatable.ajax.reload();
                    }
                })
            }
        });
   });

    $(document).on('click','.delete_section',function(){
    var secId=$(this).data('id');
    
    Swal.fire({
        title: "Are you sure?",
        icon: "warning",
        showCancelButton: !0,
        // confirmButtonColor: "#28bb4b",
        // cancelButtonColor: "#f34e4e",
        confirmButtonText: "Delete Section?",
        cancelButtonText: "Cancel?"
    })
    .then(function(result,me) {
        if (result.isConfirmed) {
            $.ajax({
            url: "{{route('venue.category.delete.section')}}",
            type: 'post',
            data: {"id":secId},
            success: function(response){
              Swal.fire({
                    title: response.msg,
                    icon: "success"
                }).then(function() {
                    $(".section_"+secId).parent('li').remove();
                })
            }
        })
    }
        else{
            console.log("test");
        }
    })    
});
   
    $(document).on('click','.delete_category',function(){
    var categoryId=$(this).data('id');
    
    Swal.fire({
        title: "Are you sure?",
        icon: "warning",
        showCancelButton: !0,
        // confirmButtonColor: "#28bb4b",
        // cancelButtonColor: "#f34e4e",
        confirmButtonText: "Delete Category?",
        cancelButtonText: "Cancel?"
    })
    .then(function(result,me) {
        if (result.isConfirmed) {
            $.ajax({
            url: "{{route('venue.category.delete')}}",
            headers: {'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')},
            type: 'post',
            data: {"id":categoryId},
            success: function(response){
              Swal.fire({
                    title: response.msg,
                    icon: "success"
                }).then(function() {
                    $(".category_"+categoryId).parent('li').remove();
                })
            }
        })
    }
        else{
            console.log("test");
        }
    })    
});

    

    $(document).on('click','.delete_address',function(){
    var addressId=$(this).data('id');
    var me  = $(this);
    me.closest('tr').remove();
   
    Swal.fire({
        title: "Are you sure?",
        icon: "warning",
        showCancelButton: !0,
        // confirmButtonColor: "#28bb4b",
        // cancelButtonColor: "#f34e4e",
        confirmButtonText: "Delete Address?",
        cancelButtonText: "Cancel?"
    })
    .then(function(result,me) {
        if (result.isConfirmed) {
            $.ajax({
            url: "{{route('venue.delete.address')}}",
            headers: {'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')},
            type: 'post',
            data: {"id":addressId},
            success: function(response){
              Swal.fire({
                    title: response.msg,
                    icon: "success"
                });
                me.closest('tr').remove();
            }
        })
    }
        else{
            console.log("test");
        }
    })    
});
   
    $('#venue_table tbody').on('click', '.address_detail_btn', function (e) {
            e.preventDefault();  
            var id = $(this).attr("id");
            var sourceId=$(this).data("source");
            var la = Ladda.create(this);
            la.start();

            $.ajax({
                url: '{{route("get.venue.address.details")}}',
                headers: {'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')},
                type: 'post',
                data: {'id':id,'method':'add_venue_address_detail','source_id':sourceId},
                success: function(response){
                    la.stop();
                    $('#address_modal').modal('show');
                    // $('#address_modal').find('#modal_form').find('#id').val(response.id);
                    $('#address_modal').find('.dynamic_content').html(response.html);
                    tippy('[data-plugin="tippy"]');
                    
                    var parent = $('#modal').find('.modal-body');
                    $.fn.editableform.buttons = '<button type="submit" class="btn btn-primary editable-submit btn-sm waves-effect waves-light"><i class="mdi mdi-check"></i></button><button type="button" class="btn btn-danger editable-cancel btn-sm waves-effect"><i class="mdi mdi-close"></i></button>',
                    
                    $.fn.editable.defaults.mode = 'inline';
                    $(parent).find(".inline-category").editable({
                        display:function(value) {
                             $(this).html('<i class="mdi mdi-adjust me-1"></i>'+value + ' (category)');
                         },
                         success: function(response, newValue) {
                             $(this).closest('li').find('#newly_add_category').val(newValue);
                         }
                    });
                    $(parent).find(".inline-section").editable({
                         display:function(value) {
                             $(this).html('<i class="mdi mdi-menu-right-outline me-1"></i>'+value + ' (section)');
                         },
                         success: function(response, newValue) {
                             $(this).closest('li').find('#newly_add_section').val(newValue);
                         }
                    });
                }
            });
            
        });
            });
            
    $(document).on('click','.add_venue_addresses',function(){
        var id = $(this).data('id');
        $("#add_address_modal").modal('show');
        $("#add_address_modal").find("#modal_form").find("#id").val(id);
    });
    
    
    $(document).on('change','#nestable_list_1',function(e){
       console.log("Test");
    })

            
    $(document).on('submit','form',function(e){
            e.preventDefault();
            var me = $(this);
            $(".text-danger").remove();
            var fd=new FormData($(this)[0]);
            $.ajax({
            url: me.attr('action'),
            type: me.attr('method'),
            data: fd,
            headers: {'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')},
            dataType: 'json',
            contentType: false,
            processData: false,
            beforeSend: function() {
            // setting a timeout
            $('.submit').prop('disabled', true);
            },
            success: function(response){
                if(response.success == true){
                    $('.submit').prop('disabled', false);
                    Swal.fire("Done",response.msg,"success");
                }else{
                    Swal.fire({
                      icon: 'error',
                      title: 'Oops...',
                      text: response.msg, 
                    });
                }
              
            },
            error:function(response){
                $(".valid-feedback").hide();
                $('.submit').prop('disabled', false);
                $.each(response.responseJSON.errors, function(key, value) {
                var element = $('#' + key);
                element.closest('div.form-group')
                .removeClass('.has-error')
                .addClass(value.length > 0 ? 'has-error':'has-success' )
                .find('.text-danger')
                .remove();
                element.after('<p class="text text-danger">'+value+'</p>');
                });
            }
        });
        });

    $(document).on('click','.create_version_for_tixstock',function(e){
            e.preventDefault();  
                var id = $(this).data("id");
                $.ajax({
                    url: '{{route("get.single.category.section")}}',
                    headers: {'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')},
                    type: 'post',
                    data: {'id':id},
                    success: function(response){
                       
                        $('#cat_sec_tixstock').modal('show');
                        $('#cat_sec_tixstock').find('form').attr('action',"{{ route('store.single.category.section') }}")
                        $('#cat_sec_tixstock').find('#modal_form').find('#id').val(response.id);
                        $('#cat_sec_tixstock').find('.dynamic_content').html(response.html);
                        tippy('[data-plugin="tippy"]');
                        
                        var parent = $('#cat_sec_tixstock').find('.modal-body');
                        $.fn.editableform.buttons = '<button type="submit" class="btn btn-primary editable-submit btn-sm waves-effect waves-light"><i class="mdi mdi-check"></i></button><button type="button" class="btn btn-danger editable-cancel btn-sm waves-effect"><i class="mdi mdi-close"></i></button>',
                        
                        $.fn.editable.defaults.mode = 'inline';
                        $(parent).find(".inline-category").editable({
                            display:function(value) {
                                 $(this).html('<i class="mdi mdi-adjust me-1"></i>'+value + ' (category)');
                             },
                             success: function(response, newValue) {
                                 $(this).closest('li').find('#newly_add_category').val(newValue);
                             }
                        });
                        $(parent).find(".inline-section").editable({
                             display:function(value) {
                                 $(this).html('<i class="mdi mdi-menu-right-outline me-1"></i>'+value + ' (section)');
                             },
                             success: function(response, newValue) {
                                 $(this).closest('li').find('#newly_add_section').val(newValue);
                             }
                        });
                    }
                });
        })
        
    $(document).on('click','.edit_version_for_tixstock',function(e){
            e.preventDefault();  
                var id = $(this).data("id");
                $.ajax({
                    url: '{{route("get.single.category.section")}}',
                    headers: {'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')},
                    type: 'post',
                    data: {'id':id,'edit':1},
                    success: function(response){
                       
                        $('#cat_sec_tixstock').modal('show');
                        $('#cat_sec_tixstock').find('form').attr('action',"{{ route('edit.single.category.section') }}")
                        $('#cat_sec_tixstock').find('#modal_form').find('#id').val(response.id);
                        $('#cat_sec_tixstock').find('.dynamic_content').html(response.html);
                        tippy('[data-plugin="tippy"]');
                        
                        var parent = $('#cat_sec_tixstock').find('.modal-body');
                        $.fn.editableform.buttons = '<button type="submit" class="btn btn-primary editable-submit btn-sm waves-effect waves-light"><i class="mdi mdi-check"></i></button><button type="button" class="btn btn-danger editable-cancel btn-sm waves-effect"><i class="mdi mdi-close"></i></button>',
                        
                        $.fn.editable.defaults.mode = 'inline';
                        $(parent).find(".inline-category").editable({
                            display:function(value) {
                                 $(this).html('<i class="mdi mdi-adjust me-1"></i>'+value + ' (category)');
                             },
                             success: function(response, newValue) {
                                 $(this).closest('li').find('#newly_add_category').val(newValue);
                             }
                        });
                        $(parent).find(".inline-section").editable({
                             display:function(value) {
                                 $(this).html('<i class="mdi mdi-menu-right-outline me-1"></i>'+value + ' (section)');
                             },
                             success: function(response, newValue) {
                                 $(this).closest('li').find('#newly_add_section').val(newValue);
                             }
                        });
                    }
                });
        })
        
    $(document).on('click','.map_btn',function(){
            var id = $(this).attr('id');
            var create_map_btn = "{{route('venue.create.map',':id')}}";
            create_map_btn = create_map_btn.replace(":id",id);
            
            var la = Ladda.create(this);
            la.start();
            $.ajax({
                url: '{{route("get.venue.maps.listing")}}',
                headers: {'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')},
                type: 'post',
                data: {'id':id},
                success: function(response){
                    la.stop();
                    $("#maps_modal").modal('show');
                    //$('#modal').find('#modal_form').find('#id').val(response.id);
                    $("#maps_modal").find('.create_map_btn').attr("href",create_map_btn);
                    $('#maps_modal').find('.dynamic_content').html(response.html);
                    tippy('[data-plugin="tippy"]');
                }
            });
            
        });
        
    $(document).on('click','.create_map_btn',function(){
            $("#maps_modal").modal('hide');
            $("#create_maps_modal").modal('show');
        });
</script>
<script>
    $(document).on('click','.add_venue_address',function(){
        var new_address =" ";
        var new_address = '<tr>'+
                                '<td>'+
                                    '<input type="text" class="form-control address_line_1"  name="new_venue_address[address_line_1][]" value="">'+
                                '<td>'+
                                    '<input type="text" class="form-control address_line_2"  name="new_venue_address[address_line_2][]" value="">'+
                                '<td>'+
                                    '<input type="text" class="form-control post_code"  name="new_venue_address[post_code][]" value="">'+
                                '</td>'+
                                '<td>'+
                                    '<button class="btn btn-sm btn-sucesss remove_address" data-id=""><i class="fa fa-trash"></i></button>'+
                                '</td>'+
                            '</tr>';
        
        $(".address_table").find('tbody').append(new_address);
    });
    $(document).on('click','.remove_address',function(){
        $(this).closest('tr').remove();
    });
    $(document).on('click','.delete_map',function(){
        var addressId=$(this).data('id');
        var me  = $(this);
       // me.closest('tr').remove();
   
        Swal.fire({
            title: "Are you sure?",
            icon: "warning",
            showCancelButton: !0,
            // confirmButtonColor: "#28bb4b",
            // cancelButtonColor: "#f34e4e",
            confirmButtonText: "Delete Map?",
            cancelButtonText: "Cancel?"
        })
        .then(function(result,me) {
            if (result.isConfirmed) {
                $.ajax({
                url: "{{route('venue.delete.map')}}",
                headers: {'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')},
                type: 'post',
                data: {"id":addressId},
                success: function(response){
                  Swal.fire({
                        title: response.msg,
                        icon: "success"
                    });
                    me.closest('tr').remove();
                }
            })
        }
            else{
                console.log("test");
            }
        })
    })
</script>
@endpush
